
// <option value="ar">🇪🇬&emsp;عربي</option> 
// <!-- Bengali -->
// <option value="be">🇧🇩&emsp;বাংলা</option> 
// <!-- Chinese (simplified) -->
// <option value="ch">🇨🇳&emsp;簡體中文</option>
// <option value="de">🇩🇪&emsp;Deutsch</option>
// <option value="en" selected>🇬🇧&emsp;English</option>
// <option value="es">🇪🇸&emsp;Espagnol</option>
// <option value="fr">🇫🇷&emsp;Français</option>
// <!-- Greek -->
// <option value="gr">🇬🇷&emsp;ελληνικά</option>
// <option value="ha">🇳🇬&emsp;Hausa</option>
// <!-- Hindi -->
// <option value="hi">🇮🇳&emsp;हिंदी</option>
// <!-- Hebrew -->
// <option value="he">🇮🇱&emsp;עִברִית</option>
// <option value="hu">🇭🇺&emsp;Magyar</option>
// <option value="it">🇮🇹&emsp;Italiano</option>
// <!-- Japanese -->
// <option value="ja">🇯🇵&emsp;日本語</option>
// <!-- Rwanda -->
// <option value="ki">🇷🇼&emsp;Kinyarwanda</option>
// <!-- Korean -->
// <option value="ko">🇰🇷&emsp;한국인</option>
// <option value="ne">🇳🇱&emsp;Nederlands</option>
// <option value="po">🇵🇱&emsp;Polski</option>
// <option value="pt">🇵🇹&emsp;Português</option>
// <!-- Russian -->
// <option value="ru">🇷🇺&emsp;Русский</option>
//ar
//be
//ch
//de
//en
//es
//fr
//gr
//ha
//hi
//he
//ho
//it
//ja
//ki
//ko
//ne
//po
//pt
//ru


function selectElement(id, valueToSelect) {    
    let element = document.getElementById(id);
    element.value = valueToSelect;
}



function load() {
	var lan;
	lan = localStorage.getItem("site-language");
	if (!lan) {   // checks if lan is null, undefined, 0, false, NaN
  		lan = "en";
  		localStorage.setItem("site-language","en");
	}
	setLanguage(lan)
	selectElement('lanselect', lan);
}


const translations = {
	ar: {
		footer00: ".المساعدة والأسئلة الشائعة",
		footer01: "قواعد هامة",
		footer02: "أ. سيتم إزالة أي حساب مستخدم يضع صورة في ملفه الشخصي",
		footer03: "ليست صورة وجه يمكن التعرف عليه ويجمع العملات المعدنية.",
		footer04: "ب. تقديم معلومات خاطئة عن نفسك أو إنشاء حسابات مزدوجة",
		footer05: "لنفسك سيؤدي إلى إزالة هذا الحساب بمجرد اكتشافه.",
		footer06: "تنصل",
		footer07: "1. الانضمام إلى التطبيق أو اختباره لا يعني موافقة هذا",
		footer08: "المستخدم أو تأييده لأي أفكار سياسية قد يشير إليها موقع 1CoinH.",
		footer09: "2. يُمنع منعًا باتًا نسخ أو إعادة استخدام أي من بيانات",
		footer10: "المستخدم الموجودة على هذا الموقع - خارج هذا الموقع.",
		footer11: "اتفاق",
		footer12: "إن الانضمام إلى هذا الموقع كمستخدم يعني أنك قرأت هذا الإخلاء من",
		footer13: "المسؤولية وتوافق على 'القواعد الهامة' و'إخلاء المسؤولية' أعلاه.",
		footer14: "المال الأخلاقي",
		donate: "التبرع",
		signup: "التسجيل",
		login: "تسجيل الدخول",
		request: "طلب",
		agree: "يوافق",
		cashbook: "دفتر النقدية",
		logout: "تسجيل الخروج",
		welcome: "مرحباً",
		Ttext_1: "يجب أن تكون المشاركة المتساوية في",
		Ttext_2: ".إنشاء النقود حقًا من حقوق الإنسان",
		Ttext_3: "في نظامنا، كل إنسان",
		Ttext_4: " أموالًا",
		Ttext_5: " في ",
		Ttext_6: ".(الساعة)",
		Ttext_7: "إنها الطريقة الوحيدة للحصول على",
		Ttext_8: ".نظام مالي أخلاقي سليم",
		Ttext_9: "هنا",
		Ttext_10: "يمكنك قراءة كيفية عمل ذلك ",
		Ttext_11: "!استمتع",
		Ttext_12: "1CoinH ليست عملة مشفرة!"
	},
	be: {
		footer00: "সাহায্য এবং প্রায়শই জিজ্ঞাসিত প্রশ্ন",
		footer01: "গুরুত্বপূর্ণ নিয়ম",
		footer02: "উ: যে কোনও ব্যবহারকারীর অ্যাকাউন্ট যে তার প্রোফাইলে এমন একটি ছবি রাখে",
		footer03: "যেটি একটি স্বীকৃত মুখের ছবি নয় এবং কয়েন সংগ্রহ করছে তা সরিয়ে ফেলা হবে।",
		footer04: "B. নিজেকে ভুলভাবে উপস্থাপন করা বা নিজের জন্য ডবল অ্যাকাউন্ট তৈরি",
		footer05: "করার ফলে সেই অ্যাকাউন্টটি একবার শনাক্ত হয়ে গেলে সরিয়ে দেওয়া হবে।",
		footer06: "দাবিত্যাগ",
		footer07: "1. অ্যাপটিতে যোগদান করা বা পরীক্ষা করার অর্থ এই নয় যে এই ব্যবহারকারী 1CoinH",
		footer08: "ওয়েবসাইট নির্দেশ করতে পারে এমন কোনো রাজনৈতিক ধারণার সাথে সম্মত হন বা ক্ষমা করেন।",
		footer09: "2. এই ওয়েবসাইটে পাওয়া যায় এমন কোনও ব্যবহারকারীর ডেটা কপি করা",
		footer10: "বা পুনরায় ব্যবহার করা - এই ওয়েবসাইটের বাইরে - কঠোরভাবে নিষিদ্ধ৷",
		footer11: "চুক্তি",
		footer12: "এই ওয়েবসাইটে একজন ব্যবহারকারী হিসাবে যোগদান করার অর্থ হল আপনি এই দাবিত্যাগটি",
		footer13: "পড়েছেন এবং উপরের 'গুরুত্বপূর্ণ নিয়ম' এবং 'দাবিত্যাগ'-এর সাথে সম্মত হয়েছেন।",
		footer14: "নৈতিক অর্থ",
		donate: "দান করুন",
		signup: "সাইন আপ করুন",
		login: "লগ ইন করুন",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome: "স্বাগতম",
		Ttext_1: "অর্থের সমান অংশগ্রহণ",
		Ttext_2: "সৃষ্টি হওয়া উচিত মানুষের অধিকার.",
		Ttext_3: "আমাদের সিস্টেমে, প্রতিটি মানুষ",
		Ttext_4: "গ্রহণ করে ",
		Ttext_5: " প্রতি ",
		Ttext_6: "(ঘন্টা).",
		Ttext_7: "এটি একটি আছে একমাত্র উপায়",
		Ttext_8: "সঠিক নৈতিক আর্থিক ব্যবস্থা.",
		Ttext_9: "এখানে",
		Ttext_10: " আপনি এটি কিভাবে কাজ করে",
		Ttext_11: "পড়তে পারেন উপভোগ করুন!",
		Ttext_12: "1CoinH একটি ক্রিপ্টোকারেন্সি নয়!"
	},
	ch: {
		footer00: "帮助和常见问题.",
		footer01: "重要规则",
		footer02: "答：任何在其个人资料中放置非可识别面部",
		footer03: "图片且正在收集硬币的用户帐户都将被删除。",
		footer04: "B. 虚假陈述或为自己创建重复账户，",
		footer05: "一旦发现将导致该账户被删除。",
		footer06: "免责声明",
		footer07: "1. 加入或测试该应用程序并不意味着该用户同意或纵容",
		footer08: "1CoinH网站可能表明的任何政治观点。",
		footer09: "2. 严禁在本网站之外复制或重复",
		footer10: "使用任何本网站上的用户数据。",
		footer11: "协议",
		footer12: "加入本网站成为用户即表示您已阅读此免责",
		footer13: "声明并同意上述‘重要规则’和‘免责声明’。",
		footer14: "道德金钱",
		donate: "给",
		signup: "注册",
		login: "登录",
		request: "要求",
		agree: "同意",
		cashbook: "现金簿",
		logout: "登出",
		welcome: "欢迎",
		Ttext_1: "平等参与货币创造应该是一项人权",
		Ttext_2: "在我们的系统中，每个人.",
		Ttext_3: "在我们的系统中，每个人",
		Ttext_4: "都会收到 ",
		Ttext_5: " 小时获得 ",
		Ttext_6: "(获得).",
		Ttext_7: "这是拥有",
		Ttext_8: "适当道德金融体系的唯一方法.",
		Ttext_9: "在这里",
		Ttext_10: " 您可以阅读它的工作原理",
		Ttext_11: "享受!",
		Ttext_12: "1CoinH 不是加密货币！"
	},
	de: {
		footer00: "Hilfe und häufig gestellte Fragen.",
		footer01: "WICHTIGE REGELN",
		footer02: "A. Jedes Benutzerkonto, das in sein Profil ein Bild einfügt, auf dem kein",
		footer03: "erkennbares Gesicht zu sehen ist, und das Münzen sammelt, wird entfernt.",
		footer04: "B. Wenn Sie falsche Angaben zu Ihrer Person machen oder doppelte",
		footer05: "Konten eröffnen, wird das Konto gelöscht, sobald dies erkannt wird.",
		footer06: "HAFTUNGSAUSSCHLUSS",
		footer07: "1. Die Teilnahme an der App oder das Testen dieser App bedeutet nicht, dass der Benutzer mit etwaigen",
		footer08: "politischen Ideen, die auf der 1CoinH-Website angezeigt werden, einverstanden ist oder diese duldet.",
		footer09: "2. Das Kopieren oder die Wiederverwendung jeglicher auf dieser Website",
		footer10: "befindlicher Benutzerdaten – außerhalb dieser Website – ist streng verboten.",
		footer11: "VEREINBARUNG",
		footer12: "Wenn Sie dieser Website als Benutzer beitreten, bedeutet dies, dass Sie diesen Haftungsausschluss",
		footer13: "gelesen haben und den oben aufgeführten „Wichtigen Regeln“ und dem „Haftungsausschluss“ zustimmen.",
		footer14: "Ethisches Geld",
		donate: "Spenden",
		signup: "Registrieren",
		login: "Anmelden",
		request: "Vorschlag",
		agree: "Zustimmen",
		cashbook: "Kassenbuch",
		logout: "Ausloggen",
		welcome: "Willkommen",
		Ttext_1: "Gleiche Beteiligung an der Geldschöpfung",
		Ttext_2: "sollte ein Menschenrecht sein.",
		Ttext_3: "In unserem System erhält jeder",
		Ttext_4: "Mensch ",
		Ttext_5: " pro ",
		Ttext_6: "(Stunde).",
		Ttext_7: "Das ist die einzige Möglichkeit, ein",
		Ttext_8: "richtiges, ethisches Finanzsystem zu haben.",
		Ttext_9: "Hier",
		Ttext_10: " können Sie lesen, wie das funktioniert.",
		Ttext_11: "Viel Spaß!",
		Ttext_12: "1CoinH ist KEINE Kryptowährung!"
	},
	en: {
		footer00: "Help and frequently asked questions.",
		footer01: "IMPORTANT RULES",
		footer02: "A. Any user account that puts an image in his/her profile that isn't a picture",
		footer03: "of a recognizable face and is collecting coins will be removed.",
		footer04: "B. Misrepresenting yourself or making double accounts for yourself",
		footer05: "will result in that account to be removed once detected.",
		footer06: "DISCLAIMER",
		footer07: "1. Joining or testing the app does not mean that this user agrees or",
		footer08: "condones any political ideas the 1CoinH website might indicate.",
		footer09: "2. Copying and/or reusing any of the userdata that can be found",
		footer10: "on this website - outside this website - is strictly forbidden.",
		footer11: "AGREEMENT",
		footer12: "Joining this website as a user means you have read this disclaimer",
		footer13: "and agree to the 'Important Rules' and 'Disclaimer' above.",
		footer14: "Ethical Money",
		donate: "Donate",
		signup: "Sign Up",
		login: "Log In",
		request: "Request",
		agree: "Agree",
		cashbook: "Cashbook",
		logout: "Log Out",
		welcome: "Welcome",
		Ttext_1: "Equal participation in money",
		Ttext_2: "creation should be a human right.",
		Ttext_3: "In our system, every human",
		Ttext_4: "receives ",
		Ttext_5: "  per ",
		Ttext_6: "(Hour).",
		Ttext_7: "It's the only way to have a",
		Ttext_8: "proper ethical financial system.",
		Ttext_9: "Here",
		Ttext_10: " you can read how this works.",
		Ttext_11: "Enjoy!",
		Ttext_12: "1CoinH is NOT a Cryptocurrency!"
	},
	es: {
		footer00: "Ayuda y preguntas frecuentes.",
		footer01: "REGLAS IMPORTANTES",
		footer02: "A. Cualquier cuenta de usuario que coloque una imagen en su perfil que no sea",
		footer03: "una foto de una cara reconocible y esté recolectando monedas será eliminada.",
		footer04: "B. Dar una identidad falsa o crear cuentas dobles tendrá como",
		footer05: "resultado que la cuenta sea eliminada una vez detectada.",
		footer06: "DESCARGO DE RESPONSABILIDAD",
		footer07: "1. Unirse o probar la aplicación no significa que este usuario esté de acuerdo",
		footer08: "o apruebe cualquier idea política que el sitio web 1CoinH pueda indicar.",
		footer09: "2. Queda terminantemente prohibido copiar o reutilizar cualquiera de los",
		footer10: "datos de usuario que se encuentren en este sitio web –fuera del mismo-.",
		footer11: "ACUERDO",
		footer12: "Unirse a este sitio web como usuario significa que ha leído este descargo de responsabilidad",
		footer13: "y acepta las 'Reglas importantes' y el 'Descargo de responsabilidad' anteriores.",
		footer14: "Dinero ético",
		donate: "Donar",
		signup: "Registrarse",
		login: "Iniciar Sesión",
		request: "Pedido",
		agree: "Aceptar",
		cashbook: "Libro De Caja",
		logout: "Finalizar La Sesión",
		welcome: "Bienvenida",
		Ttext_1: "La participación igualitaria en la creación",
		Ttext_2: "de dinero debería ser un derecho humano.",
		Ttext_3: "En nuestro sistema, cada humana",
		Ttext_4: "recibe ",
		Ttext_5: " por ",
		Ttext_6: "(hora).",
		Ttext_7: "Es la única manera de tener un",
		Ttext_8: "sistema financiero ético adecuado.",
		Ttext_9: "Aquí",
		Ttext_10: " puedes leer cómo funciona.",
		Ttext_11: "Disfruta!",
		Ttext_12: "¡1CoinH NO es una criptomoneda!"
	},
	fr: {
		footer00: "Aide et questions fréquemment posées.",
		footer01: "RÈGLES IMPORTANTES",
		footer02: "A. Tout compte d'utilisateur qui met une image dans son profil qui n'est pas",
		footer03: "une photo d'un visage reconnaissable et qui collecte des pièces sera supprimé.",
		footer04: "B. Toute fausse déclaration ou création de doubles comptes pour",
		footer05: "vous-même entraînera la suppression de ce compte une fois détecté.",
		footer06: "CLAUSE DE NON-RESPONSABILITÉ",
		footer07: "1. Rejoindre ou tester l'application ne signifie pas que cet utilisateur accepte",
		footer08: "ou cautionne les idées politiques que le site Web 1CoinH pourrait indiquer.",
		footer09: "2. La copie ou la réutilisation des données utilisateur disponibles",
		footer10: "sur ce site Web - en dehors de ce site Web - est strictement interdite.",
		footer11: "ACCORD",
		footer12: "En rejoignant ce site Web en tant qu'utilisateur, vous signifiez que vous avez lu cette clause de non-",
		footer13: "responsabilité et que vous acceptez les « Règles importantes » et la « Clause de non-responsabilité » ci-dessus.",
		footer14: "L'argent éthique",
		donate: "Contribution",
		signup: "Inscrivez",
		login: "Connectez",
		request: "Demande",
		agree: "Accepter",
		cashbook: "Livre De Caisse",
		logout: "Déconnexion",
		welcome: "Bienvenue",
		Ttext_1: "La participation égale à la création",
		Ttext_2: "de monnaie devrait être un droit humain.",
		Ttext_3: "Dans notre système, chaque être humain",
		Ttext_4: "reçoit ",
		Ttext_5: " par ",
		Ttext_6: " (heure).",
		Ttext_7: "C'est la seule façon d'avoir un",
		Ttext_8: "système financier éthique approprié.",
		Ttext_9: "Ici",
		Ttext_10: " vous pouvez lire comment cela fonctionne.",
		Ttext_11: "Profitez!",
		Ttext_12: "1CoinH n'est PAS une crypto-monnaie !"
	},
	gr: {
		footer00: "Βοήθεια και Συχνές Ερωτήσεις.",
		footer01: "ΣΗΜΑΝΤΙΚΟΙ ΚΑΝΟΝΕΣ",
		footer02: "Α. Οποιοσδήποτε λογαριασμός χρήστη τοποθετεί μια εικόνα στο προφίλ του/της που",
		footer03: "δεν είναι εικόνα αναγνωρίσιμου προσώπου και συλλέγει νομίσματα θα αφαιρείται.",
		footer04: "Β. Η παραπλανητική παρουσίαση του εαυτού σας ή η δημιουργία διπλών λογαριασμών για τον",
		footer05: "εαυτό σας θα έχει ως αποτέλεσμα την κατάργηση αυτού του λογαριασμού μόλις εντοπιστεί.",
		footer06: "ΑΡΝΗΣΗ",
		footer07: "1. Η συμμετοχή ή η δοκιμή της εφαρμογής δεν σημαίνει ότι αυτός ο χρήστης συμφωνεί ή",
		footer08: "αποδοκιμάζει τυχόν πολιτικές ιδέες που μπορεί να υποδείξει ο ιστότοπος 1CoinH.",
		footer09: "2. Απαγορεύεται αυστηρά η αντιγραφή ή η επαναχρησιμοποίηση οποιουδήποτε από τα",
		footer10: "δεδομένα χρήστη που βρίσκονται σε αυτόν τον ιστότοπο - εκτός αυτού του ιστότοπου.",
		footer11: "ΣΥΜΦΩΝΙΑ",
		footer12: "Η εγγραφή σε αυτόν τον ιστότοπο ως χρήστης σημαίνει ότι έχετε διαβάσει αυτήν την αποποίηση",
		footer13: "ευθυνών και συμφωνείτε με τους «Σημαντικούς κανόνες» και την «Αποποίηση ευθυνών» παραπάνω.",
		footer14: "Ηθικά χρήματα",
		donate: "Προσφέρω",
		signup: "Εγγραφείτε",
		login: "Συνδεθείτε",
		request: "Αίτηση",
		agree: "Συμφωνώ",
		cashbook: "Βιβλίο ταμείου",
		logout: "Έξοδος",
		welcome: "Καλωσόρισμα",
		Ttext_1: "Ισότιμη συμμετοχή σε χρήματα",
		Ttext_2: "η δημιουργία πρέπει να είναι ανθρώπινο δικαίωμα.",
		Ttext_3: "Στο σύστημά μας, κάθε άνθρωπος",
		Ttext_4: "λαμβάνει ",
		Ttext_5: " ανά ",
		Ttext_6: " (Ωρα).",
		Ttext_7: "Είναι ο μόνος τρόπος να έχεις ένα",
		Ttext_8: "κατάλληλο ηθικό χρηματοπιστωτικό σύστημα.",
		Ttext_9: "Εδώ",
		Ttext_10: " μπορείτε να διαβάσετε πώς λειτουργεί αυτό.",
		Ttext_11: "Απολαμβάνω!",
		Ttext_12: "Το 1CoinH ΔΕΝ είναι Κρυπτονόμισμα!"
	},
	ha: {
		footer00: "Taimako da Tambayoyin da ake yawan yi.",
		footer01: "MUHIMMAN KA'IDOJI",
		footer02: "A. Duk wani asusun mai amfani da ya sanya hoto a cikin bayanansa wanda ba",
		footer03: "hoton fuskar da ba za a iya gane shi ba kuma yana tara tsabar kudi za a cire.",
		footer04: ". Batar da kanku ko yin asusu biyu don kanku",
		footer05: "zai haifar da cire wannan asusun da zarar an gano.",
		footer06: "RA'AYI",
		footer07: "1. Shiga ko gwada app ɗin baya nufin cewa wannan mai amfani ya yarda ko",
		footer08: "ya yarda da duk wani ra'ayin siyasa da gidan yanar gizon 1CoinH zai iya nunawa.",
		footer09: "2. Kwafi ko sake amfani da duk wani bayanan mai amfani da za a iya samu akan",
		footer10: "wannan gidan yanar gizon - a wajen wannan gidan yanar gizon - haramun ne.",
		footer11: "YARJEJI",
		footer12: "Shiga wannan gidan yanar gizon a matsayin mai amfani yana nufin kun karanta",
		footer13: "wannan ɓatanci kuma kun yarda da 'Muhimman Dokoki' da 'Kiyayewa' a sama.",
		footer14: "Kudi na Da'a",
		donate: "Gudunmawa",
		signup: "Shiga",
		login: "Log In",
		request: "Nema",
		agree: "Yarda",
		cashbook: "Littafin Kuɗi",
		logout: "Fita",
		welcome: "Barka Da Zuwa",
		Ttext_1: "Daidaitaccen shiga cikin kuɗi",
		Ttext_2: "halitta ya kamata ya zama 'yancin ɗan adam.",
		Ttext_3: "A cikin tsarinmu, kowane ɗan adam",
		Ttext_4: "karba ",
		Ttext_5: " per ",
		Ttext_6: " (Sa'a).",
		Ttext_7: "Ita ce kadai hanyar samun a.",
		Ttext_8: "daidai da'a tsarin kudi",
		Ttext_9: "nan",
		Ttext_10: " za ku iya karanta yadda wannan ke aiki.",
		Ttext_11: "Ji dadin!",
		Ttext_12: "1CoinH ba Cryptocurrency ba ne!"
	},
	hi: {
		footer00: "सहायता एवं अक्सर पूछे जाने वाले प्रश्न.",
		footer01: "महत्वपूर्ण नियम",
		footer02: "A. कोई भी उपयोगकर्ता खाता जो अपनी प्रोफ़ाइल में कोई ऐसी छवि डालता है जो किसी पहचाने",
		footer03: "जाने योग्य चेहरे की तस्वीर नहीं है और सिक्के एकत्र कर रहा है, उसे हटा दिया जाएगा।.",
		footer04: "B. अपने बारे में गलत जानकारी देने या अपने लिए दोहरे खाते",
		footer05: "बनाने पर, पता चलते ही उस खाते को हटा दिया जाएगा।.",
		footer06: "अस्वीकरण",
		footer07: "1. ऐप में शामिल होने या उसका परीक्षण करने का मतलब यह नहीं है कि यह उपयोगकर्ता 1CoinH",
		footer08: "वेबसाइट द्वारा बताए गए किसी भी राजनीतिक विचार से सहमत है या उसका समर्थन करता है।",
		footer09: "2. इस वेबसाइट पर उपलब्ध किसी भी उपयोगकर्ता डेटा की प्रतिलिपि बनाना या",
		footer10: "उसका पुनः उपयोग करना - इस वेबसाइट के बाहर - सख्त वर्जित है।",
		footer11: "समझौता",
		footer12: "एक उपयोगकर्ता के रूप में इस वेबसाइट से जुड़ने का मतलब है कि आपने इस अस्वीकरण",
		footer13: "को पढ़ लिया है और ऊपर दिए गए 'महत्वपूर्ण नियमों' और 'अस्वीकरण' से सहमत हैं।",
		footer14: "नैतिक धन",
		donate: "दान करें",
		signup: "साइन अप करें",
		login: "लॉग इन करें",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "रोकड़ बही",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		Ttext_1: "पैसे में समान भागीदारी",
		Ttext_2: "सृजन एक मानव अधिकार होना चाहिए.",
		Ttext_3: "हमारी व्यवस्था में, प्रत्येक मनुष्य",
		Ttext_4: "प्रति ",
		Ttext_5: " घंटे ",
		Ttext_6: " (प्राप्त करता है).",
		Ttext_7: "यह एक",
		Ttext_8: "उचित नैतिक वित्तीय प्रणाली होने का एकमात्र तरीका है.",
		Ttext_9: "यहाँ",
		Ttext_10: " आप पढ़ सकते हैं कि यह कैसे काम करता है.",
		Ttext_11: "आनंद लें!",
		Ttext_12: "1CoinH एक क्रिप्टोकरेंसी नहीं है!"
	},
	he: {
		footer00: "עזרה ושאלות נפוצות.",
		footer01: "כללים חשובים",
		footer02: "א. כל חשבון משתמש שמכניס לפרופיל שלו/ה תמונה",
		footer03: "שאינה תמונה של פרצוף מזוהה ואוסף מטבעות יוסר.",
		footer04: "ב. מצג שווא של עצמך או יצירת חשבונות כפולים",
		footer05: "לעצמך יביאו להסרה של חשבון זה לאחר זיהוי.",
		footer06: "כתב ויתור",
		footer07: "1. הצטרפות או בדיקה של האפליקציה לא אומרת שמשתמש זה מסכים או",
		footer08: "מביע הסכמה לרעיונות פוליטיים שהאתר 1CoinH עשוי להצביע עליו.",
		footer09: "2. העתקה או שימוש חוזר בכל אחד מנתוני המשתמש",
		footer10: "שניתן למצוא באתר זה - מחוץ לאתר זה - אסורה בהחלט.",
		footer11: "הֶסכֵּם",
		footer12: "הצטרפות לאתר זה כמשתמש פירושה שקראת כתב",
		footer13: "ויתור זה והסכמת ל'כללים חשובים' ו'כתב ויתור' לעיל.",
		footer14: "כסף אתי",
		donate: "לִתְרוֹם",
		signup: "הירשם",
		login: "התחבר",
		request: "בַּקָשָׁה",
		agree: "לְהַסכִּים",
		cashbook: "קופה",
		logout: "התנתק",
		welcome: "קַבָּלַת פָּנִים",
		Ttext_1: "השתתפות שווה בכסף",
		Ttext_2: ".יצירה צריכה להיות זכות אדם",
		Ttext_3: "במערכת שלנו, כל אדם",
		Ttext_4: " מקבל",
		Ttext_5: " לְכָל ",
		Ttext_6: ".(שָׁעָה)",
		Ttext_7: "זו הדרך היחידה לקבל א",
		Ttext_8: ".מערכת פיננסית אתית נכונה",
		Ttext_9: "כָּאן",
		Ttext_10: ".אתה יכול לקרוא איך זה עובד ",
		Ttext_11: "!תהנה",
		Ttext_12: "1CoinH אינו מטבע קריפטו!"
	},
	hu: {
		footer00: "Segítség és gyakran ismételt kérdések.",
		footer01: "FONTOS SZABÁLYOK",
		footer02: "V. Minden olyan felhasználói fiókot, amely olyan képet helyez el a profiljába,",
		footer03: "amely nem egy felismerhető arc képe, és érméket gyűjt, eltávolítjuk.",
		footer04: "B. Ha félrevezeti magát, vagy kettős fiókot hoz létre",
		footer05: "magának, az észlelés után a fiók eltávolításra kerül.",
		footer06: "NYILATKOZAT",
		footer07: "1. Az alkalmazáshoz való csatlakozás vagy az alkalmazás tesztelése nem jelenti azt, hogy a felhasználó",
		footer08: "beleegyezik vagy elnéz minden olyan politikai elképzelést, amelyet az 1CoinH webhely jelezhet.",
		footer09: "2. A weboldalon található felhasználói adatok másolása vagy",
		footer10: "újrafelhasználása - ezen a weboldalon kívül - szigorúan tilos.",
		footer11: "MEGÁLLAPODÁS",
		footer12: "Ha felhasználóként csatlakozik ehhez a weboldalhoz, az azt jelenti, hogy elolvasta ezt a",
		footer13: "felelősségkizárást, és elfogadja a fenti „Fontos szabályokat” és „Felelősségi nyilatkozatot”.",
		footer14: "Etikus Pénz",
		donate: "Adományoz",
		signup: "Regisztrá.",
		login: "Bejelentkezés",
		request: "Kér",
		agree: "Egyetért",
		cashbook: "Pénztárkönyv",
		logout: "Jelentkezzen Ki",
		welcome: "Üdvözöljük",
		Ttext_1: "Egyenlő részvétel a pénzben",
		Ttext_2: "az alkotásnak emberi jognak kell lennie.",
		Ttext_3: "A mi rendszerünkben minden ember",
		Ttext_4: "kap ",
		Ttext_5: " per ",
		Ttext_6: " (Óra).",
		Ttext_7: "Ez az egyetlen módja annak, hogy a",
		Ttext_8: "megfelelő etikus pénzügyi rendszer.",
		Ttext_9: "Itt",
		Ttext_10: " elolvashatod, hogyan működik ez.",
		Ttext_11: "Élvez!",
		Ttext_12: "Az 1CoinH NEM kriptovaluta!"
	},
	it: {
		footer00: "Aiuto e Domande Frequenti.",
		footer01: "REGOLE IMPORTANTI",
		footer02: "A. Qualsiasi account utente che inserisce nel proprio profilo un'immagine",
		footer03: "che non ritrae un volto riconoscibile e che colleziona monete verrà rimosso.",
		footer04: "B. Se si rivelasse falsa la propria identità o si creassero doppi",
		footer05: "account, l'account in questione verrebbe rimosso una volta scoperto.",
		footer06: "DISCLAIMER",
		footer07: "1. L'adesione all'app o il suo test non implica che l'utente accetti",
		footer08: "o tolleri le idee politiche che il sito web 1CoinH potrebbe indicare.",
		footer09: "2. È severamente vietato copiare o riutilizzare al di fuori",
		footer10: "di questo sito web i dati utente presenti su questo sito web.",
		footer11: "ACCORDO",
		footer12: "Registrandoti a questo sito web come utente, significa che hai letto questa informativa",
		footer13: "sulla privacy e accetti le 'Regole importanti' e l`'Informativa sulla privacy' di cui sopra.",
		footer14: "Denaro Etico",
		donate: "Dona",
		signup: "Registrati",
		login: "Accedi",
		request: "Richiesta",
		agree: "Accordo",
		cashbook: "Libro Cassa",
		logout: "Esci",
		welcome: "Benvenuta",
		Ttext_1: "Partecipazione paritaria alla creazione di denaro",
		Ttext_2: "dovrebbe essere un diritto umano.",
		Ttext_3: "Nel nostro sistema, ogni essere umano",
		Ttext_4: "riceve ",
		Ttext_5: " all ",
		Ttext_6: " ('ora).",
		Ttext_7: "È l'unico modo per avere un",
		Ttext_8: "sistema finanziario etico appropriato.",
		Ttext_9: "Qui",
		Ttext_10: " puoi leggere come funziona.",
		Ttext_11: "Divertiti!",
		Ttext_12: "1CoinH NON è una criptovaluta!"
	},
	ja: {
		footer00: "ヘルプとよくある質問.",
		footer01: "重要なルール",
		footer02: "A. 認識可能な顔写真ではない画像をプロフィールに掲載し、",
		footer03: "コインを収集しているユーザーアカウントは削除されます。",
		footer04: "B. 自分自身を偽ったり、自分自身のアカウントを二重に作成したりした場合、",
		footer05: "そのアカウントは検出され次第削除されます。",
		footer06: "免責事項",
		footer07: "1. アプリに参加したりテストしたりすることは、ユーザーが 1CoinH の Web",
		footer08: "サイトが示す政治的思想に同意または容認することを意味するものではありません。",
		footer09: "2. 本ウェブサイトに掲載されているユーザーデータを本ウェブサ",
		footer10: "イト外でコピーまたは再利用することは固く禁じられています。",
		footer11: "合意",
		footer12: "このウェブサイトにユーザーとして参加することは、この免責事項を読み、",
		footer13: "上記の「重要な規則」および「免責事項」に同意したことを意味します。",
		footer14: "倫理的なお金",
		donate: "寄付",
		signup: "サインアップ",
		login: "ログイン",
		request: "リクエスト",
		agree: "同意する",
		cashbook: "現金出納帳",
		logout: "ログアウト",
		welcome: "いらっしゃいませ",
		Ttext_1: "お金への平等な参加",
		Ttext_2: "創造は人権であるべきです.",
		Ttext_3: "私たちのシステムでは、すべての人間が",
		Ttext_4: "受け取る ",
		Ttext_5: " あたり ",
		Ttext_6: " (時間).",
		Ttext_7: "これが",
		Ttext_8: "適切な倫理的な金融システムを持つ唯一の方法です.",
		Ttext_9: "ここで",
		Ttext_10: " これがどのように機能するかを読むことができます.",
		Ttext_11: "お楽しみください!",
		Ttext_12: "1CoinHは暗号通貨ではありません!"
	},
	ki: {
		footer00: "Ubufasha nibibazo bikunze kubazwa.",
		footer01: "AMATEGEKO AKAMARO",
		footer02: "A. Konti yose yumukoresha ishyira ishusho mumwirondoro we itari",
		footer03: "ishusho yisura yamenyekanye kandi ikusanya ibiceri bizakurwaho.",
		footer04: "B. Kwiyerekana nabi cyangwa gukora konti ebyiri kubwawe",
		footer05: "bizavamo iyo konte gukurwaho bimaze kumenyekana.",
		footer06: "IKIBAZO",
		footer07: "1. Kwinjira cyangwa kugerageza porogaramu ntabwo bivuze ko uyu ukoresha yemeye cyangwa",
		footer08: "ashyigikiye ibitekerezo byose bya politiki urubuga rwa 1CoinH rushobora kwerekana.",
		footer09: "2. Gukoporora cyangwa gukoresha ikoreshwa ryumukoresha ushobora",
		footer10: "kuboneka kururu rubuga - hanze yuru rubuga - birabujijwe rwose.",
		footer11: "AMASEZERANO",
		footer12: "Kwinjira kururu rubuga nkumukoresha bivuze ko wasomye iki",
		footer13: "cyemezo kandi ukemera 'Amategeko yingenzi' na 'Disclaimer' hejuru.",
		footer14: "Amafaranga Yimyitwarire",
		donate: "Tanga impano",
		signup: "Iyandikishe",
		login: "Injira",
		request: "Gusaba",
		agree: "Emera",
		cashbook: "Cashbook",
		logout: "Sohoka",
		welcome: "Murakaza Neza",
		Ttext_1: "Uruhare rungana mumafaranga",
		Ttext_2: "kurema bigomba kuba uburenganzira bwa muntu.",
		Ttext_3: "Muri sisitemu yacu, buri muntu",
		Ttext_4: "yakira ",
		Ttext_5: " kuri ",
		Ttext_6: " (Isaha).",
		Ttext_7: "Ninzira yonyine yo kugira a",
		Ttext_8: "sisitemu yimari ikwiye.",
		Ttext_9: "Hano",
		Ttext_10: " urashobora gusoma uko ibi bikora.",
		Ttext_11: "Ishimire!",
		Ttext_12: "1CoinH ntabwo ari Cryptocurrency!"
	},
	ko: {
		footer00: "도움말 및 자주 묻는 질문.",
		footer01: "중요 규칙",
		footer02: "A. 자신의 프로필에 알아볼 수 있는 얼굴이 아닌 사진을",
		footer03: "넣고 코인을 모으는 모든 사용자 계정은 삭제됩니다.",
		footer04: "B. 자신을 속이거나 이중 계정을 만드는",
		footer05: "경우, 해당 계정은 발견 시 삭제됩니다.",
		footer06: "부인 성명",
		footer07: "1. 앱에 가입하거나 테스트하는 것은 해당 사용자가 1CoinH 웹사이트에서 나",
		footer08: "타내는 정치적 아이디어에 동의하거나 묵인한다는 것을 의미하지 않습니다.",
		footer09: "2. 이 웹사이트에서 찾을 수 있는 사용자 데이터를 이 웹사이트",
		footer10: "외부에서 복사하거나 재사용하는 것은 엄격히 금지되어 있습니다.",
		footer11: "합의",
		footer12: "이 웹사이트에 사용자로 가입하는 것은 귀하가 본 면책 조항을 읽었으며",
		footer13: "위의 '중요 규칙' 및 '면책 조항'에 동의한다는 것을 의미합니다.",
		footer14: "윤리적 돈",
		donate: "기부",
		signup: "가입",
		login: "로그인",
		request: "요구",
		agree: "동의하다",
		cashbook: "현금 출납장",
		logout: "로그아웃",
		welcome: "환영",
		Ttext_1: "돈에 대한 평등한 참여",
		Ttext_2: "창조는 인권이어야 함.",
		Ttext_3: "우리 시스템에서는 모든 인간이",
		Ttext_4: "받는 ",
		Ttext_5: " 당 ",
		Ttext_6: " (시간).",
		Ttext_7: "이것이",
		Ttext_8: "적절하고 윤리적인 금융 시스템을 갖는 유일한 방법입니다.",
		Ttext_9: "여기",
		Ttext_10: " 이것이 어떻게 작동하는지 읽을 수 있습니다.",
		Ttext_11: "즐기세요!",
		Ttext_12: "1CoinH는 암호화폐가 아닙니다!"
	},
	ne: {
		footer00: "Hulp en veelgestelde vragen.",
		footer01: "BELANGRIJKE REGELS",
		footer02: "A. Elk gebruikersaccount dat een afbeelding in zijn/haar profiel plaatst",
		footer03: "die geen herkenbaar gezicht toont en munten verzamelt, wordt verwijderd.",
		footer04: "B. Als je jezelf voordoet als iemand anders of als je dubbele accounts voor",
		footer05: "jezelf aanmaakt, wordt het account verwijderd zodra dit wordt ontdekt.",
		footer06: "DISCLAIMER",
		footer07: "1. Deelname aan of het testen van de app betekent geenszins dat deze gebruiker akkoord",
		footer08: "gaat met - of de politieke ideeën goedkeurt - die op de 1CoinH-website worden geuit.",
		footer09: "2. Het is ten strengste verboden om gebruikersgegevens die op deze website",
		footer10: "te vinden zijn, buiten deze website te kopiëren of te hergebruiken.",
		footer11: "OVEREENKOMST",
		footer12: "Wanneer je jezelf als gebruiker bij deze website aansluit, betekent dit dat je deze disclaimer",
		footer13: "hebt gelezen en akkoord gaat met de bovenstaande 'Belangrijke regels' en 'Disclaimer'.",
		footer14: "Ethisch Geld",
		donate: "Donaties",
		signup: "Doe Mee",
		login: "Log In",
		request: "Verzoek",
		agree: "Akkoord",
		cashbook: "Kasboek",
		logout: "Log Uit",
		welcome: "Welkom",
		Ttext_1: "Evenredig profiteren in de geld-",
		Ttext_2: "creatie moet een mensenrecht zijn.",
		Ttext_3: "In ons systeem ontvangt ieder",
		Ttext_4: "mens ",
		Ttext_5: "  per ",
		Ttext_6: "(uur).",
		Ttext_7: "Het is dé weg naar een rechtvaardig",
		Ttext_8: "ethisch financieel system.",
		Ttext_9: "Hier",
		Ttext_10: " kun je lezen hoe dit werkt.",
		Ttext_11: "Veel plezier!",
		Ttext_12: "1CoinH is GEEN cryptocurrency!"
	},
	po: {
		footer00: "Pomoc i często zadawane pytania.",
		footer01: "WAŻNE ZASADY",
		footer02: "A. Każde konto użytkownika, które umieści w swoim profilu zdjęcie nieprzedstawiające",
		footer03: "rozpoznawalnej twarzy i którego celem jest zbieranie monet, zostanie usunięte.",
		footer04: "B. Podawanie fałszywych informacji o sobie lub tworzenie podwójnych",
		footer05: "kont będzie skutkować usunięciem konta po jego wykryciu.",
		footer06: "ZASTRZEŻENIE",
		footer07: "1. Dołączenie do aplikacji lub jej testowanie nie oznacza, że dany użytkownik zgadza się lub toleruje",
		footer08: "jakiekolwiek idee polityczne, które mogą być sugerowane na stronie internetowej 1CoinH.",
		footer09: "2. Kopiowanie lub wykorzystywanie danych użytkownika, które można znaleźć na",
		footer10: "tej stronie internetowej - poza tą stroną internetową - jest surowo zabronione.",
		footer11: "POROZUMIENIE",
		footer12: "Dołączając do tej witryny internetowej jako użytkownik, zgadzasz się z treścią niniejszego",
		footer13: "zastrzeżenia i akceptujesz powyższe „Ważne zasady” oraz „Zastrzeżenie”.",
		footer14: "Etyczne Pieniądze",
		donate: "Składka",
		signup: "Zarejestruj",
		login: "Zaloguj",
		request: "Wniosek",
		agree: "Zgadzać się",
		cashbook: "Księga Kasowa",
		logout: "Wyloguj Się",
		welcome: "Powitanie",
		Ttext_1: "Równy udział w tworzeniu pieniędzy",
		Ttext_2: "powinien być prawem człowieka.",
		Ttext_3: "W naszym systemie każdy człowiek",
		Ttext_4: "otrzymuje ",
		Ttext_5: " na ",
		Ttext_6: " (Godzinę).",
		Ttext_7: "To jedyny sposób, aby mieć",
		Ttext_8: "właściwy etyczny system finansowy.",
		Ttext_9: "Tutaj",
		Ttext_10: " możesz przeczytać, jak to działa.",
		Ttext_11: "Ciesz się!",
		Ttext_12: "1CoinH NIE jest kryptowalutą!"
	},
	pt: {
		footer00: "Ajuda e perguntas frequentes.",
		footer01: "REGRAS IMPORTANTES",
		footer02: "A. Qualquer conta de utilizador que coloque uma imagem no seu perfil que",
		footer03: "não seja de um rosto reconhecível e esteja a recolher moedas será removida.",
		footer04: "B. Deturpar-se ou criar contas duplas resultará",
		footer05: "na remoção dessa conta assim que for detetada.",
		footer06: "ISENÇÃO DE RESPONSABILIDADE",
		footer07: "1.º Aderir ou testar a aplicação não significa que este utilizador concorde",
		footer08: "ou tolere quaisquer ideias políticas que o site 1CoinH possa indicar.",
		footer09: "2.º É estritamente proibido copiar ou reutilizar quaisquer dados do",
		footer10: "utilizador que possam ser encontrados neste site - fora deste site.",
		footer11: "ACORDO",
		footer12: "Aderir a este site como utilizador significa que leu esta isenção de responsabilidade",
		footer13: "e concorda com as 'Regras importantes' e a 'Isenção de responsabilidade' acima.",
		footer14: "Dinheiro Ético",
		donate: "Doar",
		signup: "Inscrever",
		login: "Conecte",
		request: "Pedido",
		agree: "Concordar",
		cashbook: "Livro Caixa",
		logout: "Sair",
		welcome: "Boas-Vindas",
		Ttext_1: "Participação igualitária no dinheiro",
		Ttext_2: "a criação deveria ser um direito humano.",
		Ttext_3: "No nosso sistema, todo o ser humano",
		Ttext_4: "recebe ",
		Ttext_5: " por ",
		Ttext_6: " (Hora).",
		Ttext_7: "É a única forma de ter um",
		Ttext_8: "sistema financeiro ético adequado.",
		Ttext_9: "Aqui",
		Ttext_10: " pode ler como funciona.",
		Ttext_11: "Desfrutar!",
		Ttext_12: "A 1CoinH NÃO é uma criptomoeda!"
	},
	ru: {
		footer00: "Помощь и часто задаваемые вопросы.",
		footer01: "ВАЖНЫЕ ПРАВИЛА",
		footer02: "A. Любая учетная запись пользователя, размещающая в своем профиле изображение,",
		footer03: "не являющееся фотографией узнаваемого лица, и собирающая монеты, будет удалена.",
		footer04: "B. Предоставление ложных сведений о себе или создание двойных учетных",
		footer05: "записей приведет к удалению учетной записи после ее обнаружения.",
		footer06: "ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ",
		footer07: "1. Присоединение к приложению или его тестирование не означает, что пользователь соглашается",
		footer08: "или одобряет какие-либо политические идеи, которые могут быть представлены на сайте 1CoinH.",
		footer09: "2. Копирование или повторное использование любых пользовательских данных,",
		footer10: "которые можно найти на этом сайте, за пределами этого сайта строго запрещено.",
		footer11: "СОГЛАШЕНИЕ",
		footer12: "Регистрация на этом сайте в качестве пользователя означает, что вы прочитали данное заявление об",
		footer13: "отказе от ответственности и соглашаетесь с «Важными правилами» и «Отказом от ответственности» выше.",
		footer14: "Этические деньги",
		donate: "давать",
		signup: "присоединиться",
		login: "Войти",
		request: "запрос",
		agree: "соглашаться",
		cashbook: "Кассовая книга",
		logout: "Выйти",
		welcome: "Добро пожаловать",
		Ttext_1: "Равное участие в деньгах",
		Ttext_2: "творение должно быть правом человека.",
		Ttext_3: "В нашей системе каждый человек",
		Ttext_4: "получает ",
		Ttext_5: " за ",
		Ttext_6: " (Час).",
		Ttext_7: "Это единственный способ иметь",
		Ttext_8: "надлежащую этичную финансовую систему.",
		Ttext_9: "Здесь",
		Ttext_10: "!вы можете прочитать, как это работает.",
		Ttext_11: "Наслаждайтесь!",
		Ttext_12: "1CoinH — это НЕ криптовалюта!"
	}
}


const languageSelectop = document.querySelector("select");

languageSelectop.addEventListener("change", (event) => {
	setLanguage(event.target.value);
	if (window.localStorage) {
    	localStorage.setItem("site-language", event.target.value);
 	}
})
let footer_00 = document.getElementById("footer00");
let footer_01 = document.getElementById("footer01");
let footer_02 = document.getElementById("footer02");
let footer_03 = document.getElementById("footer03");
let footer_04 = document.getElementById("footer04");
let footer_05 = document.getElementById("footer05");
let footer_06 = document.getElementById("footer06");
let footer_07 = document.getElementById("footer07");
let footer_08 = document.getElementById("footer08");
let footer_09 = document.getElementById("footer09");
let footer_10 = document.getElementById("footer10");
let footer_11 = document.getElementById("footer11");
let footer_12 = document.getElementById("footer12");
let footer_13 = document.getElementById("footer13");
let footer_14 = document.getElementById("footer14");
let donate = document.getElementById("donate");
let signup = document.getElementById("signup");
let login = document.getElementById("login");
let request = document.getElementById("request");
let agree = document.getElementById("agree");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let welcome = document.getElementById("welcome");
let text_1 = document.getElementById("text_1");
let text_2 = document.getElementById("text_2");
let text_3 = document.getElementById("text_3");
let text_4 = document.getElementById("text_4");
let text_5 = document.getElementById("text_5");
let text_6 = document.getElementById("text_6");
let text_7 = document.getElementById("text_7");
let text_8 = document.getElementById("text_8");
let text_9 = document.getElementById("text_9");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");


const setLanguage = (language) => {
	if(language == "ar"){
		footer_00.innerText = translations.ar.footer00;
		footer_01.innerText = translations.ar.footer01;
		footer_02.innerText = translations.ar.footer02;
		footer_03.innerText = translations.ar.footer03;
		footer_04.innerText = translations.ar.footer04;
		footer_05.innerText = translations.ar.footer05;
		footer_06.innerText = translations.ar.footer06;
		footer_07.innerText = translations.ar.footer07;
		footer_08.innerText = translations.ar.footer08;
		footer_09.innerText = translations.ar.footer09;
		footer_10.innerText = translations.ar.footer10;
		footer_11.innerText = translations.ar.footer11;
		footer_12.innerText = translations.ar.footer12;
		footer_13.innerText = translations.ar.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ar.footer14;
		if (donate) {
			donate.innerText = translations.ar.donate;
		}
		if (signup) {
			signup.innerText = translations.ar.signup;
		}
		if (login) {
			login.innerText = translations.ar.login;
		}
		if (request) {
			request.innerText = translations.ar.request;
		}
		if (agree) {
			agree.innerText = translations.ar.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ar.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ar.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ar.welcome;
		}
		signup.innerText = translations.ar.signup;
		login.innerText = translations.ar.login;
		text_1.innerText = translations.ar.Ttext_1;
		text_2.innerText = translations.ar.Ttext_2;
		text_3.innerText = translations.ar.Ttext_3;
		text_4.innerText = translations.ar.Ttext_4;
		text_5.innerText = translations.ar.Ttext_5;
		text_6.innerText = translations.ar.Ttext_6;
		text_7.innerText = translations.ar.Ttext_7;
		text_8.innerText = translations.ar.Ttext_8;
		text_9.innerText = translations.ar.Ttext_9;
		text_10.innerText = translations.ar.Ttext_10;
		text_11.innerText = translations.ar.Ttext_11;
		text_12.innerText = translations.ar.Ttext_12;
	}else if(language == "be"){
		footer_00.innerText = translations.be.footer00;
		footer_01.innerText = translations.be.footer01;
		footer_02.innerText = translations.be.footer02;
		footer_03.innerText = translations.be.footer03;
		footer_04.innerText = translations.be.footer04;
		footer_05.innerText = translations.be.footer05;
		footer_06.innerText = translations.be.footer06;
		footer_07.innerText = translations.be.footer07;
		footer_08.innerText = translations.be.footer08;
		footer_09.innerText = translations.be.footer09;
		footer_10.innerText = translations.be.footer10;
		footer_11.innerText = translations.be.footer11;
		footer_12.innerText = translations.be.footer12;
		footer_13.innerText = translations.be.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.be.footer14;
		if (donate) {
			donate.innerText = translations.be.donate;
		}
		if (signup) {
			signup.innerText = translations.be.signup;
		}
		if (login) {
			login.innerText = translations.be.login;
		}
		if (request) {
			request.innerText = translations.be.request;
		}
		if (agree) {
			agree.innerText = translations.be.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.be.cashbook;
		}
		if (logout) {
			logout.innerText = translations.be.logout;
		}
		if (welcome) {
			welcome.innerText = translations.be.welcome;
		}
		text_1.innerText = translations.be.Ttext_1;
		text_2.innerText = translations.be.Ttext_2;
		text_3.innerText = translations.be.Ttext_3;
		text_4.innerText = translations.be.Ttext_4;
		text_5.innerText = translations.be.Ttext_5;
		text_6.innerText = translations.be.Ttext_6;
		text_7.innerText = translations.be.Ttext_7;
		text_8.innerText = translations.be.Ttext_8;
		text_9.innerText = translations.be.Ttext_9;
		text_10.innerText = translations.be.Ttext_10;
		text_11.innerText = translations.be.Ttext_11;
		text_12.innerText = translations.be.Ttext_12;
	}else if(language == "ch"){
		footer_00.innerText = translations.ch.footer00;
		footer_01.innerText = translations.ch.footer01;
		footer_02.innerText = translations.ch.footer02;
		footer_03.innerText = translations.ch.footer03;
		footer_04.innerText = translations.ch.footer04;
		footer_05.innerText = translations.ch.footer05;
		footer_06.innerText = translations.ch.footer06;
		footer_07.innerText = translations.ch.footer07;
		footer_08.innerText = translations.ch.footer08;
		footer_09.innerText = translations.ch.footer09;
		footer_10.innerText = translations.ch.footer10;
		footer_11.innerText = translations.ch.footer11;
		footer_12.innerText = translations.ch.footer12;
		footer_13.innerText = translations.ch.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ch.footer14;
		if (donate) {
			donate.innerText = translations.ch.donate;
		}
		if (signup) {
			signup.innerText = translations.ch.signup;
		}
		if (login) {
			login.innerText = translations.ch.login;
		}
		if (request) {
			request.innerText = translations.ch.request;
		}
		if (agree) {
			agree.innerText = translations.ch.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ch.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ch.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ch.welcome;
		}
		text_1.innerText = translations.ch.Ttext_1;
		text_2.innerText = translations.ch.Ttext_2;
		text_3.innerText = translations.ch.Ttext_3;
		text_4.innerText = translations.ch.Ttext_4;
		text_5.innerText = translations.ch.Ttext_5;
		text_6.innerText = translations.ch.Ttext_6;
		text_7.innerText = translations.ch.Ttext_7;
		text_8.innerText = translations.ch.Ttext_8;
		text_9.innerText = translations.ch.Ttext_9;
		text_10.innerText = translations.ch.Ttext_10;
		text_11.innerText = translations.ch.Ttext_11;
		text_12.innerText = translations.ch.Ttext_12;
	}else if(language == "de"){
		footer_00.innerText = translations.de.footer00;
		footer_01.innerText = translations.de.footer01;
		footer_02.innerText = translations.de.footer02;
		footer_03.innerText = translations.de.footer03;
		footer_04.innerText = translations.de.footer04;
		footer_05.innerText = translations.de.footer05;
		footer_06.innerText = translations.de.footer06;
		footer_07.innerText = translations.de.footer07;
		footer_08.innerText = translations.de.footer08;
		footer_09.innerText = translations.de.footer09;
		footer_10.innerText = translations.de.footer10;
		footer_11.innerText = translations.de.footer11;
		footer_12.innerText = translations.de.footer12;
		footer_13.innerText = translations.de.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.de.footer14;
		if (donate) {
			donate.innerText = translations.de.donate;
		}
		if (signup) {
			signup.innerText = translations.de.signup;
		}
		if (login) {
			login.innerText = translations.de.login;
		}
		if (request) {
			request.innerText = translations.de.request;
		}
		if (agree) {
			agree.innerText = translations.de.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.de.cashbook;
		}
		if (logout) {
			logout.innerText = translations.de.logout;
		}
		if (welcome) {
			welcome.innerText = translations.de.welcome;
		}
		text_1.innerText = translations.de.Ttext_1;
		text_2.innerText = translations.de.Ttext_2;
		text_3.innerText = translations.de.Ttext_3;
		text_4.innerText = translations.de.Ttext_4;
		text_5.innerText = translations.de.Ttext_5;
		text_6.innerText = translations.de.Ttext_6;
		text_7.innerText = translations.de.Ttext_7;
		text_8.innerText = translations.de.Ttext_8;
		text_9.innerText = translations.de.Ttext_9;
		text_10.innerText = translations.de.Ttext_10;
		text_11.innerText = translations.de.Ttext_11;
		text_12.innerText = translations.de.Ttext_12;
	}else if(language == "en"){
		footer_00.innerText = translations.en.footer00;
		footer_01.innerText = translations.en.footer01;
		footer_02.innerText = translations.en.footer02;
		footer_03.innerText = translations.en.footer03;
		footer_04.innerText = translations.en.footer04;
		footer_05.innerText = translations.en.footer05;
		footer_06.innerText = translations.en.footer06;
		footer_07.innerText = translations.en.footer07;
		footer_08.innerText = translations.en.footer08;
		footer_09.innerText = translations.en.footer09;
		footer_10.innerText = translations.en.footer10;
		footer_11.innerText = translations.en.footer11;
		footer_12.innerText = translations.en.footer12;
		footer_13.innerText = translations.en.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.en.footer14;
		if (donate) {
			donate.innerText = translations.en.donate;
		}
		if (signup) {
			signup.innerText = translations.en.signup;
		}
		if (login) {
			login.innerText = translations.en.login;
		}
		if (request) {
			request.innerText = translations.en.request;
		}
		if (agree) {
			agree.innerText = translations.en.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.en.cashbook;
		}
		if (logout) {
			logout.innerText = translations.en.logout;
		}
		if (welcome) {
			welcome.innerText = translations.en.welcome;
		}
		text_1.innerText = translations.en.Ttext_1;
		text_2.innerText = translations.en.Ttext_2;
		text_3.innerText = translations.en.Ttext_3;
		text_4.innerText = translations.en.Ttext_4;
		text_5.innerText = translations.en.Ttext_5;
		text_6.innerText = translations.en.Ttext_6;
		text_7.innerText = translations.en.Ttext_7;
		text_8.innerText = translations.en.Ttext_8;
		text_9.innerText = translations.en.Ttext_9;
		text_10.innerText = translations.en.Ttext_10;
		text_11.innerText = translations.en.Ttext_11;
		text_12.innerText = translations.en.Ttext_12;
	}else if(language == "es"){
		footer_00.innerText = translations.es.footer00;
		footer_01.innerText = translations.es.footer01;
		footer_02.innerText = translations.es.footer02;
		footer_03.innerText = translations.es.footer03;
		footer_04.innerText = translations.es.footer04;
		footer_05.innerText = translations.es.footer05;
		footer_06.innerText = translations.es.footer06;
		footer_07.innerText = translations.es.footer07;
		footer_08.innerText = translations.es.footer08;
		footer_09.innerText = translations.es.footer09;
		footer_10.innerText = translations.es.footer10;
		footer_11.innerText = translations.es.footer11;
		footer_12.innerText = translations.es.footer12;
		footer_13.innerText = translations.es.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.es.footer14;
		if (donate) {
			donate.innerText = translations.es.donate;
		}
		if (signup) {
			signup.innerText = translations.es.signup;
		}
		if (login) {
			login.innerText = translations.es.login;
		}
		if (request) {
			request.innerText = translations.es.request;
		}
		if (agree) {
			agree.innerText = translations.es.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.es.cashbook;
		}
		if (logout) {
			logout.innerText = translations.es.logout;
		}
		if (welcome) {
			welcome.innerText = translations.es.welcome;
		}
		text_1.innerText = translations.es.Ttext_1;
		text_2.innerText = translations.es.Ttext_2;
		text_3.innerText = translations.es.Ttext_3;
		text_4.innerText = translations.es.Ttext_4;
		text_5.innerText = translations.es.Ttext_5;
		text_6.innerText = translations.es.Ttext_6;
		text_7.innerText = translations.es.Ttext_7;
		text_8.innerText = translations.es.Ttext_8;
		text_9.innerText = translations.es.Ttext_9;
		text_10.innerText = translations.es.Ttext_10;
		text_11.innerText = translations.es.Ttext_11;
		text_12.innerText = translations.es.Ttext_12;
	}else if(language == "fr"){
		footer_00.innerText = translations.fr.footer00;
		footer_01.innerText = translations.fr.footer01;
		footer_02.innerText = translations.fr.footer02;
		footer_03.innerText = translations.fr.footer03;
		footer_04.innerText = translations.fr.footer04;
		footer_05.innerText = translations.fr.footer05;
		footer_06.innerText = translations.fr.footer06;
		footer_07.innerText = translations.fr.footer07;
		footer_08.innerText = translations.fr.footer08;
		footer_09.innerText = translations.fr.footer09;
		footer_10.innerText = translations.fr.footer10;
		footer_11.innerText = translations.fr.footer11;
		footer_12.innerText = translations.fr.footer12;
		footer_13.innerText = translations.fr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fr.footer14;
		if (donate) {
			donate.innerText = translations.fr.donate;
		}
		if (signup) {
			signup.innerText = translations.fr.signup;
		}
		if (login) {
			login.innerText = translations.fr.login;
		}
		if (request) {
			request.innerText = translations.fr.request;
		}
		if (agree) {
			agree.innerText = translations.fr.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.fr.cashbook;
		}
		if (logout) {
			logout.innerText = translations.fr.logout;
		}
		if (welcome) {
			welcome.innerText = translations.fr.welcome;
		}
		text_1.innerText = translations.fr.Ttext_1;
		text_2.innerText = translations.fr.Ttext_2;
		text_3.innerText = translations.fr.Ttext_3;
		text_4.innerText = translations.fr.Ttext_4;
		text_5.innerText = translations.fr.Ttext_5;
		text_6.innerText = translations.fr.Ttext_6;
		text_7.innerText = translations.fr.Ttext_7;
		text_8.innerText = translations.fr.Ttext_8;
		text_9.innerText = translations.fr.Ttext_9;
		text_10.innerText = translations.fr.Ttext_10;
		text_11.innerText = translations.fr.Ttext_11;
		text_12.innerText = translations.fr.Ttext_12;
	}else if(language == "gr"){
		footer_00.innerText = translations.gr.footer00;
		footer_01.innerText = translations.gr.footer01;
		footer_02.innerText = translations.gr.footer02;
		footer_03.innerText = translations.gr.footer03;
		footer_04.innerText = translations.gr.footer04;
		footer_05.innerText = translations.gr.footer05;
		footer_06.innerText = translations.gr.footer06;
		footer_07.innerText = translations.gr.footer07;
		footer_08.innerText = translations.gr.footer08;
		footer_09.innerText = translations.gr.footer09;
		footer_10.innerText = translations.gr.footer10;
		footer_11.innerText = translations.gr.footer11;
		footer_12.innerText = translations.gr.footer12;
		footer_13.innerText = translations.gr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.gr.footer14;
		if (donate) {
			donate.innerText = translations.gr.donate;
		}
		if (signup) {
			signup.innerText = translations.gr.signup;
		}
		if (login) {
			login.innerText = translations.gr.login;
		}
		if (request) {
			request.innerText = translations.gr.request;
		}
		if (agree) {
			agree.innerText = translations.gr.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.gr.cashbook;
		}
		if (logout) {
			logout.innerText = translations.gr.logout;
		}
		if (welcome) {
			welcome.innerText = translations.gr.welcome;
		}
		text_1.innerText = translations.gr.Ttext_1;
		text_2.innerText = translations.gr.Ttext_2;
		text_3.innerText = translations.gr.Ttext_3;
		text_4.innerText = translations.gr.Ttext_4;
		text_5.innerText = translations.gr.Ttext_5;
		text_6.innerText = translations.gr.Ttext_6;
		text_7.innerText = translations.gr.Ttext_7;
		text_8.innerText = translations.gr.Ttext_8;
		text_9.innerText = translations.gr.Ttext_9;
		text_10.innerText = translations.gr.Ttext_10;
		text_11.innerText = translations.gr.Ttext_11;
		text_12.innerText = translations.gr.Ttext_12;
	}else if(language == "ha"){
		footer_00.innerText = translations.ha.footer00;
		footer_01.innerText = translations.ha.footer01;
		footer_02.innerText = translations.ha.footer02;
		footer_03.innerText = translations.ha.footer03;
		footer_04.innerText = translations.ha.footer04;
		footer_05.innerText = translations.ha.footer05;
		footer_06.innerText = translations.ha.footer06;
		footer_07.innerText = translations.ha.footer07;
		footer_08.innerText = translations.ha.footer08;
		footer_09.innerText = translations.ha.footer09;
		footer_10.innerText = translations.ha.footer10;
		footer_11.innerText = translations.ha.footer11;
		footer_12.innerText = translations.ha.footer12;
		footer_13.innerText = translations.ha.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ha.footer14;
		if (donate) {
			donate.innerText = translations.ha.donate;
		}
		if (signup) {
			signup.innerText = translations.ha.signup;
		}
		if (login) {
			login.innerText = translations.ha.login;
		}
		if (request) {
			request.innerText = translations.ha.request;
		}
		if (agree) {
			agree.innerText = translations.ha.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ha.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ha.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ha.welcome;
		}
		text_1.innerText = translations.ha.Ttext_1;
		text_2.innerText = translations.ha.Ttext_2;
		text_3.innerText = translations.ha.Ttext_3;
		text_4.innerText = translations.ha.Ttext_4;
		text_5.innerText = translations.ha.Ttext_5;
		text_6.innerText = translations.ha.Ttext_6;
		text_7.innerText = translations.ha.Ttext_7;
		text_8.innerText = translations.ha.Ttext_8;
		text_9.innerText = translations.ha.Ttext_9;
		text_10.innerText = translations.ha.Ttext_10;
		text_11.innerText = translations.ha.Ttext_11;
		text_12.innerText = translations.ha.Ttext_12;
	}else if(language == "hi"){
		footer_00.innerText = translations.hi.footer00;
		footer_01.innerText = translations.hi.footer01;
		footer_02.innerText = translations.hi.footer02;
		footer_03.innerText = translations.hi.footer03;
		footer_04.innerText = translations.hi.footer04;
		footer_05.innerText = translations.hi.footer05;
		footer_06.innerText = translations.hi.footer06;
		footer_07.innerText = translations.hi.footer07;
		footer_08.innerText = translations.hi.footer08;
		footer_09.innerText = translations.hi.footer09;
		footer_10.innerText = translations.hi.footer10;
		footer_11.innerText = translations.hi.footer11;
		footer_12.innerText = translations.hi.footer12;
		footer_13.innerText = translations.hi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hi.footer14;
		if (donate) {
			donate.innerText = translations.hi.donate;
		}
		if (signup) {
			signup.innerText = translations.hi.signup;
		}
		if (login) {
			login.innerText = translations.hi.login;
		}
		if (request) {
			request.innerText = translations.hi.request;
		}
		if (agree) {
			agree.innerText = translations.hi.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.hi.cashbook;
		}
		if (logout) {
			logout.innerText = translations.hi.logout;
		}
		if (welcome) {
			welcome.innerText = translations.hi.welcome;
		}
		text_1.innerText = translations.hi.Ttext_1;
		text_2.innerText = translations.hi.Ttext_2;
		text_3.innerText = translations.hi.Ttext_3;
		text_4.innerText = translations.hi.Ttext_4;
		text_5.innerText = translations.hi.Ttext_5;
		text_6.innerText = translations.hi.Ttext_6;
		text_7.innerText = translations.hi.Ttext_7;
		text_8.innerText = translations.hi.Ttext_8;
		text_9.innerText = translations.hi.Ttext_9;
		text_10.innerText = translations.hi.Ttext_10;
		text_11.innerText = translations.hi.Ttext_11;
		text_12.innerText = translations.hi.Ttext_12;
	}else if(language == "he"){
		footer_00.innerText = translations.he.footer00;
		footer_01.innerText = translations.he.footer01;
		footer_02.innerText = translations.he.footer02;
		footer_03.innerText = translations.he.footer03;
		footer_04.innerText = translations.he.footer04;
		footer_05.innerText = translations.he.footer05;
		footer_06.innerText = translations.he.footer06;
		footer_07.innerText = translations.he.footer07;
		footer_08.innerText = translations.he.footer08;
		footer_09.innerText = translations.he.footer09;
		footer_10.innerText = translations.he.footer10;
		footer_11.innerText = translations.he.footer11;
		footer_12.innerText = translations.he.footer12;
		footer_13.innerText = translations.he.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.he.footer14;
		if (donate) {
			donate.innerText = translations.he.donate;
		}
		if (signup) {
			signup.innerText = translations.he.signup;
		}
		if (login) {
			login.innerText = translations.he.login;
		}
		if (request) {
			request.innerText = translations.he.request;
		}
		if (agree) {
			agree.innerText = translations.he.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.he.cashbook;
		}
		if (logout) {
			logout.innerText = translations.he.logout;
		}
		if (welcome) {
			welcome.innerText = translations.he.welcome;
		}
		text_1.innerText = translations.he.Ttext_1;
		text_2.innerText = translations.he.Ttext_2;
		text_3.innerText = translations.he.Ttext_3;
		text_4.innerText = translations.he.Ttext_4;
		text_5.innerText = translations.he.Ttext_5;
		text_6.innerText = translations.he.Ttext_6;
		text_7.innerText = translations.he.Ttext_7;
		text_8.innerText = translations.he.Ttext_8;
		text_9.innerText = translations.he.Ttext_9;
		text_10.innerText = translations.he.Ttext_10;
		text_11.innerText = translations.he.Ttext_11;
		text_12.innerText = translations.he.Ttext_12;
	}else if(language == "hu"){
		footer_00.innerText = translations.hu.footer00;
		footer_01.innerText = translations.hu.footer01;
		footer_02.innerText = translations.hu.footer02;
		footer_03.innerText = translations.hu.footer03;
		footer_04.innerText = translations.hu.footer04;
		footer_05.innerText = translations.hu.footer05;
		footer_06.innerText = translations.hu.footer06;
		footer_07.innerText = translations.hu.footer07;
		footer_08.innerText = translations.hu.footer08;
		footer_09.innerText = translations.hu.footer09;
		footer_10.innerText = translations.hu.footer10;
		footer_11.innerText = translations.hu.footer11;
		footer_12.innerText = translations.hu.footer12;
		footer_13.innerText = translations.hu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hu.footer14;
		if (donate) {
			donate.innerText = translations.hu.donate;
		}
		if (signup) {
			signup.innerText = translations.hu.signup;
		}
		if (login) {
			login.innerText = translations.hu.login;
		}
		if (request) {
			request.innerText = translations.hu.request;
		}
		if (agree) {
			agree.innerText = translations.hu.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.hu.cashbook;
		}
		if (logout) {
			logout.innerText = translations.hu.logout;
		}
		if (welcome) {
			welcome.innerText = translations.hu.welcome;
		}
		text_1.innerText = translations.hu.Ttext_1;
		text_2.innerText = translations.hu.Ttext_2;
		text_3.innerText = translations.hu.Ttext_3;
		text_4.innerText = translations.hu.Ttext_4;
		text_5.innerText = translations.hu.Ttext_5;
		text_6.innerText = translations.hu.Ttext_6;
		text_7.innerText = translations.hu.Ttext_7;
		text_8.innerText = translations.hu.Ttext_8;
		text_9.innerText = translations.hu.Ttext_9;
		text_10.innerText = translations.hu.Ttext_10;
		text_11.innerText = translations.hu.Ttext_11;
		text_12.innerText = translations.hu.Ttext_12;
	}else if(language == "it"){
		footer_00.innerText = translations.it.footer00;
		footer_01.innerText = translations.it.footer01;
		footer_02.innerText = translations.it.footer02;
		footer_03.innerText = translations.it.footer03;
		footer_04.innerText = translations.it.footer04;
		footer_05.innerText = translations.it.footer05;
		footer_06.innerText = translations.it.footer06;
		footer_07.innerText = translations.it.footer07;
		footer_08.innerText = translations.it.footer08;
		footer_09.innerText = translations.it.footer09;
		footer_10.innerText = translations.it.footer10;
		footer_11.innerText = translations.it.footer11;
		footer_12.innerText = translations.it.footer12;
		footer_13.innerText = translations.it.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.it.footer14;
		if (donate) {
			donate.innerText = translations.it.donate;
		}
		if (signup) {
			signup.innerText = translations.it.signup;
		}
		if (login) {
			login.innerText = translations.it.login;
		}
		if (request) {
			request.innerText = translations.it.request;
		}
		if (agree) {
			agree.innerText = translations.it.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.it.cashbook;
		}
		if (logout) {
			logout.innerText = translations.it.logout;
		}
		if (welcome) {
			welcome.innerText = translations.it.welcome;
		}
		text_1.innerText = translations.it.Ttext_1;
		text_2.innerText = translations.it.Ttext_2;
		text_3.innerText = translations.it.Ttext_3;
		text_4.innerText = translations.it.Ttext_4;
		text_5.innerText = translations.it.Ttext_5;
		text_6.innerText = translations.it.Ttext_6;
		text_7.innerText = translations.it.Ttext_7;
		text_8.innerText = translations.it.Ttext_8;
		text_9.innerText = translations.it.Ttext_9;
		text_10.innerText = translations.it.Ttext_10;
		text_11.innerText = translations.it.Ttext_11;
		text_12.innerText = translations.it.Ttext_12;
	}else if(language == "ja"){
		footer_00.innerText = translations.ja.footer00;
		footer_01.innerText = translations.ja.footer01;
		footer_02.innerText = translations.ja.footer02;
		footer_03.innerText = translations.ja.footer03;
		footer_04.innerText = translations.ja.footer04;
		footer_05.innerText = translations.ja.footer05;
		footer_06.innerText = translations.ja.footer06;
		footer_07.innerText = translations.ja.footer07;
		footer_08.innerText = translations.ja.footer08;
		footer_09.innerText = translations.ja.footer09;
		footer_10.innerText = translations.ja.footer10;
		footer_11.innerText = translations.ja.footer11;
		footer_12.innerText = translations.ja.footer12;
		footer_13.innerText = translations.ja.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ja.footer14;
		if (donate) {
			donate.innerText = translations.ja.donate;
		}
		if (signup) {
			signup.innerText = translations.ja.signup;
		}
		if (login) {
			login.innerText = translations.ja.login;
		}
		if (request) {
			request.innerText = translations.ja.request;
		}
		if (agree) {
			agree.innerText = translations.ja.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ja.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ja.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ja.welcome;
		}
		text_1.innerText = translations.ja.Ttext_1;
		text_2.innerText = translations.ja.Ttext_2;
		text_3.innerText = translations.ja.Ttext_3;
		text_4.innerText = translations.ja.Ttext_4;
		text_5.innerText = translations.ja.Ttext_5;
		text_6.innerText = translations.ja.Ttext_6;
		text_7.innerText = translations.ja.Ttext_7;
		text_8.innerText = translations.ja.Ttext_8;
		text_9.innerText = translations.ja.Ttext_9;
		text_10.innerText = translations.ja.Ttext_10;
		text_11.innerText = translations.ja.Ttext_11;
		text_12.innerText = translations.ja.Ttext_12;
	}else if(language == "ki"){
		footer_00.innerText = translations.ki.footer00;
		footer_01.innerText = translations.ki.footer01;
		footer_02.innerText = translations.ki.footer02;
		footer_03.innerText = translations.ki.footer03;
		footer_04.innerText = translations.ki.footer04;
		footer_05.innerText = translations.ki.footer05;
		footer_06.innerText = translations.ki.footer06;
		footer_07.innerText = translations.ki.footer07;
		footer_08.innerText = translations.ki.footer08;
		footer_09.innerText = translations.ki.footer09;
		footer_10.innerText = translations.ki.footer10;
		footer_11.innerText = translations.ki.footer11;
		footer_12.innerText = translations.ki.footer12;
		footer_13.innerText = translations.ki.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ki.footer14;
		if (donate) {
			donate.innerText = translations.ki.donate;
		}
		if (signup) {
			signup.innerText = translations.ki.signup;
		}
		if (login) {
			login.innerText = translations.ki.login;
		}
		if (request) {
			request.innerText = translations.ki.request;
		}
		if (agree) {
			agree.innerText = translations.ki.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ki.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ki.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ki.welcome;
		}
		text_1.innerText = translations.ki.Ttext_1;
		text_2.innerText = translations.ki.Ttext_2;
		text_3.innerText = translations.ki.Ttext_3;
		text_4.innerText = translations.ki.Ttext_4;
		text_5.innerText = translations.ki.Ttext_5;
		text_6.innerText = translations.ki.Ttext_6;
		text_7.innerText = translations.ki.Ttext_7;
		text_8.innerText = translations.ki.Ttext_8;
		text_9.innerText = translations.ki.Ttext_9;
		text_10.innerText = translations.ki.Ttext_10;
		text_11.innerText = translations.ki.Ttext_11;
		text_12.innerText = translations.ki.Ttext_12;
	}else if(language == "ko"){
		footer_00.innerText = translations.ko.footer00;
		footer_01.innerText = translations.ko.footer01;
		footer_02.innerText = translations.ko.footer02;
		footer_03.innerText = translations.ko.footer03;
		footer_04.innerText = translations.ko.footer04;
		footer_05.innerText = translations.ko.footer05;
		footer_06.innerText = translations.ko.footer06;
		footer_07.innerText = translations.ko.footer07;
		footer_08.innerText = translations.ko.footer08;
		footer_09.innerText = translations.ko.footer09;
		footer_10.innerText = translations.ko.footer10;
		footer_11.innerText = translations.ko.footer11;
		footer_12.innerText = translations.ko.footer12;
		footer_13.innerText = translations.ko.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ko.footer14;
		if (donate) {
			donate.innerText = translations.ko.donate;
		}
		if (signup) {
			signup.innerText = translations.ko.signup;
		}
		if (login) {
			login.innerText = translations.ko.login;
		}
		if (request) {
			request.innerText = translations.ko.request;
		}
		if (agree) {
			agree.innerText = translations.ko.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ko.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ko.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ko.welcome;
		}
		text_1.innerText = translations.ko.Ttext_1;
		text_2.innerText = translations.ko.Ttext_2;
		text_3.innerText = translations.ko.Ttext_3;
		text_4.innerText = translations.ko.Ttext_4;
		text_5.innerText = translations.ko.Ttext_5;
		text_6.innerText = translations.ko.Ttext_6;
		text_7.innerText = translations.ko.Ttext_7;
		text_8.innerText = translations.ko.Ttext_8;
		text_9.innerText = translations.ko.Ttext_9;
		text_10.innerText = translations.ko.Ttext_10;
		text_11.innerText = translations.ko.Ttext_11;
		text_12.innerText = translations.ko.Ttext_12;
	}else if(language == "ne"){
		footer_00.innerText = translations.ne.footer00;
		footer_01.innerText = translations.ne.footer01;
		footer_02.innerText = translations.ne.footer02;
		footer_03.innerText = translations.ne.footer03;
		footer_04.innerText = translations.ne.footer04;
		footer_05.innerText = translations.ne.footer05;
		footer_06.innerText = translations.ne.footer06;
		footer_07.innerText = translations.ne.footer07;
		footer_08.innerText = translations.ne.footer08;
		footer_09.innerText = translations.ne.footer09;
		footer_10.innerText = translations.ne.footer10;
		footer_11.innerText = translations.ne.footer11;
		footer_12.innerText = translations.ne.footer12;
		footer_13.innerText = translations.ne.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ne.footer14;
		if (donate) {
			donate.innerText = translations.ne.donate;
		}
		if (signup) {
			signup.innerText = translations.ne.signup;
		}
		if (login) {
			login.innerText = translations.ne.login;
		}
		if (request) {
			request.innerText = translations.ne.request;
		}
		if (agree) {
			agree.innerText = translations.ne.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ne.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ne.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ne.welcome;
		}
		text_1.innerText = translations.ne.Ttext_1;
		text_2.innerText = translations.ne.Ttext_2;
		text_3.innerText = translations.ne.Ttext_3;
		text_4.innerText = translations.ne.Ttext_4;
		text_5.innerText = translations.ne.Ttext_5;
		text_6.innerText = translations.ne.Ttext_6;
		text_7.innerText = translations.ne.Ttext_7;
		text_8.innerText = translations.ne.Ttext_8;
		text_9.innerText = translations.ne.Ttext_9;
		text_10.innerText = translations.ne.Ttext_10;
		text_11.innerText = translations.ne.Ttext_11;
		text_12.innerText = translations.ne.Ttext_12;
	}else if(language == "po"){
		footer_00.innerText = translations.po.footer00;
		footer_01.innerText = translations.po.footer01;
		footer_02.innerText = translations.po.footer02;
		footer_03.innerText = translations.po.footer03;
		footer_04.innerText = translations.po.footer04;
		footer_05.innerText = translations.po.footer05;
		footer_06.innerText = translations.po.footer06;
		footer_07.innerText = translations.po.footer07;
		footer_08.innerText = translations.po.footer08;
		footer_09.innerText = translations.po.footer09;
		footer_10.innerText = translations.po.footer10;
		footer_11.innerText = translations.po.footer11;
		footer_12.innerText = translations.po.footer12;
		footer_13.innerText = translations.po.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.po.footer14;
		if (donate) {
			donate.innerText = translations.po.donate;
		}
		if (signup) {
			signup.innerText = translations.po.signup;
		}
		if (login) {
			login.innerText = translations.po.login;
		}
		if (request) {
			request.innerText = translations.po.request;
		}
		if (agree) {
			agree.innerText = translations.po.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.po.cashbook;
		}
		if (logout) {
			logout.innerText = translations.po.logout;
		}
		if (welcome) {
			welcome.innerText = translations.po.welcome;
		}
		text_1.innerText = translations.po.Ttext_1;
		text_2.innerText = translations.po.Ttext_2;
		text_3.innerText = translations.po.Ttext_3;
		text_4.innerText = translations.po.Ttext_4;
		text_5.innerText = translations.po.Ttext_5;
		text_6.innerText = translations.po.Ttext_6;
		text_7.innerText = translations.po.Ttext_7;
		text_8.innerText = translations.po.Ttext_8;
		text_9.innerText = translations.po.Ttext_9;
		text_10.innerText = translations.po.Ttext_10;
		text_11.innerText = translations.po.Ttext_11;
		text_12.innerText = translations.po.Ttext_12;
	}else if(language == "pt"){
		footer_00.innerText = translations.pt.footer00;
		footer_01.innerText = translations.pt.footer01;
		footer_02.innerText = translations.pt.footer02;
		footer_03.innerText = translations.pt.footer03;
		footer_04.innerText = translations.pt.footer04;
		footer_05.innerText = translations.pt.footer05;
		footer_06.innerText = translations.pt.footer06;
		footer_07.innerText = translations.pt.footer07;
		footer_08.innerText = translations.pt.footer08;
		footer_09.innerText = translations.pt.footer09;
		footer_10.innerText = translations.pt.footer10;
		footer_11.innerText = translations.pt.footer11;
		footer_12.innerText = translations.pt.footer12;
		footer_13.innerText = translations.pt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pt.footer14;
		if (donate) {
			donate.innerText = translations.pt.donate;
		}
		if (signup) {
			signup.innerText = translations.pt.signup;
		}
		if (login) {
			login.innerText = translations.pt.login;
		}
		if (request) {
			request.innerText = translations.pt.request;
		}
		if (agree) {
			agree.innerText = translations.pt.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.pt.cashbook;
		}
		if (logout) {
			logout.innerText = translations.pt.logout;
		}
		if (welcome) {
			welcome.innerText = translations.pt.welcome;
		}
		text_1.innerText = translations.pt.Ttext_1;
		text_2.innerText = translations.pt.Ttext_2;
		text_3.innerText = translations.pt.Ttext_3;
		text_4.innerText = translations.pt.Ttext_4;
		text_5.innerText = translations.pt.Ttext_5;
		text_6.innerText = translations.pt.Ttext_6;
		text_7.innerText = translations.pt.Ttext_7;
		text_8.innerText = translations.pt.Ttext_8;
		text_9.innerText = translations.pt.Ttext_9;
		text_10.innerText = translations.pt.Ttext_10;
		text_11.innerText = translations.pt.Ttext_11;
		text_12.innerText = translations.pt.Ttext_12;
	}else if(language == "ru"){
		footer_00.innerText = translations.ru.footer00;
		footer_01.innerText = translations.ru.footer01;
		footer_02.innerText = translations.ru.footer02;
		footer_03.innerText = translations.ru.footer03;
		footer_04.innerText = translations.ru.footer04;
		footer_05.innerText = translations.ru.footer05;
		footer_06.innerText = translations.ru.footer06;
		footer_07.innerText = translations.ru.footer07;
		footer_08.innerText = translations.ru.footer08;
		footer_09.innerText = translations.ru.footer09;
		footer_10.innerText = translations.ru.footer10;
		footer_11.innerText = translations.ru.footer11;
		footer_12.innerText = translations.ru.footer12;
		footer_13.innerText = translations.ru.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ru.footer14;
		if (donate) {
			donate.innerText = translations.ru.donate;
		}
		if (signup) {
			signup.innerText = translations.ru.signup;
		}
		if (login) {
			login.innerText = translations.ru.login;
		}
		if (request) {
			request.innerText = translations.ru.request;
		}
		if (agree) {
			agree.innerText = translations.ru.agree;
		}
		if (cashbook) {
			cashbook.innerText = translations.ru.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ru.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ru.welcome;
		}
		text_1.innerText = translations.ru.Ttext_1;
		text_2.innerText = translations.ru.Ttext_2;
		text_3.innerText = translations.ru.Ttext_3;
		text_4.innerText = translations.ru.Ttext_4;
		text_5.innerText = translations.ru.Ttext_5;
		text_6.innerText = translations.ru.Ttext_6;
		text_7.innerText = translations.ru.Ttext_7;
		text_8.innerText = translations.ru.Ttext_8;
		text_9.innerText = translations.ru.Ttext_9;
		text_10.innerText = translations.ru.Ttext_10;
		text_11.innerText = translations.ru.Ttext_11;
		text_12.innerText = translations.ru.Ttext_12;
	}
}