<?php
	ob_start();
    session_start();
    require_once 'dbh.inc.php';


function getUserData($user) {
	$conn = $_SESSION["conn"];
    if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	$result;
	$sql = "SELECT * FROM users WHERE usersId = ?;";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
	 	$result = false;
	 	return $result;
	 	exit();
	}
	mysqli_stmt_bind_param($stmt, "s", $user);
	mysqli_stmt_execute($stmt);
	$resultData = mysqli_stmt_get_result($stmt);
	if ($row = mysqli_fetch_assoc($resultData)) {
		$result = $row;
		return $result;
	}
	else {
	 	$result = false;
	 	return $result;
	}
	mysqli_stmt_close($stmt);
}


function getTLIImage($tli) {
	$result;
	$result = "img/TLI00_70x70.png";
	switch ($tli) {
        case 0: $result = "img/TLI00_70x70.png";break;
        case 1: $result = "img/TLI01G_70x70.png";break;
        case 2: $result = "img/TLI02G_70x70.png";break;
        case 3: $result = "img/TLI03G_70x70.png";break;
        case 4: $result = "img/TLI04G_70x70.png";break;
        case 5: $result = "img/TLI05G_70x70.png";break;
        case 6: $result = "img/TLI06G_70x70.png";break;
        case 7: $result = "img/TLI07G_70x70.png";break;
        case 8: $result = "img/TLI08G_70x70.png";break;
        case 9: $result = "img/TLI09G_70x70.png";break;
        case 10: $result = "img/TLI10G_70x70.png";break;
        case 11: $result = "img/TLI11G_70x70.png";break;
        case -1: $result = "img/TLI01X_70x70.png";break;
        case -2: $result = "img/TLI02X_70x70.png";break;
        case -3: $result = "img/TLI03X_70x70.png";break;
        case -4: $result = "img/TLI04X_70x70.png";break;
        case -5: $result = "img/TLI05X_70x70.png";break;
        case -6: $result = "img/TLI06X_70x70.png";break;
        case -7: $result = "img/TLI07X_70x70.png";break;
        case -8: $result = "img/TLI08X_70x70.png";break;
        case -9: $result = "img/TLI09X_70x70.png";break;
        case -10: $result = "img/TLI10X_70x70.png";break;
    };
	return $result;
}



function checkmax() {
	$user = $_SESSION["userid"];
	$giver=$_SESSION["giver"];
	$conn = $_SESSION["conn"];
	if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	// ============= COUNT RECEIVER PROPOSALS (I AM THE RECEIVER) ==================
	$sql = "SELECT COUNT(*) FROM proposals WHERE receiver = ?;";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
	  	$result = false;
	  	return $result;
	  	exit();
	}
	mysqli_stmt_bind_param($stmt, "s", $user);
	mysqli_stmt_execute($stmt);
	$resultData = mysqli_stmt_get_result($stmt);
	$counter = mysqli_fetch_assoc($resultData)['COUNT(*)'];
	$receiverProposals = (int)$counter;
	$_SESSION["receiverProposals"] = $receiverProposals;
	mysqli_stmt_close($stmt);
	// ============= COUNT GIVER PROPOSALS (GIVER IS THE GIVER) ==================
	$sql = "SELECT COUNT(*) FROM proposals WHERE giver = ?;";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
	  	$result = false;
	  	return $result;
	  	exit();
	}
	mysqli_stmt_bind_param($stmt, "s", $giver);
	mysqli_stmt_execute($stmt);
	$resultData = mysqli_stmt_get_result($stmt);
	$counter = mysqli_fetch_assoc($resultData)['COUNT(*)'];
	$giverProposals = (int)$counter;
	$_SESSION["giver2Proposals"] = $giverProposals;
	mysqli_stmt_close($stmt);
}



function getGiverCoins($uid) {
	$user = $_SESSION["userid"];
	//====================================
	//     Get the coins of giver (uid)
	//====================================
	$conn = $_SESSION["conn"];
	if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	//================================================
	//  CALCULATE UID's OWN COINS ON THIS MOMENT
	//================================================
	$_SESSION["giverPastValueCoins"] = "0.00 ᕫ";
	$_SESSION["giverPresentValueCoins"] = "0.00 ᕫ";
	$_SESSION["giverSpentOwnCoins"] = "0.00 ᕫ";
	$_SESSION["giverCoinsFromOthers"] = "0.00 ᕫ";
	$_SESSION["giverSpentFromOthers"] = "0.00 ᕫ";
	$_SESSION["giverAvailableCoins"] = "0.00 ᕫ";
	$birthday="";
	$date = gmdate('Y-m-d H:i:s');
	$tyear = date("Y",strtotime($date));
	$tmonth = date("n",strtotime($date));
	$tday = date("j",strtotime($date));
	$thour = date("G",strtotime($date));
    if (!$conn) {
		die("Connection failed: " . mysqli_connect_error());
	}
	$sql = "SELECT birthday FROM users WHERE usersId = ?;";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
	 	exit();
	}
	mysqli_stmt_bind_param($stmt, "s", $uid);
	mysqli_stmt_execute($stmt);
	$resultData = mysqli_stmt_get_result($stmt);
	if ($row = mysqli_fetch_assoc($resultData)) {
		mysqli_stmt_close($stmt);
		$birthday = $row['birthday'];
		// 1965-02-13
		// 0123456789
		// 365+365+31+29+31+30+31+30+31+31+30+31+13
		$byear=substr($birthday,0,4);
		$bmonth=substr($birthday,5,2);
		$bday=substr($birthday,8,2);
		// ---------------------------------------------------------
		//     Calculate Hours0 (hours between birthday and now)
		// ---------------------------------------------------------
		$bbd = $birthday." "."00:00:00";
		$date0 = new DateTime($bbd);
		$date1 = new DateTime('2022-01-01 00:00:00');
		$date2 = new DateTime($date);
		$diff0 = $date2->diff($date0);
		$hours0 = $diff0->h;
		$hours0 = $hours0 + ($diff0->days*24);
		// ---------------------------------------------------------
		//   Calculate Hours (hours between 2022-01-01/0u and now)
		// ---------------------------------------------------------
		$diff = $date2->diff($date1);
		$hours = $diff->h;
		$hours = $hours + ($diff->days*24);
		// echo $date0->format('Y-m-d H:i:s');
		// echo "<br>";
		// echo $date1->format('Y-m-d H:i:s');
		// echo "<br>";
		// echo $date2->format('Y-m-d H:i:s');
		// echo "<br>";
		// ---------------------------------------------------------
		//  if you are born between 2022-01-01 and now, then we
		//  use hours0 (hours between birthday and now), else we use
		//  hours (hours between 2022-01-01 and now)
		// ---------------------------------------------------------
		if ($hours0 < $hours) {
			$hours = $hours0;
		}
		$owncoin = 0;
		for ($i=0; $i<$hours;$i++)
		{
			$owncoin=($owncoin*0.99995)+1;
		}
		$_SESSION["giverPastValueCoins"] = number_format($hours, 2)." ᕫ";
		$_SESSION["giverPresentValueCoins"] = number_format($owncoin, 2)." ᕫ";
		$_SESSION["giverPVOwnCoins"] = $owncoin;
		//==========================================================
		//  USER ($user) = PROPOSED RECEIVER
		//  UID  ($uid)  = THE PROPOSED GIVER
		//  THESE ARE THE SELF CREATED COINS OF UID (PRESENT VALUE)
		//  NOW WE CALCULATE HOW MANY OF HIS SELF CREATED COINS ARE
		//  SPENT OR HAVE BEEN RETURNED.
		//  WE DON'T LOOK AT THE OTHER COINS HERE, WILL BE LATER
		//==========================================================
		$spentowncoins = 0;
		$sql = "SELECT giver, receiver, owncoins, othercoins1, othercoins2,  othercoins3, othercoins4, othercoins5, othcorigin1, othcorigin2, othcorigin3, othcorigin4, othcorigin5, time_stamp FROM transactions WHERE ((receiver = ?) or (giver = ?)) ORDER BY time_stamp ASC;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		  	$result = false;
		  	return $result;
		  	exit();
		}
		mysqli_stmt_bind_param($stmt, "ss", $uid, $uid);
		mysqli_stmt_execute($stmt);
		$resultData = mysqli_stmt_get_result($stmt);
		if ($resultData->num_rows >0) {
			while($row = mysqli_fetch_assoc($resultData)) {
				$towncoins = (float)$row["owncoins"];
				$tothercoins1 = (float)$row["othercoins1"];
				$tothercoins2 = (float)$row["othercoins2"];
				$tothercoins3 = (float)$row["othercoins3"];
				$tothercoins4 = (float)$row["othercoins4"];
				$tothercoins5 = (float)$row["othercoins5"];
				$tgiver = (int)$row["giver"];
				$treceiver = (int)$row["receiver"];
				$tothcorigin1 = (int)$row["othcorigin1"];
				$tothcorigin2 = (int)$row["othcorigin2"];
				$tothcorigin3 = (int)$row["othcorigin3"];
				$tothcorigin4 = (int)$row["othcorigin4"];
				$tothcorigin5 = (int)$row["othcorigin5"];
				$ttime_stamp = $row["time_stamp"];
				// first we calculate the factor from the date of this transaction to the moment of this current transaction, Every amount in this historic transaction is depreciated to the current time. So if for example 100 coins are given away, a year ago, the value that is remaining = 100*(0.99995^8766) = 64,512514493
				$date1 = new DateTime($ttime_stamp);
				$date2 = new DateTime($date);
				//echo "date1" . $ttime_stamp."<br>";
				//echo "date2".$date."<br>";
				$diff = $date2->diff($date1);
				$hours = $diff->h;
				$hours = $hours + ($diff->days*24);
				$factor = pow(0.99995,$hours);
				//echo "hours" . $hours . "<br>";
				//echo "factor" . $factor . "<br>";
				// now what is relevant for the transaction?
				if ($tgiver == $uid) {
					//first we see which of his own coins ($towncoins) are given away
					$spentowncoins = $spentowncoins + ($towncoins * $factor);
				}
				//=========================================================
				//  then we see what is all received (when giver = receiver)
				//=========================================================
				if ($treceiver == $uid) {
					//first we see which of his own coins ($towncoins) are received back
					//this will always be less than is spent so $spentowncoins will always be positive
					if ($tothcorigin1 == $uid) {$spentowncoins = $spentowncoins - ($tothercoins1 * $factor);}
					if ($tothcorigin2 == $uid) {$spentowncoins = $spentowncoins - ($tothercoins2 * $factor);}
					if ($tothcorigin3 == $uid) {$spentowncoins = $spentowncoins - ($tothercoins3 * $factor);}
					if ($tothcorigin4 == $uid) {$spentowncoins = $spentowncoins - ($tothercoins4 * $factor);}
					if ($tothcorigin5 == $uid) {$spentowncoins = $spentowncoins - ($tothercoins5 * $factor);}
				}
			}
		}
		mysqli_stmt_close($stmt);

		// ======================================================================
		//  HERE WE CALCULATE THE MAX OWNCOINS GIVER CAN SPEND IN THE TRANSACTION 

		// echo "owncoin: " . $owncoin . "<br>";
		// echo "spentowncoins: " . $spentowncoins . "<br>";


		$_SESSION["giverPVOwnCoins"] = $owncoin-$spentowncoins;
		//=======================================================================
		//  NOW WE ARE CREATING A LIST OF MAX 5 OTHERS
		//  OF WHICH THE GIVER (UID) HOLDS COINS
		//=============================================


		//=======================================
		//       GET SORT SETTINGS OF GIVER
		//=======================================
		$sql = "SELECT sort FROM users WHERE usersId = ?;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $user);
		mysqli_stmt_execute($stmt);
		$_SESSION["sortischanged"] = "0";
		$resultData2 = mysqli_stmt_get_result($stmt);
		if ($_SESSION["button2clicked"] == "") {
			$_SESSION["description"] = "";
			$_SESSION["d-amount"] = "";
			$_SESSION["giverAmount"] = "";
			$_SESSION["Other1_coins"] = "";
			$_SESSION["Other2_coins"] = "";
			$_SESSION["Other3_coins"] = "";
			$_SESSION["Other4_coins"] = "";
			$_SESSION["Other5_coins"] = "";
			$_SESSION["sort1"] = "0";
			$_SESSION["sort2"] = "0";
			$_SESSION["sortp"] = "50";
			$_SESSION["sortischanged"] = "0";
			if ($row = mysqli_fetch_assoc($resultData2)) {
				$_SESSION["sort1"] = substr($row['sort'],0,1);
				$_SESSION["sort2"] = substr($row['sort'],1,1);
				$_SESSION["sortp"] = substr($row['sort'],2);
				if (substr($_SESSION["sortp"],0,1) == " ") {
					$_SESSION["sortp"] = substr($_SESSION["sortp"],1);
					if (substr($_SESSION["sortp"],0,1) == " ") {
						$_SESSION["sortp"] = substr($_SESSION["sortp"],1);
						if ($_SESSION["sortp"] == " ") {
							$_SESSION["sortp"] = "0";
						}
					}
				}
			}
		} else {
			if ($row = mysqli_fetch_assoc($resultData2)) {
				$ischanged = false;
				if ($_SESSION["sort1"] != substr($row['sort'],0,1)) {$ischanged = true;}
				if ($_SESSION["sort2"] != substr($row['sort'],1,1)) {$ischanged = true;}
				$perct = substr($row['sort'],2);
				if (substr($perct,0,1) == " ") {
					$perct = substr($perct,1);
					if (substr($perct,0,1) == " ") {
						$perct = substr($perct,1);
						if ($perct == " ") {
							$perct = "0";
						}
					}
				}
				if ($_SESSION["sortp"] != $perct) {$ischanged = true;}
				if ($ischanged) {
					$_SESSION["sortischanged"] = "1";
				}
			}
		}
		mysqli_stmt_close($stmt);

		//==========================================  
		//         GET GIVER TLI1 and TLI2  
		//==========================================
		//-------------- give transactions of giver ---------------
		//$sql = "SELECT COUNT(*) FROM transactions WHERE (giver = ?);";

		//-- we need to count the unique combinations that receiver has
		$sql = "SELECT COUNT(*) from (SELECT giver, receiver, COUNT(*) AS Count FROM transactions WHERE (giver = ?) GROUP BY giver, receiver ORDER BY Count DESC) t;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $uid);  //uid=giver - user=me
		mysqli_stmt_execute($stmt);
		$resultData3 = mysqli_stmt_get_result($stmt);
		mysqli_stmt_close($stmt);
	 	$counter = mysqli_fetch_assoc($resultData3)['COUNT(*)'];
	 	//--- recalculate $counter
	 	$expCounter = 0;
	 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
	 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
	 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
	 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
	 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
	 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
	 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
	 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
	 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
	 	if ($counter>999) {$expCounter=10;}
	 	//--- make $_SESSION["giverGiveTransactions"] negative if there are no mutual transactions ---
		$_SESSION["giverGiveTransactions"] = (int)$expCounter;
		//--------- mutual give transactions of giver and user --------
		$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "ss", $uid, $user);  //uid=giver - user=me
		mysqli_stmt_execute($stmt);
		$resultData4 = mysqli_stmt_get_result($stmt);
		mysqli_stmt_close($stmt);
	 	$counter = mysqli_fetch_assoc($resultData4)['COUNT(*)'];
	 	$mutual = (int)$counter;
	 	if ($mutual<1) {
	 		$_SESSION["giverGiveTransactions"] = -$_SESSION["giverGiveTransactions"];
	 	}
		//-------------- receive transactions of giver ---------------
		//$sql = "SELECT COUNT(*) FROM transactions WHERE (receiver = ?);";
		//-- we need to count the unique combinations that receiver has
		$sql = "SELECT COUNT(*) from (SELECT giver, receiver, COUNT(*) AS Count FROM transactions WHERE (receiver = ?) GROUP BY giver, receiver ORDER BY Count DESC) t;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $uid);  //uid=giver - user=me
		mysqli_stmt_execute($stmt);
		$resultData5 = mysqli_stmt_get_result($stmt);
		mysqli_stmt_close($stmt);
	 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
	 	$expCounter = 0;
	 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
	 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
	 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
	 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
	 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
	 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
	 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
	 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
	 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
	 	if ($counter>999) {$expCounter=10;}
	 	//--- make $_SESSION["giverGiveTransactions"] negative if there are no mutual transactions ---
		$_SESSION["giverReceiveTransactions"] = (int)$expCounter;
		//--------- mutual receive transactions of giver and user --------
		$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "ss", $uid, $user);  //uid=giver - user=me
		mysqli_stmt_execute($stmt);
		$resultData6 = mysqli_stmt_get_result($stmt);
		mysqli_stmt_close($stmt);
	 	$counter = mysqli_fetch_assoc($resultData6)['COUNT(*)'];
	 	$mutual = (int)$counter;
	 	if ($mutual<1) {
	 		$_SESSION["giverReceiveTransactions"] = -$_SESSION["giverReceiveTransactions"];
	 	}
	 	$_SESSION["Giver_tli1"] = "img/TLI00_70x70.png";
	 	$_SESSION["Giver_tli1"] = getTLIImage($_SESSION["giverGiveTransactions"]);
	 	$_SESSION["Giver_tli2"] = "img/TLI00_70x70.png";
	 	$_SESSION["Giver_tli2"] = getTLIImage($_SESSION["giverReceiveTransactions"]);

		//==========================================
		//        GET GIVER NUMBEROFOTHERS 
		//     incl. their id's and max coins 
		//    which are the giver holds of them.
		//==========================================
		$_SESSION["numberOfOthers"] = 0;
		$_SESSION["Other1id"] = 0;
		$_SESSION["Other2id"] = 0;
		$_SESSION["Other3id"] = 0;
		$_SESSION["Other4id"] = 0;
		$_SESSION["Other5id"] = 0;
		$_SESSION["Other1max"] = 0;
		$_SESSION["Other2max"] = 0;
		$_SESSION["Other3max"] = 0;
		$_SESSION["Other4max"] = 0;
		$_SESSION["Other5max"] = 0;
		$_SESSION["Other1GiveTransactions"] = 0;
		$_SESSION["Other1ReceiveTransactions"] = 0;
		$_SESSION["Other2GiveTransactions"] = 0;
		$_SESSION["Other2ReceiveTransactions"] = 0;
		$_SESSION["Other3GiveTransactions"] = 0;
		$_SESSION["Other3ReceiveTransactions"] = 0;
		$_SESSION["Other4GiveTransactions"] = 0;
		$_SESSION["Other4ReceiveTransactions"] = 0;
		$_SESSION["Other5GiveTransactions"] = 0;
		$_SESSION["Other5ReceiveTransactions"] = 0;
		// ----------------------------------------------------------------------------------------------------------------
		// First we need to find how many different others giver ($uid) has when he received coins
		// the other is his transaction partner or 1 of the 5 others when the coins indicated for this other user are not 0
		// this query returns a list of unique users id's (qid) that uid ever received coins from.
		//-----------------------------------------------------------------------------------------------------------------
		// $sql = "select giver as ID from transactions WHERE (receiver = ? AND owncoins<>0) union distinct 
		// 		select othcorigin1 as ID from transactions WHERE (receiver = ? AND othcorigin1<>0) union distinct 
		// 		select othcorigin2 as ID from transactions WHERE (receiver = ? AND othcorigin2<>0) union distinct 
		// 		select othcorigin3 as ID from transactions WHERE (receiver = ? AND othcorigin3<>0) union distinct 
		// 		select othcorigin4 as ID from transactions WHERE (receiver = ? AND othcorigin4<>0) union distinct 
		// 		select othcorigin5 as ID from transactions WHERE (receiver = ? AND othcorigin5<>0) ORDER BY ID ASC;";
		// We need to remove uid as one of the qids!


		// $sql = "select giver as ID from transactions WHERE (receiver = ? AND owncoins<>0) union distinct 
		// 		select othcorigin1 as ID from transactions WHERE (receiver = ? AND othcorigin1<>0) union distinct 
		// 		select othcorigin2 as ID from transactions WHERE (receiver = ? AND othcorigin2<>0) union distinct 
		// 		select othcorigin3 as ID from transactions WHERE (receiver = ? AND othcorigin3<>0) union distinct 
		// 		select othcorigin4 as ID from transactions WHERE (receiver = ? AND othcorigin4<>0) union distinct 
		// 		select othcorigin5 as ID from transactions WHERE (receiver = ? AND othcorigin5<>0) ORDER BY ID ASC;";



// select giver as ID from transactions WHERE (receiver = 7 AND owncoins<>0 AND giver<>12) union distinct select othcorigin1 as ID from transactions WHERE (receiver = 7 AND othcorigin1<>0 AND othcorigin1<>12) union distinct select othcorigin2 as ID from transactions WHERE (receiver = 7 AND othcorigin2<>0 AND othcorigin2<>12) union distinct select othcorigin3 as ID from transactions WHERE (receiver = 7 AND othcorigin3<>0 AND othcorigin3<>12) union distinct select othcorigin4 as ID from transactions WHERE (receiver = 7 AND othcorigin4<>0 AND othcorigin4<>12) union distinct select othcorigin5 as ID from transactions WHERE (receiver = 7 AND othcorigin5<>0 AND othcorigin5<>12) ORDER BY ID ASC;		

// select giver as ID from transactions WHERE (receiver = 7 AND owncoins<>0) union distinct select othcorigin1 as ID from transactions WHERE (receiver = 7 AND othcorigin1<>0 AND othcorigin1<>7) union distinct select othcorigin2 as ID from transactions WHERE (receiver = 7 AND othcorigin2<>0 AND othcorigin2<>7) union distinct select othcorigin3 as ID from transactions WHERE (receiver = 7 AND othcorigin3<>0 AND othcorigin3<>7) union distinct select othcorigin4 as ID from transactions WHERE (receiver = 7 AND othcorigin4<>0 AND othcorigin4<>7) union distinct select othcorigin5 as ID from transactions WHERE (receiver = 7 AND othcorigin5<>0 AND othcorigin5<>7) ORDER BY ID ASC;



		//  USER ($user) = PROPOSED RECEIVER  (kees jansen = 8)
		//  UID  ($uid)  = THE PROPOSED GIVER  (TvS  = 7)
		//  BECAUSE TVS IS THE PROPOSED GIVER (uid) HISTORIC TRANSACTIONS WHERE TVS WAS THE GIVER, HIS OWNCOINS ARE NOT RELEVANT FOR THE OTHERS BECAUSE THESE SPENT TVS COINS COINS ARE ALREADY CALCULATED IN THE spentowncoins OF TVS, EVEN WHEN KEES WAS THE RECEIVER AND IN TRANSACTIONS WHERE KEES WAS THE GIVER AND KEES GAVE TVS's OWN COINS BACK TO TVS, TVS SHOULD NOT BE CONSIDERED AN OTHER BECAUSE THE RETURNED COINS ARE ALSO ALREADY CALCULATED IN THE spentowncoins OF TVS.

		$sql = "select giver as ID from transactions WHERE (receiver = ? AND owncoins<>0) union distinct select othcorigin1 as ID from transactions WHERE (receiver = ? AND othcorigin1<>0 AND othcorigin1<>?) union distinct select othcorigin2 as ID from transactions WHERE (receiver = ? AND othcorigin2<>0 AND othcorigin2<>?) union distinct select othcorigin3 as ID from transactions WHERE (receiver = ? AND othcorigin3<>0 AND othcorigin3<>?) union distinct select othcorigin4 as ID from transactions WHERE (receiver = ? AND othcorigin4<>0 AND othcorigin4<>?) union distinct select othcorigin5 as ID from transactions WHERE (receiver = ? AND othcorigin5<>0 AND othcorigin5<>?) ORDER BY ID ASC;";

		// echo "uid: " . $uid . "<br>";
		// echo "user: " . $user . "<br>";

		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		  	$result = false;
		  	return $result;
		  	exit();
		}
		mysqli_stmt_bind_param($stmt, "sssssssssss", $uid, $uid, $uid, $uid, $uid, $uid, $uid, $uid, $uid, $uid, $uid);
		mysqli_stmt_execute($stmt);
		$resultData = mysqli_stmt_get_result($stmt);
		$qidcounter=0;
		$qid1 = 0;
		$qid2 = 0;
		$qid3 = 0;
		$qid4 = 0;
		$qid5 = 0;
		$qgives1 = 0;
		$qgives2 = 0;
		$qgives3 = 0;
		$qgives4 = 0;
		$qgives5 = 0;
		$qreceives1 = 0;
		$qreceives2 = 0;
		$qreceives3 = 0;
		$qreceives4 = 0;
		$qreceives5 = 0;
		$qamount1 = 0;
		$qamount2 = 0;
		$qamount3 = 0;
		$qamount4 = 0;
		$qamount5 = 0;
		//------------------------------------------------------------------------------------
		// There are 2 sortingmethods: Coin amounts and transaction amounts.
		// With coin amounts is meant the amounts of coins of this particular
		// other (qid) are held by $uid. With transactions is meant the amount of
		// transactions (gives+receives) the other (qid) did with any distinct user (anyone)
		// In the loop below we have each of the others (qid's) that gave coins to $uid.
		// Per qid we need to do a loop of transaction to see how much of
		// their coins are with $uid and how many give and receive transactions 
		// this other qid did. That will appear in the TLI's of the qid and as it's max coins.
		// During the main loop, the qid's are sorted immediate so there will
		// be a max of 5 results.
		//------------------------------------------------------------------------------------
		$numberofothers=$resultData->num_rows;
		//-----------------------------------------
		// here we make the random randqid1, list:
		//----------------------------------------
		$randqid1 = 0;
		$randqid2 = 0;
		$randqid3 = 0;
		$randqid4 = 0;
		$randqid5 = 0;
		if ($numberofothers>5) {
			$randqid1 = rand(1,$numberofothers);
			while (($randqid2 == $randqid1) || ($randqid2 == 0)) {
				$randqid2 = rand(1,$numberofothers);
			}
			while (($randqid3 == $randqid1) || ($randqid3 == $randqid2) || ($randqid3 == 0)) {
				$randqid3 = rand(1,$numberofothers);
			}
			while (($randqid4 == $randqid1) || ($randqid4 == $randqid2) || ($randqid4 == $randqid3) || ($randqid4 == 0)) {
				$randqid4 = rand(1,$numberofothers);
			}
			while (($randqid5 == $randqid1) || ($randqid5 == $randqid2) || ($randqid5 == $randqid3) || ($randqid5 == $randqid4) || ($randqid5 == 0)) {
				$randqid5 = rand(1,$numberofothers);
			}
		} else {
			if ($numberofothers == 1) {
				$randqid1 = 1;
			}
			if ($numberofothers == 2) {
				$randqid1 = rand(1,2);
				while (($randqid2 == $randqid1) || ($randqid2 == 0)) {$randqid2 = rand(1,2);}
			}
			if ($numberofothers == 3) {
				$randqid1 = rand(1,3);
				while (($randqid2 == $randqid1) || ($randqid2 == 0)) {$randqid2 = rand(1,3);}
				while (($randqid3 == $randqid1) || ($randqid3 == $randqid2) || ($randqid3 == 0)) {$randqid3 = rand(1,3);}
			}
			if ($numberofothers == 4) {
				$randqid1 = rand(1,4);
				while (($randqid2 == $randqid1) || ($randqid2 == 0)) {$randqid2 = rand(1,4);}
				while (($randqid3 == $randqid1) || ($randqid3 == $randqid2) || ($randqid3 == 0)) {$randqid3 = rand(1,4);}
				while (($randqid4 == $randqid1) || ($randqid4 == $randqid2) || ($randqid4 == $randqid3) || ($randqid4 == 0)) {$randqid4 = rand(1,4);}
			}
			if ($numberofothers == 5) {
				$randqid1 = rand(1,5);
				while (($randqid2 == $randqid1) || ($randqid2 == 0)) {$randqid2 = rand(1,5);}
				while (($randqid3 == $randqid1) || ($randqid3 == $randqid2) || ($randqid3 == 0)) {$randqid3 = rand(1,5);}
				while (($randqid4 == $randqid1) || ($randqid4 == $randqid2) || ($randqid4 == $randqid3) || ($randqid4 == 0)) {$randqid4 = rand(1,5);}
				while (($randqid5 == $randqid1) || ($randqid5 == $randqid2) || ($randqid5 == $randqid3) || ($randqid5 == $randqid4) || ($randqid5 == 0)) {$randqid5 = rand(1,5);}
			}
		}
		// echo "<br>";
		// echo $randqid1;
		// echo ",";
		// echo $randqid2;
		// echo ",";
		// echo $randqid3;
		// echo ",";
		// echo $randqid4;
		// echo ",";
		// echo $randqid5;
		// echo "<br>";


		$collectcounter=0;
		mysqli_stmt_close($stmt);
		if ($resultData->num_rows>0) {
			while($row = mysqli_fetch_assoc($resultData)) {
				//==================================================
				// $uid is the person who is proposed to give coins
				// $qid are the users $uid ever received coins from
				// a user always needs to receive coins from another
				// before he is able to give them to $user (me)
				// here we start the loop going over all these 
				// unique qid's
				// there is one special situation: qid can be
				// equal to uid. This happens when somebody
				// gets his own coins returned. In this situation
				// we need to add the coins to the owncoins of uid
				// and set the coins of this qid to zero as an other
				//==================================================
				$qidcounter++;
				$qid = (float)$row["ID"];


				// echo "qid: " . $qid . "<br>";



				// --------------------------------------------
				//   COUNT HOW MANY TIME qid WAS GIVER (TLI1) 
				// --------------------------------------------
				$sql = "SELECT COUNT(*) FROM transactions WHERE giver = ?;";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				  	$result = false;
				  	return $result;
				  	exit();
				}
				mysqli_stmt_bind_param($stmt, "s", $qid);
				mysqli_stmt_execute($stmt);
				$resultData2 = mysqli_stmt_get_result($stmt);
				$counter = mysqli_fetch_assoc($resultData2)['COUNT(*)'];
				$qgives = (int)$counter; //number of times qid was a giver in a transaction
				mysqli_stmt_close($stmt);
				// ------------------------------------------------
				//    COUNT HOW MANY TIME qid WAS RECEIVER (TLI2) 
				// ------------------------------------------------
				$sql = "SELECT COUNT(*) FROM transactions WHERE receiver = ?;";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				  	$result = false;
				  	return $result;
				  	exit();
				}
				mysqli_stmt_bind_param($stmt, "s", $qid);
				mysqli_stmt_execute($stmt);
				$resultData2 = mysqli_stmt_get_result($stmt);
				$counter = mysqli_fetch_assoc($resultData2)['COUNT(*)'];
				$qreceives = (int)$counter; //number of times qid was a receiver in a transaction
				mysqli_stmt_close($stmt);
				// echo "qgives: " . $qgives . "<br>";
				// echo "qreceives: " . $qreceives . "<br>";
				//---------------------------------------------------------
				//       Calculate how much coins giver (uid) has from qid
				//---------------------------------------------------------
			  	// This is only about the coins of qid in posession of uid (current giver) and of transactions where qid was the giver and uid (current giver) received these or uid was giver where qid=receiver;

				// so you have the current proposed giver (UID-U)
				// and you have me: the current receiver (USER-S)
				// Now we need to know which coins of each qid are in the posession of UID:
				// IN THE QUERY WE MADE SURE THAT QID CAN NEVER BE UID, BECAUSE THE COINS OF UID ARE STORED IN:
					// $_SESSION["giverPVSpentOwnCoins"] = $spentowncoins;
					// $_SESSION["giverPVOwnCoins"] = $owncoin;

				// THESE ARE THE RELEVANT SITUATIONS
				// 1: you have all the accorded transactions where coins of qid-q were given to UID (it always start like that).
			  	//  giv rec ot1 ot2 ot3 ot4 ot5
			  	//a  Q | U | - | - | - | - | - | = Q-Owncoins given directly by Q to U
				//b  - | U | Q | . | . | . | . | = Q-Coins given by another than Q to U

				// 2: Once UID possesses coins of Q he can also spend them:
			  	//  giv rec ot1 ot2 ot3 ot4 ot5
			  	//c  U | - | Q | . | . | . | . | = Q-Coins given by U to others (doesnt matter to whom)

			  	// Summarizing:
			  	//(ab) any transaction where U is the receiver and Q is the giver OR Q is one of the originators in the list others is relevant and:
			  	//(bc) any transaction where U is the giver and Q is one of the originators in the list others is also relevant 

				// a: ((giver = Q) AND (receiver = U)) OR  (others are not relevant here, use owncoins)
				// bc:  (((receiver = U) or (giver = U)) AND ((othcorigin1 = Q) OR (othcorigin2 = Q) OR (othcorigin3 = Q) OR (othcorigin4 = Q) OR (othcorigin5 = Q))) use other coins of Q here
				//----------------------------------------------------
				// $sql = "select giver, receiver, owncoins, othercoins1, othercoins2, othercoins3, othercoins4, othercoins5, othcorigin1, othcorigin2, othcorigin3, othcorigin4, othcorigin5, time_stamp from transactions WHERE (((giver = Q) AND (receiver = U)) OR	(((giver = U) OR (receiver = U)) AND ((othcorigin1 = Q) OR (othcorigin2 = Q) OR (othcorigin3 = Q) OR (othcorigin4 = Q) OR (othcorigin5 = Q))));";

				$sql = "select giver, receiver, owncoins, othercoins1, othercoins2, othercoins3, othercoins4, othercoins5, othcorigin1, othcorigin2, othcorigin3, othcorigin4, othcorigin5, time_stamp from transactions WHERE (((giver = ?) AND (receiver = ?)) OR	(((giver = ?) OR (receiver = ?)) AND ((othcorigin1 = ?) OR (othcorigin2 = ?) OR (othcorigin3 = ?) OR (othcorigin4 = ?) OR (othcorigin5 = ?))));";
				//----------------------------------------------------

				//===============================================================
				// now we calculate the coins giver (UID) holds of these Q-Coins
				//===============================================================
				$totalamount = 0;
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				  	$result = false;
				  	return $result;
				  	exit();
				}
				mysqli_stmt_bind_param($stmt, "sssssssss", $qid, $uid, $uid, $uid, $qid, $qid, $qid, $qid, $qid);
				mysqli_stmt_execute($stmt);
				$resultData2 = mysqli_stmt_get_result($stmt);
				if ($resultData2->num_rows>0) {
					while($row2 = mysqli_fetch_assoc($resultData2)) {
						$ggiver = (float)$row2["giver"];
						$rreceiver = (float)$row2["receiver"];
						$qqid1 = (float)$row2["othcorigin1"];
						$qqid2 = (float)$row2["othcorigin2"];
						$qqid3 = (float)$row2["othcorigin3"];
						$qqid4 = (float)$row2["othcorigin4"];
						$qqid5 = (float)$row2["othcorigin5"];
						$oowncoins = (float)$row2["owncoins"];
						$oothercoins1 = (float)$row2["othercoins1"];
						$oothercoins2 = (float)$row2["othercoins2"];
						$oothercoins3 = (float)$row2["othercoins3"];
						$oothercoins4 = (float)$row2["othercoins4"];
						$oothercoins5 = (float)$row2["othercoins5"];
						$ttime_stamp = $row2["time_stamp"];
						$amount = 0;
						// g | u | - | - | - | - | - | uid receives coins directly from qid
						if ($ggiver == $qid) {$amount = $oowncoins;} //positive amount for uid
						// u | - | q | . | . | . | . |
						if ($ggiver == $uid) {
							// uid gives away some othercoins he holds from qid to somebody (could even be to qid)
							if ($qqid1 == $qid) {$amount = -$oothercoins1;} //negative amount for uid
							if ($qqid2 == $qid) {$amount = -$oothercoins2;} //negative amount for uid
							if ($qqid3 == $qid) {$amount = -$oothercoins3;} //negative amount for uid
							if ($qqid4 == $qid) {$amount = -$oothercoins4;} //negative amount for uid
							if ($qqid5 == $qid) {$amount = -$oothercoins5;} //negative amount for uid
						}
						// - | u | q | . | . | . | . |
						if ($rreceiver == $uid) {
							// uid receives some othercoins originated by qid from somebody else (could be from qid)
							if ($qqid1 == $qid) {$amount = $oothercoins1;} //positive amount for uid
							if ($qqid2 == $qid) {$amount = $oothercoins2;} //positive amount for uid
							if ($qqid3 == $qid) {$amount = $oothercoins3;} //positive amount for uid
							if ($qqid4 == $qid) {$amount = $oothercoins4;} //positive amount for uid
							if ($qqid5 == $qid) {$amount = $oothercoins5;} //positive amount for uid
						}
						//-----------------------------------------------------------------
						// now this amount needs to be depreciated to moment "now" before
						// it is added to $totalamount
						//-----------------------------------------------------------------
						// first we calculate the factor from the date of this transaction to the moment of this current transaction, Every amount in this historic transaction is depreciated to the current time. So if for example 100 coins are given away, a year ago, the value that is remaining = 100*(0.99995^8766) = 64,512514493
						//-----------------------------------------------------------------
						$date1 = new DateTime($ttime_stamp);
						$date2 = new DateTime($date);
						$diff = $date2->diff($date1);
						$hours = $diff->h;
						$hours = $hours + ($diff->days*24);
						$factor = pow(0.99995,$hours);
						//then amount is multiplied with factor and added to totalamount
						$totalamount = $totalamount + ($amount * $factor);
					}
				}
				mysqli_stmt_close($stmt);
				//-------------------------------------------------------------------------------------
				// This is what we now know at this point in the loop:
				// $qgives = number of times qid was a giver in a transaction
				// $qreceives = number of times qid was a receiver in a transaction
				// $totalamount = present value of how many coins uid holds that were originated by qid
				// WE HAVE MAX 5 POSITIONS TO STORE THESE VALUES SO THIS IS BASED ON THE SORT SETTINGS:
				// $_SESSION["sort1"] (0=desc 1=asc 2=random)
				// $_SESSION["sort2"] (0=coins amount 1=#transactions)
				//-------------------------------------------------------------------------------------
				// Now we need to reduce the list ($qidcounter can be bigger than 5) to max 5!
				// We are still in the WHILE LOOP. $qidcounter indicates which other in the list starting with 1
				//-------------------------------------------------------------------------------------
				//echo $numberofothers;
				$so1 = $_SESSION["sort1"];
				$so2 = $_SESSION["sort2"];

				// echo "so1:" . $so1 . "<br>";
				// echo "so2:" . $so2 . "<br>";

				if (($numberofothers == 1) && ($qidcounter == 1)){
					$collectcounter = 1;

					// echo "numberofothers:" . $numberofothers . "<br>";
					// echo "qid:" . $qid . "<br>";

					$qid1 = $qid;
					$qid2 = 0;
					$qid3 = 0;
					$qid4 = 0;
					$qid5 = 0;
					$qgives1 = $qgives;
					$qgives2 = 0;
					$qgives3 = 0;
					$qgives4 = 0;
					$qgives5 = 0;
					$qreceives1 = $qreceives;
					$qreceives2 = 0;
					$qreceives3 = 0;
					$qreceives4 = 0;
					$qreceives5 = 0;
					$qamount1 = $totalamount;
					$qamount2 = 0;
					$qamount3 = 0;
					$qamount4 = 0;
					$qamount5 = 0;

				} else { //MORE THAN ONE QID
					if ($_SESSION["sort1"] == 2) { // random
						//--------------------------------------
						// These are random picked users from the qid-list. For these it doesn't matter how mush coins the giver holds or how many transactions the qid did. For these qid's we use the randqid1, randqid2, randqid3, randqid4, randqid5 list we made earlier.
						//--------------------------------------
						if (($qidcounter == $randqid1) && ($qid != 0)) {
							$qid1 = $qid;
							$qgives1 = $qgives;
							$qreceives1 = $qreceives;
							$qamount1 = $totalamount;
							$collectcounter++;
							//echo "qid1: " . $qid1 . "<br>";
							// echo "randqid1: " . $randqid1 . "<br>";
						}
						if (($qidcounter == $randqid2) && ($qid != 0)) {
							$qid2 = $qid;
							$qgives2 = $qgives;
							$qreceives2 = $qreceives;
							$qamount2 = $totalamount;
							$collectcounter++;
							// echo "randqid2: " . $randqid2 . "<br>";
							//echo "qid2: " . $qid2 . "<br>";
						}
						if (($qidcounter == $randqid3) && ($qid != 0)) {
							$qid3 = $qid;
							$qgives3 = $qgives;
							$qreceives3 = $qreceives;
							$qamount3 = $totalamount;
							$collectcounter++;
							//echo "qid3: " . $qid3 . "<br>";
						}
						if (($qidcounter == $randqid4) && ($qid != 0)) {
							$qid4 = $qid;
							$qgives4 = $qgives;
							$qreceives4 = $qreceives;
							$qamount4 = $totalamount;
							$collectcounter++;
							//echo "qid4: " . $qid4 . "<br>";
						}
						if (($qidcounter == $randqid5) && ($qid != 0)) {
							$qid5 = $qid;
							$qgives5 = $qgives;
							$qreceives5 = $qreceives;
							$qamount5 = $totalamount;
							$collectcounter++;
							//echo "qid5: " . $qid5 . "<br>";
						}
					} else { // ONLY 0=desc or 1=asc (random does not go here)
						if ($collectcounter==0) {
							$qid1 = $qid;
							$qgives1 = $qgives;
							$qreceives1 = $qreceives;
							$qamount1 = $totalamount;
							//$collectcounter = 1;
						} else { // only qids more than the first one go here
							// if ($_SESSION["sort2"] == 0) { // 0=sort on coins
							// 	if ($_SESSION["sort1"] == 0) { // 0=desc SO WE SORT COINS DESC HERE = BIGGEST COIN-AMOUNT ON 1
							//=================================================
							if ($collectcounter==1) {
								$qid2 = $qid;
								$qgives2 = $qgives;
								$qreceives2 = $qreceives;
								$qamount2 = $totalamount;
								//if ($qamount2 > $qamount1) {
								if ((($so1 == 0) && ($so2 == 0) && ($qamount2 > $qamount1)) || 
									(($so1 == 1) && ($so2 == 0) && ($qamount2 < $qamount1)) || 
									(($so1 == 0) && ($so2 == 1) && (($qgives2+$qreceives2) > ($qgives1+$qreceives1))) || 
									(($so1 == 1) && ($so2 == 1) && (($qgives2+$qreceives2) < ($qgives1+$qreceives1)))) {
									$xx=$qid1;$qid1=$qid2;$qid2=$xx;
									$xx=$qgives1;$qgives1=$qgives2;$qgives2=$xx;
									$xx=$qreceives1;$qreceives1=$qreceives2;$qreceives2=$xx;
									$xx=$qamount1;$qamount1=$qamount2;$qamount2=$xx;
								}
							} else {
								if ($collectcounter==2) {
									//if ($totalamount > $qamount1) {
									if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount1)) || 
										(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount1)) || 
										(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives1+$qreceives1))) || 
										(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives1+$qreceives1)))) {
										$xx=$qid2;$qid2=$qid3;$qid3=$xx;
										$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
										$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
										$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
										$xx=$qid1;$qid1=$qid2;$qid2=$xx;
										$xx=$qgives1;$qgives1=$qgives2;$qgives2=$xx;
										$xx=$qreceives1;$qreceives1=$qreceives2;$qreceives2=$xx;
										$xx=$qamount1;$qamount1=$qamount2;$qamount2=$xx;
										$qid1 = $qid;
										$qgives1 = $qgives;
										$qreceives1 = $qreceives;
										$qamount1 = $totalamount;
									} else {
										//if ($totalamount > $qamount2) {
										if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount2)) || 
											(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount2)) || 
											(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives2+$qreceives2))) || 
											(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives2+$qreceives2)))) {
											$xx=$qid2;$qid2=$qid3;$qid3=$xx;
											$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
											$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
											$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
											$qid2 = $qid;
											$qgives2 = $qgives;
											$qreceives2 = $qreceives;
											$qamount2 = $totalamount;
										} else {
											$qid3 = $qid;
											$qgives3 = $qgives;
											$qreceives3 = $qreceives;
											$qamount3 = $totalamount;
										}
									}
								} else {
									if ($collectcounter==3) {
										//if ($totalamount > $qamount1) {
										if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount1)) || 
											(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount1)) || 
											(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives1+$qreceives1))) || 
											(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives1+$qreceives1)))) {
											$xx=$qid3;$qid3=$qid4;$qid4=$xx;
											$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
											$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
											$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
											$xx=$qid2;$qid2=$qid3;$qid3=$xx;
											$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
											$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
											$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
											$xx=$qid1;$qid1=$qid2;$qid2=$xx;
											$xx=$qgives1;$qgives1=$qgives2;$qgives2=$xx;
											$xx=$qreceives1;$qreceives1=$qreceives2;$qreceives2=$xx;
											$xx=$qamount1;$qamount1=$qamount2;$qamount2=$xx;
											$qid1 = $qid;
											$qgives1 = $qgives;
											$qreceives1 = $qreceives;
											$qamount1 = $totalamount;
										} else {
											//if ($totalamount > $qamount2) {
											if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount2)) || 
												(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount2)) || 
												(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives2+$qreceives2))) || 
												(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives2+$qreceives2)))) {
												$xx=$qid3;$qid3=$qid4;$qid4=$xx;
												$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
												$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
												$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
												$xx=$qid2;$qid2=$qid3;$qid3=$xx;
												$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
												$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
												$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
												$qid2 = $qid;
												$qgives2 = $qgives;
												$qreceives2 = $qreceives;
												$qamount2 = $totalamount;
											} else {
												//if ($totalamount > $qamount3) {
												if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount3)) || 
													(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount3)) || 
													(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives3+$qreceives3))) || 
													(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives3+$qreceives3)))) {
													$xx=$qid3;$qid3=$qid4;$qid4=$xx;
													$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
													$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
													$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
													$qid3 = $qid;
													$qgives3 = $qgives;
													$qreceives3 = $qreceives;
													$qamount3 = $totalamount;
												} else {
													$qid4 = $qid;
													$qgives4 = $qgives;
													$qreceives4 = $qreceives;
													$qamount4 = $totalamount;
												}
											}
										}
									} else {
										if ($collectcounter>3) {  //means there are already at least 4 positions occupied
											//if ($totalamount > $qamount1) {
											if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount1)) || 
												(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount1)) || 
												(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives1+$qreceives1))) || 
												(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives1+$qreceives1)))) {
												$xx=$qid4;$qid4=$qid5;$qid5=$xx;
												$xx=$qgives4;$qgives4=$qgives5;$qgives5=$xx;
												$xx=$qreceives4;$qreceives4=$qreceives5;$qreceives5=$xx;
												$xx=$qamount4;$qamount4=$qamount5;$qamount5=$xx;
												$xx=$qid3;$qid3=$qid4;$qid4=$xx;
												$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
												$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
												$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
												$xx=$qid2;$qid2=$qid3;$qid3=$xx;
												$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
												$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
												$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
												$xx=$qid1;$qid1=$qid2;$qid2=$xx;
												$xx=$qgives1;$qgives1=$qgives2;$qgives2=$xx;
												$xx=$qreceives1;$qreceives1=$qreceives2;$qreceives2=$xx;
												$xx=$qamount1;$qamount1=$qamount2;$qamount2=$xx;
												$qid1 = $qid;
												$qgives1 = $qgives;
												$qreceives1 = $qreceives;
												$qamount1 = $totalamount;
											} else {
												//if ($totalamount > $qamount2) {
												if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount2)) || 
													(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount2)) || 
													(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives2+$qreceives2))) || 
													(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives2+$qreceives2)))) {
													$xx=$qid4;$qid4=$qid5;$qid5=$xx;
													$xx=$qgives4;$qgives4=$qgives5;$qgives5=$xx;
													$xx=$qreceives4;$qreceives4=$qreceives5;$qreceives5=$xx;
													$xx=$qamount4;$qamount4=$qamount5;$qamount5=$xx;
													$xx=$qid3;$qid3=$qid4;$qid4=$xx;
													$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
													$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
													$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
													$xx=$qid2;$qid2=$qid3;$qid3=$xx;
													$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
													$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
													$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
													$qid2 = $qid;
													$qgives2 = $qgives;
													$qreceives2 = $qreceives;
													$qamount2 = $totalamount;
												} else {
													//if ($totalamount > $qamount3) {
													if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount3)) || 
														(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount3)) || 
														(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives3+$qreceives3))) || 
														(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives3+$qreceives3)))) {
														$xx=$qid4;$qid4=$qid5;$qid5=$xx;
														$xx=$qgives4;$qgives4=$qgives5;$qgives5=$xx;
														$xx=$qreceives4;$qreceives4=$qreceives5;$qreceives5=$xx;
														$xx=$qamount4;$qamount4=$qamount5;$qamount5=$xx;
														$xx=$qid3;$qid3=$qid4;$qid4=$xx;
														$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
														$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
														$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
														$qid3 = $qid;
														$qgives3 = $qgives;
														$qreceives3 = $qreceives;
														$qamount3 = $totalamount;
													} else { //bigger than 4th position
														//if ($totalamount > $qamount4) {
														if ((($so1 == 0) && ($so2 == 0) && ($$totalamount > $qamount4)) || 
															(($so1 == 1) && ($so2 == 0) && ($$totalamount < $qamount4)) || 
															(($so1 == 0) && ($so2 == 1) && (($qgives+$qreceives) > ($qgives4+$qreceives4))) || 
															(($so1 == 1) && ($so2 == 1) && (($qgives+$qreceives) < ($qgives4+$qreceives4)))) {
															$xx=$qid4;$qid4=$qid5;$qid5=$xx;
															$xx=$qgives4;$qgives4=$qgives5;$qgives5=$xx;
															$xx=$qreceives4;$qreceives4=$qreceives5;$qreceives5=$xx;
															$xx=$qamount4;$qamount4=$qamount5;$qamount5=$xx;
															$qid4 = $qid;
															$qgives4 = $qgives;
															$qreceives4 = $qreceives;
															$qamount4 = $totalamount;
														} else { //not bigger than 4th
															if ($qamounttotal > $qamount5) {
																$qid5 = $qid;
																$qgives5 = $qgives;
																$qreceives5 = $qreceives;
																$qamount5 = $totalamount;
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
						// if $collectcounter is 4 this means at least 4 are occupied 
						if ($collectcounter<4) {
							$collectcounter++;	
						}
					}
				}
			}
			//=================================================
			// to make things neat, we will sort the random collected pid's on largeness of the coin amount the giver holds:
			//=================================================
			// if ($_SESSION["sort1"] == 2) { // This bubble sort is only for random collected qid's. The zero's will be on the end.
			// 	$xx=0;
			// 	if ($qamount2 > $qamount1) {
			// 		$xx=$qid1;$qid1=$qid2;$qid2=$xx;
			// 		$xx=$qgives1;$qgives1=$qgives2;$qgives2=$xx;
			// 		$xx=$qreceives1;$qreceives1=$qreceives2;$qreceives2=$xx;
			// 		$xx=$qamount1;$qamount1=$qamount2;$qamount2=$xx;
			// 	}
			// 	if ($qamount3 > $qamount1) {
			// 		$xx=$qid1;$qid1=$qid3;$qid3=$xx;
			// 		$xx=$qgives1;$qgives1=$qgives3;$qgives3=$xx;
			// 		$xx=$qreceives1;$qreceives1=$qreceives3;$qreceives3=$xx;
			// 		$xx=$qamount1;$qamount1=$qamount3;$qamount3=$xx;
			// 	}
			// 	if ($qamount4 > $qamount1) {
			// 		$xx=$qid1;$qid1=$qid4;$qid4=$xx;
			// 		$xx=$qgives1;$qgives1=$qgives4;$qgives4=$xx;
			// 		$xx=$qreceives1;$qreceives1=$qreceives4;$qreceives4=$xx;
			// 		$xx=$qamount1;$qamount1=$qamount4;$qamount4=$xx;
			// 	}
			// 	if ($qamount5 > $qamount1) {
			// 		$xx=$qid1;$qid1=$qid5;$qid5=$xx;
			// 		$xx=$qgives1;$qgives1=$qgives5;$qgives5=$xx;
			// 		$xx=$qreceives1;$qreceives1=$qreceives5;$qreceives5=$xx;
			// 		$xx=$qamount1;$qamount1=$qamount5;$qamount5=$xx;
			// 	}
			// 	if ($qamount3 > $qamount2) {
			// 		$xx=$qid2;$qid2=$qid3;$qid3=$xx;
			// 		$xx=$qgives2;$qgives2=$qgives3;$qgives3=$xx;
			// 		$xx=$qreceives2;$qreceives2=$qreceives3;$qreceives3=$xx;
			// 		$xx=$qamount2;$qamount2=$qamount3;$qamount3=$xx;
			// 	}
			// 	if ($qamount4 > $qamount2) {
			// 		$xx=$qid2;$qid2=$qid4;$qid4=$xx;
			// 		$xx=$qgives2;$qgives2=$qgives4;$qgives4=$xx;
			// 		$xx=$qreceives2;$qreceives2=$qreceives4;$qreceives4=$xx;
			// 		$xx=$qamount2;$qamount2=$qamount4;$qamount4=$xx;
			// 	}
			// 	if ($qamount5 > $qamount2) {
			// 		$xx=$qid2;$qid2=$qid5;$qid5=$xx;
			// 		$xx=$qgives2;$qgives2=$qgives5;$qgives5=$xx;
			// 		$xx=$qreceives2;$qreceives2=$qreceives5;$qreceives5=$xx;
			// 		$xx=$qamount2;$qamount2=$qamount5;$qamount5=$xx;
			// 	}
			// 	if ($qamount4 > $qamount3) {
			// 		$xx=$qid3;$qid3=$qid4;$qid4=$xx;
			// 		$xx=$qgives3;$qgives3=$qgives4;$qgives4=$xx;
			// 		$xx=$qreceives3;$qreceives3=$qreceives4;$qreceives4=$xx;
			// 		$xx=$qamount3;$qamount3=$qamount4;$qamount4=$xx;
			// 	}
			// 	if ($qamount5 > $qamount3) {
			// 		$xx=$qid3;$qid3=$qid5;$qid5=$xx;
			// 		$xx=$qgives3;$qgives3=$qgives5;$qgives5=$xx;
			// 		$xx=$qreceives3;$qreceives3=$qreceives5;$qreceives5=$xx;
			// 		$xx=$qamount3;$qamount3=$qamount5;$qamount5=$xx;
			// 	}
			// 	if ($qamount5 > $qamount4) {
			// 		$xx=$qid4;$qid4=$qid5;$qid5=$xx;
			// 		$xx=$qgives4;$qgives4=$qgives5;$qgives5=$xx;
			// 		$xx=$qreceives4;$qreceives4=$qreceives5;$qreceives5=$xx;
			// 		$xx=$qamount4;$qamount4=$qamount5;$qamount5=$xx;
			// 	}
			// }
			//all others are assessed and added to $qid1,$qid2,$qid3,$qid4 and $qid5 etcetera
			//copy qid data
			//==============================
			//  GET THE TLI's OF THE OTHERS 
			//==============================
			$_SESSION["numberOfOthers"] = $collectcounter;
			//echo "numberofothers: " . $_SESSION["numberOfOthers"] . "<br>";
			if ($qid1>0) {
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid1, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qgives1;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qgives1 = $fact * $expCounter;
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid1, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qreceives1;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qreceives1 = $fact * $expCounter;
			 	if ($qid1 == $user) {$qgives1 = 11;$qreceives1 = 11;}
			}
			if ($qid2>0) {
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid2, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qgives2;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qgives2 = $fact * $expCounter;
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid2, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qreceives2;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qreceives2 = $fact * $expCounter;
			 	if ($qid2 == $user) {$qgives2 = 11;$qreceives2 = 11;}
			}
			if ($qid3>0) {
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid3, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qgives3;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qgives3 = $fact * $expCounter;
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid3, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qreceives3;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qreceives3 = $fact * $expCounter;
			 	if ($qid3 == $user) {$qgives3 = 11;$qreceives3 = 11;}
			}
			if ($qid4>0) {
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid4, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qgives4;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qgives4 = $fact * $expCounter;
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid4, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qreceives4;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qreceives4 = $fact * $expCounter;
			 	if ($qid4 == $user) {$qgives4 = 11;$qreceives4 = 11;}
			}
			if ($qid5>0) {
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((giver = ?) AND (receiver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid5, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qgives5;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qgives5 = $fact * $expCounter;
				$fact = 1;
				$sql = "SELECT COUNT(*) FROM transactions WHERE ((receiver = ?) AND (giver = ?));";
				$stmt = mysqli_stmt_init($conn);
				if (!mysqli_stmt_prepare($stmt, $sql)) {
				 	exit();
				}
				mysqli_stmt_bind_param($stmt, "ss", $qid5, $user);  //uid=giver - user=me
				mysqli_stmt_execute($stmt);
				$resultData5 = mysqli_stmt_get_result($stmt);
				mysqli_stmt_close($stmt);
			 	$counter = mysqli_fetch_assoc($resultData5)['COUNT(*)'];
			 	$mutual = (int)$counter;
			 	if ($mutual<1) {
			 		$fact = -$fact;
			 	}
				$counter = $qreceives5;
			 	$expCounter = 0;
			 	if (($counter>0) && ($counter<3)) {$expCounter=1;}
			 	if (($counter>2) && ($counter<6)) {$expCounter=2;}
			 	if (($counter>5) && ($counter<10)) {$expCounter=3;}
			 	if (($counter>9) && ($counter<20)) {$expCounter=4;}
			 	if (($counter>19) && ($counter<50)) {$expCounter=5;}
			 	if (($counter>49) && ($counter<100)) {$expCounter=6;}
			 	if (($counter>99) && ($counter<200)) {$expCounter=7;}
			 	if (($counter>199) && ($counter<500)) {$expCounter=8;}
			 	if (($counter>499) && ($counter<1000)) {$expCounter=9;}
			 	if ($counter>999) {$expCounter=10;}
			 	$qreceives5 = $fact * $expCounter;
			 	if ($qid5 == $user) {$qgives5 = 11;$qreceives5 = 11;}
			}

			// echo "collectcounter: " . $collectcounter . "<br>";
			// echo "qid1: " . $qid1 . "<br>";
			// echo "qgives1: " . $qgives1 . "<br>";
			// echo "qreceives1: " . $qreceives1 . "<br>";
			// echo "qamount1: " . $qamount1 . "<br>";
			// echo "qid2: " . $qid2 . "<br>";
			// echo "qgives2: " . $qgives2 . "<br>";
			// echo "qreceives2: " . $qreceives2 . "<br>";
			// echo "qamount2: " . $qamount2 . "<br>";
			if ($_SESSION["numberOfOthers"]>5) {$_SESSION["numberOfOthers"]=5;}
			//copy qid1 data
			$_SESSION["Other1id"] = $qid1;
			$_SESSION["Other1GiveTransactions"] = $qgives1;
			$_SESSION["Other1ReceiveTransactions"] = $qreceives1;
			$_SESSION["Other1max"] = $qamount1;
			//copy qid2 data
			$_SESSION["Other2id"] = $qid2;
			$_SESSION["Other2GiveTransactions"] = $qgives2;
			$_SESSION["Other2ReceiveTransactions"] = $qreceives2;
			$_SESSION["Other2max"] = $qamount2;
			//copy qid3 data
			$_SESSION["Other3id"] = $qid3;
			$_SESSION["Other3GiveTransactions"] = $qgives3;
			$_SESSION["Other3ReceiveTransactions"] = $qreceives3;
			$_SESSION["Other3max"] = $qamount3;
			//copy qid4 data
			$_SESSION["Other4id"] = $qid4;
			$_SESSION["Other4GiveTransactions"] = $qgives4;
			$_SESSION["Other4ReceiveTransactions"] = $qreceives4;
			$_SESSION["Other4max"] = $qamount4;
			//copy qid5 data
			$_SESSION["Other5id"] = $qid5;
			$_SESSION["Other5GiveTransactions"] = $qgives5;
			$_SESSION["Other5ReceiveTransactions"] = $qreceives5;
			$_SESSION["Other5max"] = $qamount5;
			// $_SESSION["sortp"] (percentage)
			// based on the percentage 
		} else {
			//uid holds no coins of others
			$_SESSION["numberOfOthers"] = 0;
			$_SESSION["Other1id"] = 0;
			$_SESSION["Other2id"] = 0;
			$_SESSION["Other3id"] = 0;
			$_SESSION["Other4id"] = 0;
			$_SESSION["Other5id"] = 0;
		} 
		//=======================================================
		// now we need to load the name and image of each "other"
		//=======================================================
		// --------
		// Other1
		// --------		
		if ($qid1>0) {
			$sql = "SELECT usersName, image FROM users WHERE usersId = ?;";
			$stmt = mysqli_stmt_init($conn);
			if (!mysqli_stmt_prepare($stmt, $sql)) {
			  	$result = false;
			  	return $result;
			  	exit();
			}
			mysqli_stmt_bind_param($stmt, "s", $qid1);
			mysqli_stmt_execute($stmt);
			$resultData = mysqli_stmt_get_result($stmt);
			if ($row = mysqli_fetch_assoc($resultData)) {
				$_SESSION["Other1_name"] = $row['usersName'];
				$_SESSION["Other1_icon"] = $row['image'];
			}
			mysqli_stmt_close($stmt);
		 	$_SESSION["Other1_tli1"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other1_tli1"] = getTLIImage($_SESSION["Other1GiveTransactions"]);
		 	$_SESSION["Other1_tli2"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other1_tli2"] = getTLIImage($_SESSION["Other1ReceiveTransactions"]);
			$_SESSION["Other1_coins"] = "";//is empty to start with
		}
		//--------
		// Other2
		//--------		
		if ($qid2>0) {
			$sql = "SELECT usersName, image FROM users WHERE usersId = ?;";
			$stmt = mysqli_stmt_init($conn);
			if (!mysqli_stmt_prepare($stmt, $sql)) {
			  	$result = false;
			  	return $result;
			  	exit();
			}
			mysqli_stmt_bind_param($stmt, "s", $qid2);
			mysqli_stmt_execute($stmt);
			$resultData = mysqli_stmt_get_result($stmt);
			if ($row = mysqli_fetch_assoc($resultData)) {
				$_SESSION["Other2_name"] = $row['usersName'];
				$_SESSION["Other2_icon"] = $row['image'];
			}
			mysqli_stmt_close($stmt);
		 	$_SESSION["Other2_tli1"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other2_tli1"] = getTLIImage($_SESSION["Other2GiveTransactions"]);
		 	$_SESSION["Other2_tli2"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other2_tli2"] = getTLIImage($_SESSION["Other2ReceiveTransactions"]);
			$_SESSION["Other2_coins"] = ""; //is empty to start with
		}
		//--------
		// Other3
		//--------		
		if ($qid3>0) {
			$sql = "SELECT usersName, image FROM users WHERE usersId = ?;";
			$stmt = mysqli_stmt_init($conn);
			if (!mysqli_stmt_prepare($stmt, $sql)) {
			  	$result = false;
			  	return $result;
			  	exit();
			}
			mysqli_stmt_bind_param($stmt, "s", $qid3);
			mysqli_stmt_execute($stmt);
			$resultData = mysqli_stmt_get_result($stmt);
			if ($row = mysqli_fetch_assoc($resultData)) {
				$_SESSION["Other3_name"] = $row['usersName'];
				$_SESSION["Other3_icon"] = $row['image'];
			}
			mysqli_stmt_close($stmt);
		 	$_SESSION["Other3_tli1"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other3_tli1"] = getTLIImage($_SESSION["Other3GiveTransactions"]);
		 	$_SESSION["Other3_tli2"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other3_tli2"] = getTLIImage($_SESSION["Other3ReceiveTransactions"]);
			$_SESSION["Other3_coins"] = ""; //is empty to start with
		}
		//--------
		// Other4
		//--------		
		if ($qid4>0) {
			$sql = "SELECT usersName, image FROM users WHERE usersId = ?;";
			$stmt = mysqli_stmt_init($conn);
			if (!mysqli_stmt_prepare($stmt, $sql)) {
			  	$result = false;
			  	return $result;
			  	exit();
			}
			mysqli_stmt_bind_param($stmt, "s", $qid4);
			mysqli_stmt_execute($stmt);
			$resultData = mysqli_stmt_get_result($stmt);
			if ($row = mysqli_fetch_assoc($resultData)) {
				$_SESSION["Other4_name"] = $row['usersName'];
				$_SESSION["Other4_icon"] = $row['image'];
			}
			mysqli_stmt_close($stmt);
		 	$_SESSION["Other4_tli1"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other4_tli1"] = getTLIImage($_SESSION["Other4GiveTransactions"]);
		 	$_SESSION["Other4_tli2"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other4_tli2"] = getTLIImage($_SESSION["Other4ReceiveTransactions"]);
			$_SESSION["Other4_coins"] = ""; //is empty to start with
		}
		//--------
		// Other5
		//--------		
		if ($qid5>0) {
			$sql = "SELECT usersName, image FROM users WHERE usersId = ?;";
			$stmt = mysqli_stmt_init($conn);
			if (!mysqli_stmt_prepare($stmt, $sql)) {
			  	$result = false;
			  	return $result;
			  	exit();
			}
			mysqli_stmt_bind_param($stmt, "s", $qid5);
			mysqli_stmt_execute($stmt);
			$resultData = mysqli_stmt_get_result($stmt);
			if ($row = mysqli_fetch_assoc($resultData)) {
				$_SESSION["Other5_name"] = $row['usersName'];
				$_SESSION["Other5_icon"] = $row['image'];
			}
			mysqli_stmt_close($stmt);
		 	$_SESSION["Other5_tli1"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other5_tli1"] = getTLIImage($_SESSION["Other5GiveTransactions"]);
		 	$_SESSION["Other5_tli2"] = "img/TLI00_70x70.png";
		 	$_SESSION["Other5_tli2"] = getTLIImage($_SESSION["Other5ReceiveTransactions"]);
			$_SESSION["Other5_coins"] = ""; //is empty to start with
		}
		//==============================================




	} else {
		mysqli_stmt_close($stmt);
	}
}



//if (isset($_POST["btnsubmit"])) {  //THIS GIVES AN ERROR
//if (true) {
if ($_POST["buttonchoice"]) {
	//==================================
	//  ALL CLICKS INCL REFRESHCLICK (1)
	//==================================
	$conn = $_SESSION["conn"];
	$propdate = gmdate('Y-m-d H:i:s');
	$user=$_SESSION["userid"];
	$giver=$_SESSION["giver"];
	$sss = $_POST["buttonchoice"];
	//echo "sss: " . $sss . "<br>";
	$buttonChoice = htmlspecialchars($sss);
	$useramount0 = $_POST["giveramountx"];
	// echo "useramount0: " . $useramount0 . "<br>";
	$useramount1 = 0;
	$useramount2 = 0;
	$useramount3 = 0;
	$useramount4 = 0;
	$useramount5 = 0;
	if ($_SESSION["numberOfOthers"]>0) {
		$useramount1 = htmlspecialchars($_POST["text_11"]);
	}
	if ($_SESSION["numberOfOthers"]>1) {
		$useramount2 = htmlspecialchars($_POST["text_12"]);
	}
	if ($_SESSION["numberOfOthers"]>2) {
		$useramount3 = htmlspecialchars($_POST["text_13"]);
	}
	if ($_SESSION["numberOfOthers"]>3) {
		$useramount4 = htmlspecialchars($_POST["text_14"]);
	}
	if ($_SESSION["numberOfOthers"]>4) {
		$useramount5 = htmlspecialchars($_POST["text_15"]);
	}
	$userid1 = htmlspecialchars($_POST["other1id"]);
	$userid2 = htmlspecialchars($_POST["other2id"]);
	$userid3 = htmlspecialchars($_POST["other3id"]);
	$userid4 = htmlspecialchars($_POST["other4id"]);
	$userid5 = htmlspecialchars($_POST["other5id"]);
	$description = htmlspecialchars($_POST["description"]);



	// echo $buttonChoice;
	// echo "<br>";
	// echo $useramount0;
	// echo "<br>";
	// echo $useramount1;
	// echo "<br>";
	// echo $useramount2;
	// echo "<br>";
	// echo $useramount3;
	// echo "<br>";
	// echo $useramount4;
	// echo "<br>";
	// echo $useramount5;
	// echo "<br>";
	// exit();
	if ($buttonChoice == "2") {
		//===============
		//  ACCEPTCLICK
		//===============
		//  echo "User (=receiver): " . $user . "<br>Giver: " . $giver . "<br>useramount0: " . $useramount0 . "<br>userid1: " . $userid1 . " useramount1: " . $useramount1 . "<br>userid2: " . $userid2 . " useramount2: " . $useramount2 . "<br>userid3: " . $userid3 . " useramount3: " . $useramount3 . "<br>userid4: " . $userid4 . " useramount4: " . $useramount4 . "<br>userid5: " . $userid5 . " useramount5: " . $useramount5; 
		// exit();
		// COUNT RECEIVER PROPOSALS (I AM THE RECEIVER)
		$sql = "SELECT COUNT(*) FROM proposals WHERE receiver = ?;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		  	$result = false;
		  	return $result;
		  	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $user);
		mysqli_stmt_execute($stmt);
		$resultData = mysqli_stmt_get_result($stmt);
		$counter = mysqli_fetch_assoc($resultData)['COUNT(*)'];
		$receiverProposals = (int)$counter;
		mysqli_stmt_close($stmt);

		// COUNT GIVER PROPOSALS (GIVER CAN GET MAX 5 PROPOSALS)
		$sql = "SELECT COUNT(*) FROM proposals WHERE giver = ?;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		  	$result = false;
		  	return $result;
		  	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $giver);
		mysqli_stmt_execute($stmt);
		$resultData = mysqli_stmt_get_result($stmt);
		$counter = mysqli_fetch_assoc($resultData)['COUNT(*)'];
		$giverProposals = (int)$counter;
		mysqli_stmt_close($stmt);
		if (($receiverProposals < 5) && ($giverProposals < 5))
		{
			//========================= Accept Amount =================================
			//---------- Save To Proposal Table
			$sort = htmlspecialchars($_POST["sortstring"]);
			// '2024-11-08 10:36:03.047238')
			//============== HASHING ===========================
			// Hashing is needed to see any manipulation of the 
			// database. But how does it work?
			//
			// We will use two sha256 hashing systems:
			// 1. Your profile:
			// At the moment you do a transaction your profile and the profile of your transactionpartner go into the transaction. The system then checks if your profilehash in your previous transaction was the same. If it is different (or it is your first transaction) then only the changed parts of your profile are stored in the various profile files. First the receiver sends his proposal to the giver. This is done in a receive request email. In this email the giver sees all the profiledata (excluding username, password and emailaddress) of the user and also the hash history, so he can investigate changes in the profile in the app.
			//2. The second hash system is about manipulation of the important tables in the database. Important are the various profile tables (names, birthdays, heights etc) and the transaction table where all transactions are stored. All these crucial tables have timestamps for every addition. Each time one of these crucial tables is changed a hash will be made of the entire regarding changed table and will be stored in a separate log file with the hash, timestamp, and tablereference of the processed change. The log-file will be visible for all users. Also all tables can be copied by all users at any time. The only columns that won't be visible will be the usernames, passwords, emailaddresses and the connection password of the database. This way any future databreach can be spotted, fixed and restored.
			//============ HASH GIVER ==============
			$sql = "SELECT SHA2(CONCAT(usersName, image, birthday, gender, height, hair, leftEye, rightEye, specialFeatures), 256) as hash from users WHERE usersId = ?;";
		    $stmt = mysqli_stmt_init($conn);
		    if (!mysqli_stmt_prepare($stmt, $sql)) {
		        header("location: ../profile.php?error=stmtfailed");
		        exit();
		    }
		    mysqli_stmt_bind_param($stmt, "s", $giver);
		    mysqli_stmt_execute($stmt);
		    $resultData = mysqli_stmt_get_result($stmt);
		    mysqli_stmt_close($stmt);
		    $hashgiver = mysqli_fetch_assoc($resultData)['hash'];
		    //============ HASH RECEIVER ==============
			$sql = "SELECT SHA2(CONCAT(usersName, image, birthday, gender, height, hair, leftEye, rightEye, specialFeatures), 256) as hash from users WHERE usersId = ?;";
		    $stmt = mysqli_stmt_init($conn);
		    if (!mysqli_stmt_prepare($stmt, $sql)) {
		        header("location: ../profile.php?error=stmtfailed");
		        exit();
		    }
		    mysqli_stmt_bind_param($stmt, "s", $user);
		    mysqli_stmt_execute($stmt);
		    $resultData = mysqli_stmt_get_result($stmt);
		    mysqli_stmt_close($stmt);
		    $hashreceiver = mysqli_fetch_assoc($resultData)['hash'];
		    //============ PUT DATA IN THE PROPOSAL ==============
			$sql = "INSERT INTO proposals(giver, receiver, owncoins, othercoins1, othercoins2, othercoins3, othercoins4, othercoins5, othcorigin1, othcorigin2, othcorigin3, othcorigin4, othcorigin5, description, time_stamp, hashgiver, hashreceiver) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
		    $stmt = mysqli_stmt_init($conn);
		    if (!mysqli_stmt_prepare($stmt, $sql)) {
		        header("location: ../profile.php?error=stmtfailed");
		        exit();
		    }
		    mysqli_stmt_bind_param($stmt, "sssssssssssssssss", $giver, $user, $useramount0, $useramount1, $useramount2, $useramount3, $useramount4, $useramount5, $userid1, $userid2, $userid3, $userid4, $userid5, $description, $propdate, $hashgiver, $hashreceiver);
		    mysqli_stmt_execute($stmt);
		    $id = mysqli_stmt_insert_id($stmt);
		    mysqli_stmt_close($stmt);
		    //=============================================
			// receiver now needs to go to a proposal page you can have more than one outstanding proposal. Deciding is the moment of acceptance. If any other transactions have been made and the coins are not there at the moment of acceptance, the giver can singlehanded delete the proposal. Also the receiver can delete any proposal at any moment in time.
		    //=============================================
		    $goto = "location: ../agree.php?proposal=" . $id;
			header($goto);
			exit();
		} else {
			// TODO Provide proper error message if max of 5 proposals is reached.
		    $goto = "location: ../agree.php";
			header($goto);
			exit();
		}
	}

	if ($buttonChoice == "3") {
		//====================== 
		// Save Sort Settings 
		//======================
		$sort = htmlspecialchars($_POST["sortstring"]);
		$_SESSION["sortstring"] = $sort;
		$sql = "UPDATE users SET sort=? WHERE usersId=?;";
	    $stmt = mysqli_stmt_init($conn);
	    if (!mysqli_stmt_prepare($stmt, $sql)) {
	        header("location: ../profile.php?error=stmtfailed");
	        exit();
	    }
	    mysqli_stmt_bind_param($stmt, "ss", $sort, $user);
	    mysqli_stmt_execute($stmt);
	    mysqli_stmt_close($stmt);
	    $goto = "location: ../receiver.php?user=" . $giver; 
		header($goto);
		exit();
	}
}

//==============================================================
// Below we only catch the radiobuttons ($button2clicked = 1..5)
// and refresh ($button2clicked = 7 and $buttonChoice=1)
// $buttonChoice=2 (accept) 
// and $buttonChoice=3 / $button2clicked = 6 (save settings)
//   are processed already and exitted above
//==============================================================



$button2clicked = $_POST["button2clicked"];

if ($button2clicked>0) {
	$_SESSION["button2clicked"] = $button2clicked;
	$user=$_SESSION["userid"];
	$language = $_POST["lang"];
	$_SESSION["language"] = $language;
	$receiveramount = $_POST["receiveramount"];

	$_SESSION["description"] = $_POST["description"];
	$_SESSION["d-amount"] = $_POST["d-amount"];
	$_SESSION["giverAmount"] = $_POST["giverAmount"];
	$_SESSION["Other1_coins"] = $_POST["Other1_coins"];
	$_SESSION["Other2_coins"] = $_POST["Other2_coins"];
	$_SESSION["Other3_coins"] = $_POST["Other3_coins"];
	$_SESSION["Other4_coins"] = $_POST["Other4_coins"];
	$_SESSION["Other5_coins"] = $_POST["Other5_coins"];
	$_SESSION["sortp"] = $_POST["percentage"];
    if ($button2clicked == 1) {
    	$_SESSION["sort1"] = 0;
    }
    if ($button2clicked == 2) {
    	$_SESSION["sort1"] = 1;
    }
    if ($button2clicked == 3) {
    	$_SESSION["sort1"] = 2;
    }
    if ($button2clicked == 4) {
    	$_SESSION["sort2"] = 0;
    }
    if ($button2clicked == 5) {
    	$_SESSION["sort2"] = 1;
    }
    if ($button2clicked == 7) {
    	//==========================
    	//        REFRESH
    	//==========================
    	// the goal of refresh is to return the sort options to the original (saved) state. This means we need to read the saved status here and apply it. 
    	//==========================

		$user = $_SESSION["userid"];
		$sql = "SELECT sort FROM users WHERE usersId = ?;";
		$stmt = mysqli_stmt_init($conn);
		if (!mysqli_stmt_prepare($stmt, $sql)) {
		 	exit();
		}
		mysqli_stmt_bind_param($stmt, "s", $user);
		mysqli_stmt_execute($stmt);
		$_SESSION["sortischanged"] = "0";
		$resultData2 = mysqli_stmt_get_result($stmt);
		if ($row = mysqli_fetch_assoc($resultData2)) {
			$_SESSION["sort1"] = substr($row['sort'],0,1);
			$_SESSION["sort2"] = substr($row['sort'],1,1);
			$_SESSION["sortp"] = substr($row['sort'],2);
			if (substr($_SESSION["sortp"],0,1) == " ") {
				$_SESSION["sortp"] = substr($_SESSION["sortp"],1);
				if (substr($_SESSION["sortp"],0,1) == " ") {
					$_SESSION["sortp"] = substr($_SESSION["sortp"],1);
					if ($_SESSION["sortp"] == " ") {
						$_SESSION["sortp"] = "0";
					}
				}
			}
		}
		mysqli_stmt_close($stmt);
    }
    $goto = "location: ../receiver.php?user=" . $_SESSION["giver"]; 
	header($goto);
	exit();
}

?>