<?php
session_start();

if (isset($_POST["reset-request-submit"])) {
	$language = $_POST["lang"];
	$_SESSION["language"] = $language;
	$selector = bin2hex(random_bytes(8));
	$token = random_bytes(32);
	$url = "www.1coinh.com/create-new-password.php?selector=" . $selector . "&validator=" . bin2hex($token);
	$expires = date("U") + 3600;
	require 'dbh.inc.php';
	$userEmail = $_POST["email"];
	$sql = "DELETE FROM pwdReset WHERE pwdResetEmail=?;";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
		echo "There was an error!";
		exit();
	} else {
		mysqli_stmt_bind_param($stmt, "s", $userEmail);
		mysqli_stmt_execute($stmt);
	}
	$sql = "INSERT INTO pwdReset (pwdResetEmail, pwdResetSelector, pwdResetToken, pwdResetExpires) VALUES (?, ?, ?, ?);";
	$stmt = mysqli_stmt_init($conn);
	if (!mysqli_stmt_prepare($stmt, $sql)) {
		echo "There was an error!";
		exit();
	} else {
		$hashedToken = password_hash($token, PASSWORD_DEFAULT);
		mysqli_stmt_bind_param($stmt, "ssss", $userEmail, $selector, $hashedToken, $expires);
		mysqli_stmt_execute($stmt);
	}
	mysqli_stmt_close($stmt);
	mysqli_close($conn);
	$to = $userEmail;

	$subject = "Reset your password for www.1CoinH.com";
	$message = '<p>We received a password reset request. The link to reset your password is below. If you did not make this request, you can ignore this email.</p>';
	$message .= '<p>Here is your password reset link: </br>';
	if ($language=='ar') {
		$subject = "إعادة تعيين كلمة المرور الخاصة بك www.1CoinH.com";
		$message = "<p>لقد تلقينا طلب إعادة تعيين كلمة المرور. الرابط لإعادة تعيين كلمة المرور موجود أدناه. إذا لم تقم بتقديم هذا الطلب، يمكنك تجاهل هذا البريد الإلكتروني.</p>";
		$message .= "<p>هذا هو رابط إعادة تعيين كلمة المرور الخاصة بك: </br>";
	}
	if ($language=='be') {
		$subject = "জন্য আপনার পাসওয়ার্ড রিসেট করুন www.1CoinH.com";
		$message = "<p>আমরা একটি পাসওয়ার্ড রিসেট অনুরোধ পেয়েছি। আপনার পাসওয়ার্ড রিসেট করার লিঙ্কটি নীচে রয়েছে। আপনি যদি এই অনুরোধটি না করে থাকেন তবে আপনি এই ইমেলটি উপেক্ষা করতে পারেন৷</p>";
		$message .= "<p>এখানে আপনার পাসওয়ার্ড রিসেট লিঙ্ক: </br>";
	}
	if ($language=='ch') {
		$subject = "重置您的密码 www.1CoinH.com";
		$message = "<p>我们收到了密码重置请求。重置密码的链接如下。如果您没有提出此请求，则可以忽略此电子邮件。</p>";
		$message .= "<p>这是您的密码重置链接: </br>";
	}
	if ($language=='de') {
		$subject = "Setzen Sie Ihr Passwort zurück für www.1CoinH.com";
		$message = "<p>Wir haben eine Anfrage zum Zurücksetzen Ihres Passworts erhalten. Den Link zum Zurücksetzen Ihres Passworts finden Sie weiter unten. Wenn Sie diese Anfrage nicht gestellt haben, können Sie diese E-Mail ignorieren.</p>";
		$message .= "<p>Hier ist Ihr Link zum Zurücksetzen Ihres Passworts: </br>";
	}
	if ($language=='es') {
		$subject = "Restablecer su contraseña para www.1CoinH.com";
		$message = "<p>Hemos recibido una solicitud de restablecimiento de contraseña. El enlace para restablecer su contraseña se encuentra a continuación. Si no realizó esta solicitud, puede ignorar este correo electrónico.</p>";
		$message .= "<p>Aquí está el enlace para restablecer tu contraseña: </br>";
	}
	if ($language=='fr') {
		$subject = "Réinitialisez votre mot de passe pour www.1CoinH.com";
		$message = "<p>Nous avons reçu une demande de réinitialisation de mot de passe. Le lien pour réinitialiser votre mot de passe se trouve ci-dessous. Si vous n'avez pas fait cette demande, vous pouvez ignorer cet e-mail.</p>";
		$message .= "<p>Voici votre lien de réinitialisation de mot de passe: </br>";
	}
	if ($language=='gr') {
		$subject = "Επαναφέρετε τον κωδικό πρόσβασής σας για www.1CoinH.com";
		$message = "<p>Λάβαμε ένα αίτημα επαναφοράς κωδικού πρόσβασης. Ο σύνδεσμος για την επαναφορά του κωδικού πρόσβασής σας είναι παρακάτω. Εάν δεν υποβάλατε αυτό το αίτημα, μπορείτε να αγνοήσετε αυτό το μήνυμα ηλεκτρονικού ταχυδρομείου.</p>";
		$message .= "<p>Εδώ είναι ο σύνδεσμος επαναφοράς του κωδικού πρόσβασής σας: </br>";
	}
	if ($language=='ha') {
		$subject = "Sake saita kalmar wucewa don www.1CoinH.com";
		$message = "<p>Mun sami buƙatar sake saitin kalmar sirri. Mahadar don sake saita kalmar wucewa ta ƙasa. Idan ba ku yi wannan buƙatar ba, kuna iya yin watsi da wannan imel ɗin.</p>";
		$message .= "<p>Anan shine hanyar haɗin sake saitin kalmar sirrinku: </br>";
	}
	if ($language=='hi') {
		$subject = "अपना पासवर्ड रीसेट करें www.1CoinH.com";
		$message = "<p>हमें पासवर्ड रीसेट करने का अनुरोध प्राप्त हुआ है। अपना पासवर्ड रीसेट करने का लिंक नीचे दिया गया है। यदि आपने यह अनुरोध नहीं किया है, तो आप इस ईमेल को अनदेखा कर सकते हैं।</p>";
		$message .= "<p>आपका पासवर्ड रीसेट लिंक यहां है: </br>";
	}
	if ($language=='he') {
		$subject = "אפס את הסיסמה שלך עבור www.1CoinH.com";
		$message = "<p>קיבלנו בקשה לאיפוס סיסמה. הקישור לאיפוס הסיסמה שלך נמצא למטה. אם לא הגשת בקשה זו, תוכל להתעלם מאימייל זה.</p>";
		$message .= "<p>הנה הקישור לאיפוס הסיסמה שלך: </br>";
	}
	if ($language=='hu') {
		$subject = "Állítsa vissza jelszavát a következőhöz: www.1CoinH.com";
		$message = "<p>Jelszó-visszaállítási kérelmet kaptunk. Az alábbiakban található a jelszó visszaállításához szükséges link. Ha nem Ön küldte ezt a kérést, figyelmen kívül hagyhatja ezt az e-mailt.</p>";
		$message .= "<p>Itt van a jelszó-visszaállítási link: </br>";
	}
	if ($language=='it') {
		$subject = "Reimposta la tua password per www.1CoinH.com";
		$message = "<p>Abbiamo ricevuto una richiesta di reimpostazione della password. Il link per reimpostare la password è riportato di seguito. Se non hai effettuato questa richiesta, puoi ignorare questa e-mail.</p>";
		$message .= "<p>Ecco il link per reimpostare la password: </br>";
	}
	if ($language=='ja') {
		$subject = "パスワードをリセットする www.1CoinH.com";
		$message = "<p>パスワードのリセット リクエストを受け取りました。パスワードをリセットするためのリンクは下にあります。このリクエストを行っていない場合は、このメールを無視してください。</p>";
		$message .= "<p>パスワードリセットリンクはこちらです: </br>";
	}
	if ($language=='ki') {
		$subject = "Ongera usubize ijambo ryibanga rya www.1CoinH.com";
		$message = "<p>Twabonye icyifuzo cyo gusubiramo ijambo ryibanga. Ihuza ryo gusubiramo ijambo ryibanga riri hepfo. Niba utakoze iki cyifuzo, urashobora kwirengagiza iyi imeri.</p>";
		$message .= "<p>Dore ijambo ryibanga ryibanga: </br>";
	}
	if ($language=='ko') {
		$subject = "비밀번호를 재설정하세요 www.1CoinH.com";
		$message = "<p>비밀번호 재설정 요청을 받았습니다. 비밀번호를 재설정하는 링크는 아래에 있습니다. 이 요청을 하지 않았다면 이 이메일을 무시해도 됩니다.</p>";
		$message .= "<p>비밀번호 재설정 링크는 다음과 같습니다.: </br>";
	}
	if ($language=='ne') {
		$subject = "Reset uw wachtwoord voor www.1CoinH.com";
		$message = "<p>We hebben een verzoek ontvangen om uw wachtwoord te resetten. De link om uw wachtwoord te resetten staat hieronder. Als u dit verzoek niet hebt gedaan, kunt u deze e-mail negeren.</p>";
		$message .= "<p>Hier is uw wachtwoord reset link: </br>";
	}
	if ($language=='po') {
		$subject = "Zresetuj swoje hasło dla www.1CoinH.com";
		$message = "<p>Otrzymaliśmy prośbę o zresetowanie hasła. Link do zresetowania hasła znajduje się poniżej. Jeśli nie wysłałeś tej prośby, możesz zignorować ten e-mail.</p>";
		$message .= "<p>Oto link do resetowania hasła: </br>";
	}
	if ($language=='pt') {
		$subject = "Redefina a sua palavra-passe para www.1CoinH.com";
		$message = "<p>Recebemos um pedido de redefinição de senha. O link para redefinir a sua palavra-passe está abaixo. Se não fez essa solicitação, pode ignorar este e-mail.</p>";
		$message .= "<p>Aqui está o link de redefinição de palavra-passe: </br>";
	}
	if ($language=='ru') {
		$subject = "Сбросьте свой пароль для www.1CoinH.com";
		$message = "<p>Мы получили запрос на сброс пароля. Ссылка для сброса пароля находится ниже. Если вы не делали этот запрос, вы можете проигнорировать это письмо.</p>";
		$message .= "<p>Вот ссылка для сброса пароля: </br>";
	}
	$message .= '<a href="https://' . $url . '">' . $url . '</a></p>';
	$headers = "From: 1CoinH <info@1coinh.com>\r\n";
	$headers .= "Reply-To: info@1coinh.com\r\n";
	$headers .= "Content-type: text/html\r\n";
	// echo $to;
	// echo "<br>";
	// echo $subject;
	// echo "<br>";    https://www.1coinh.com/cashbook.php
	// echo $message;
	// echo "<br>";
	// echo $headers;
	// echo "<br>";
	// exit();
	mail($to, $subject, $message, $headers);
	header("Location: ../reset-password.php?reset=success");
	//$test = "Location: ../reset-password.php?reset=success" . "?" . $url;
	//$test = "Location: ../reset-password.php?reset=success";  
	//header($test);
} else {
	header("Location: ../signup.php");
}