
// <option value="ar">🇪🇬&emsp;عربي</option> 
// <!-- Bengali -->
// <option value="be">🇧🇩&emsp;বাংলা</option> 
// <!-- Chinese (simplified) -->
// <option value="ch">🇨🇳&emsp;簡體中文</option>
// <option value="de">🇩🇪&emsp;Deutsch</option>
// <option value="en" selected>🇬🇧&emsp;English</option>
// <option value="es">🇪🇸&emsp;Espagnol</option>
// <option value="fr">🇫🇷&emsp;Français</option>
// <!-- Greek -->
// <option value="gr">🇬🇷&emsp;ελληνικά</option>
// <option value="ha">🇳🇬&emsp;Hausa</option>
// <!-- Hindi -->
// <option value="hi">🇮🇳&emsp;हिंदी</option>
// <!-- Hebrew -->
// <option value="he">🇮🇱&emsp;עִברִית</option>
// <option value="hu">🇭🇺&emsp;Magyar</option>
// <option value="it">🇮🇹&emsp;Italiano</option>
// <!-- Japanese -->
// <option value="ja">🇯🇵&emsp;日本語</option>
// <!-- Rwanda -->
// <option value="ki">🇷🇼&emsp;Kinyarwanda</option>
// <!-- Korean -->
// <option value="ko">🇰🇷&emsp;한국인</option>
// <option value="ne">🇳🇱&emsp;Nederlands</option>
// <option value="po">🇵🇱&emsp;Polski</option>
// <option value="pt">🇵🇹&emsp;Português</option>
// <!-- Russian -->
// <option value="ru">🇷🇺&emsp;Русский</option>
//ar
//be
//ch
//de
//en
//es
//fr
//gr
//ha
//hi
//he
//ho
//it
//ja
//ki
//ko
//ne
//po
//pt
//ru

window.URL    = window.URL || window.webkitURL;
var elBrowse  = document.getElementById("img"),
    elError = document.getElementById("image_error"),
    useBlob   = false && window.URL; // `true` to use Blob instead of Data-URL

function readImage (file) {
    var reader = new FileReader();
    reader.addEventListener("load", function () {
        var image  = new Image();
        image.addEventListener("load", function () {
            //var imageInfo = file.name +' '+ image.width +'×'+ image.height +' '+ file.type    +' '+ Math.round(file.size/1024) +'KB';
            if ((image.width>140) || (image.height>140)) {
                text_03.style.fontSize = "22px";
            } else {
            	text_03.style.fontSize = "0px";
                document.getElementById('img01').src = reader.result;
            }
        });
        image.src = useBlob ? window.URL.createObjectURL(file) : reader.result;
        if (useBlob) {
            window.URL.revokeObjectURL(file); // Free memory
        }
    });
    reader.readAsDataURL(file);  
}


elBrowse.addEventListener("change", function() {
    var files  = this.files;
    var errors = "";
    if (!files) {
        errors += "File upload not supported by your browser.";
    }
    if (files && files[0]) {
        for(var i=0; i<files.length; i++) {
            var file = files[i];
            if ( (/\.(png|jpeg|jpg|gif)$/i).test(file.name) ) {
                readImage( file ); 
            } else {
                errors += file.name +" Unsupported Image extension\n";  
            }
        }
    }
    if (errors) {
        alert(errors); 
    }
});



function base64img(obj) {
    var reader = new FileReader();
    reader.readAsDataURL(obj.files[0]);
    reader.onload = function () {
        //var size = reader.result.length;
        document.getElementById('b64i').value = reader.result;
    }
	save=document.getElementById("save");
	if (save) {
		save.src="img/Save_Icon_70x70.png";
	}
	text_04.disabled = false;
	text_04.style.color = "black";
	if (text_11) {
		text_11.innerText = "";
	}
	if (text_12) {
		text_12.innerText = "";
	}
}


const translations = {
	ar: {
		footer00: ".المساعدة والأسئلة الشائعة",
		footer01: "قواعد هامة",
		footer02: "أ. سيتم إزالة أي حساب مستخدم يضع صورة في ملفه الشخصي",
		footer03: "ليست صورة وجه يمكن التعرف عليه ويجمع العملات المعدنية.",
		footer04: "ب. تقديم معلومات خاطئة عن نفسك أو إنشاء حسابات مزدوجة",
		footer05: "لنفسك سيؤدي إلى إزالة هذا الحساب بمجرد اكتشافه.",
		footer06: "تنصل",
		footer07: "1. الانضمام إلى التطبيق أو اختباره لا يعني موافقة هذا",
		footer08: "المستخدم أو تأييده لأي أفكار سياسية قد يشير إليها موقع 1CoinH.",
		footer09: "2. يُمنع منعًا باتًا نسخ أو إعادة استخدام أي من بيانات",
		footer10: "المستخدم الموجودة على هذا الموقع - خارج هذا الموقع.",
		footer11: "اتفاق",
		footer12: "إن الانضمام إلى هذا الموقع كمستخدم يعني أنك قرأت هذا الإخلاء من",
		footer13: "المسؤولية وتوافق على 'القواعد الهامة' و'إخلاء المسؤولية' أعلاه.",
		footer14: "المال الأخلاقي",
		request: "طلب",
		agree: "يوافق",
		cashbook: "دفتر النقدية",
		logout: "تسجيل الخروج",
		welcome: "مرحباً",
		DText_01: "بيانات الملف الشخصي",
		DText_02: "قم بتحميل صورتك",
		DText_03: "jpg/png الحد الأقصى 140x140 بكسل!",
		DText_04: "حفظ التغييرات",
		DText_05: "الاسم الكامل",
		DText_06: "...الاسم الكامل",
		DText_07: "عنوان البريد الإلكتروني",
		DText_08: "...عنوان البريد الإلكتروني",
		DText_09: "اسم المستخدم",
		DText_10: "...اسم المستخدم",
		DText_11: "خطأ! يرجى المحاولة مرة أخرى.",
		DText_12: "تم تحديث بياناتك.",
		DText_13: "عيد ميلاد",
		DText_14: "جنس",
		DText_15: "(_.__m/_ft__in)...ارتفاع",
		DText_16: "(_.__m/_ft__in) ارتفاع",
		DText_17: "لون الشعر",
		DText_18: "لون العين اليسرى",
		DText_19: "لون العين اليمنى",
		DText_20: "▲ للأعلى ▲",
		DText_21: "أبيض",
		DText_22: "أحمر زنجبيل",
		DText_23: "أوبورن",
		DText_24: "أشقر",
		DText_25: "كستنائي فاتح",
		DText_26: "نحاس",
		DText_27: "أشقر فاتح",
		DText_28: "بني كستنائي",
		DText_29: "فضي",
		DText_30: "أشقر متوسط",
		DText_31: "بني فاتح",
		DText_32: "تيتان",
		DText_33: "أشقر غامق",
		DText_34: "بني متوسط",
		DText_35: "رمادي",
		DText_36: "أشقر ذهبي",
		DText_37: "بني غامق",
		DText_38: "أسود",
		DText_39: "أشقر الفراولة",
		DText_40: "لا شعر",
		DText_41: "العنبر",
		DText_42: "أزرق",
		DText_43: "بني",
		DText_44: "رمادي",
		DText_45: "أخضر",
		DText_46: "بندق",
		DText_47: "أحمر",
		DText_48: "أزرق رمادي",
		DText_49: "أزرق أخضر",
		DText_50: "أخضر رمادي",
		DText_51: "أخضر بني",
		DText_511: "طقم اصطناعي",
		DText_52: "المميزات الخاصة",
		DText_53: "...المميزات الخاصة",
		DText_54: "ستحصل على عملة واحدة في الساعة!",
		DText_55: "إملأ النموذج بالكامل لتلقي العملات!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "ذكر",
		female: "أنثى",
		other: "آخر"
	},
	be: {
		footer00: "সাহায্য এবং প্রায়শই জিজ্ঞাসিত প্রশ্ন",
		footer01: "গুরুত্বপূর্ণ নিয়ম",
		footer02: "উ: যে কোনও ব্যবহারকারীর অ্যাকাউন্ট যে তার প্রোফাইলে এমন একটি ছবি রাখে",
		footer03: "যেটি একটি স্বীকৃত মুখের ছবি নয় এবং কয়েন সংগ্রহ করছে তা সরিয়ে ফেলা হবে।",
		footer04: "B. নিজেকে ভুলভাবে উপস্থাপন করা বা নিজের জন্য ডবল অ্যাকাউন্ট তৈরি",
		footer05: "করার ফলে সেই অ্যাকাউন্টটি একবার শনাক্ত হয়ে গেলে সরিয়ে দেওয়া হবে।",
		footer06: "দাবিত্যাগ",
		footer07: "1. অ্যাপটিতে যোগদান করা বা পরীক্ষা করার অর্থ এই নয় যে এই ব্যবহারকারী 1CoinH",
		footer08: "ওয়েবসাইট নির্দেশ করতে পারে এমন কোনো রাজনৈতিক ধারণার সাথে সম্মত হন বা ক্ষমা করেন।",
		footer09: "2. এই ওয়েবসাইটে পাওয়া যায় এমন কোনও ব্যবহারকারীর ডেটা কপি করা",
		footer10: "বা পুনরায় ব্যবহার করা - এই ওয়েবসাইটের বাইরে - কঠোরভাবে নিষিদ্ধ৷",
		footer11: "চুক্তি",
		footer12: "এই ওয়েবসাইটে একজন ব্যবহারকারী হিসাবে যোগদান করার অর্থ হল আপনি এই দাবিত্যাগটি",
		footer13: "পড়েছেন এবং উপরের 'গুরুত্বপূর্ণ নিয়ম' এবং 'দাবিত্যাগ'-এর সাথে সম্মত হয়েছেন।",
		footer14: "নৈতিক অর্থ",
		request: "অনুরোধ",
		agree: "একমত",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome: "স্বাগতম",
		DText_01: "প্রোফাইল ডেটা",
		DText_02: "আপনার ছবি আপলোড করুন",
		DText_03: "jpg/png সর্বোচ্চ 140x140 পিক্সেল!",
		DText_04: "পরিবর্তনগুলি সংরক্ষণ করুন",
		DText_05: "পুরো নাম",
		DText_06: "পুরো নাম...",
		DText_07: "ই-মেইল ঠিকানা",
		DText_08: "ই-মেইল ঠিকানা...",
		DText_09: "ব্যবহারকারীর নাম",
		DText_10: "ব্যবহারকারীর নাম...",
		DText_11: "خطأ! يرجى المحاولة مرة أخرى.",
		DText_12: "আপনার তথ্য আপডেট করা হয়.",
		DText_13: "জন্মদিন",
		DText_14: "লিঙ্গ",
		DText_15: "উচ্চতা...(_.__m/_ft__in)",
		DText_16: "উচ্চতা (_.__m/_ft__in)",
		DText_17: "রঙিন চুল",
		DText_18: "বাম চোখের রঙ",
		DText_19: "ডান চোখের রঙ",
		DText_20: "▲ উপরে ▲",
		DText_21: "সাদা",
		DText_22: "আদা লাল",
		DText_23: "অবার্ন",
		DText_24: "স্বর্ণকেশী",
		DText_25: "হালকা চেস্টনাট",
		DText_26: "তামা",
		DText_27: "হালকা স্বর্ণকেশী",
		DText_28: "চেস্টনাট ব্রাউন",
		DText_29: "সিলভার",
		DText_30: "মাঝারি স্বর্ণকেশী",
		DText_31: "হালকা বাদামী",
		DText_32: "টাইটান",
		DText_33: "গাঢ় স্বর্ণকেশী",
		DText_34: "মাঝারি বাদামী",
		DText_35: "ধূসর",
		DText_36: "স্বর্ণকেশী",
		DText_37: "গাঢ় বাদামী",
		DText_38: "কালো",
		DText_39: "স্ট্রবেরি স্বর্ণকেশী",
		DText_40: "চুল নেই",
		DText_41: "অ্যাম্বার",
		DText_42: "নীল",
		DText_43: "বাদামী",
		DText_44: "ধূসর",
		DText_45: "সবুজ",
		DText_46: "হ্যাজেল",
		DText_47: "লাল",
		DText_48: "নীল ধূসর",
		DText_49: "নীল সবুজ",
		DText_50: "সবুজ ধূসর",
		DText_51: "সবুজ বাদামী",
		DText_511: "প্রস্থেসিস",
		DText_52: "বিশেষ বৈশিষ্ট্য",
		DText_53: "বিশেষ বৈশিষ্ট্য...",
		DText_54: "আপনি প্রতি ঘন্টায় একটি মুদ্রা পাবেন!",
		DText_55: "কয়েন পেতে সম্পূর্ণ ফর্ম পূরণ করুন!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "পুরুষ",
		female: "মহিলা",
		other: "অন্যান্য"
	},
	ch: {
		footer00: "帮助和常见问题.",
		footer01: "重要规则",
		footer02: "答：任何在其个人资料中放置非可识别面部",
		footer03: "图片且正在收集硬币的用户帐户都将被删除。",
		footer04: "B. 虚假陈述或为自己创建重复账户，",
		footer05: "一旦发现将导致该账户被删除。",
		footer06: "免责声明",
		footer07: "1. 加入或测试该应用程序并不意味着该用户同意或纵容",
		footer08: "1CoinH网站可能表明的任何政治观点。",
		footer09: "2. 严禁在本网站之外复制或重复",
		footer10: "使用任何本网站上的用户数据。",
		footer11: "协议",
		footer12: "加入本网站成为用户即表示您已阅读此免责",
		footer13: "声明并同意上述‘重要规则’和‘免责声明’。",
		footer14: "道德金钱",
		request: "要求",
		agree: "同意",
		cashbook: "现金簿",
		logout: "登出",
		welcome: "欢迎",
		DText_01: "个人资料",
		DText_02: "上传你的照片",
		DText_03: "jpg/png 最大 140x140 像素！",
		DText_04: "保存更改",
		DText_05: "姓名",
		DText_06: "姓名...",
		DText_07: "电子邮件",
		DText_08: "电子邮件...",
		DText_09: "用户名",
		DText_10: "用户名...",
		DText_11: "错误！请重试。",
		DText_12: "您的数据已更新。",
		DText_13: "生日",
		DText_14: "性别",
		DText_15: "高度...(_.__m/_ft__in)",
		DText_16: "高度 (_.__m/_ft__in)",
		DText_17: "染发",
		DText_18: "左眼颜色",
		DText_19: "右眼颜色",
		DText_20: "▲ 向上 ▲",
		DText_21: "白色的",
		DText_22: "姜红",
		DText_23: "奥本",
		DText_24: "金发",
		DText_25: "浅栗色",
		DText_26: "铜",
		DText_27: "浅金色",
		DText_28: "栗棕色",
		DText_29: "银",
		DText_30: "中等金发",
		DText_31: "浅棕色",
		DText_32: "泰坦",
		DText_33: "深金色",
		DText_34: "中棕色",
		DText_35: "灰色的",
		DText_36: "金色金发",
		DText_37: "深棕色",
		DText_38: "黑色的",
		DText_39: "草莓金发",
		DText_40: "没有头发",
		DText_41: "琥珀色",
		DText_42: "蓝色的",
		DText_43: "棕色的",
		DText_44: "灰色的",
		DText_45: "绿色的",
		DText_46: "榛",
		DText_47: "红色的",
		DText_48: "蓝灰色",
		DText_49: "蓝绿色",
		DText_50: "绿色 灰色",
		DText_51: "绿色 棕色",
		DText_511: "假肢",
		DText_52: "特殊功能",
		DText_53: "特殊功能...",
		DText_54: "您每小时可获得一枚硬币！",
		DText_55: "填写整个表格即可领取硬币！",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "男性",
		female: "女性",
		other: "其他"
	},
	de: {
		footer00: "Hilfe und häufig gestellte Fragen.",
		footer01: "WICHTIGE REGELN",
		footer02: "A. Jedes Benutzerkonto, das in sein Profil ein Bild einfügt, auf dem kein",
		footer03: "erkennbares Gesicht zu sehen ist, und das Münzen sammelt, wird entfernt.",
		footer04: "B. Wenn Sie falsche Angaben zu Ihrer Person machen oder doppelte",
		footer05: "Konten eröffnen, wird das Konto gelöscht, sobald dies erkannt wird.",
		footer06: "HAFTUNGSAUSSCHLUSS",
		footer07: "1. Die Teilnahme an der App oder das Testen dieser App bedeutet nicht, dass der Benutzer mit etwaigen",
		footer08: "politischen Ideen, die auf der 1CoinH-Website angezeigt werden, einverstanden ist oder diese duldet.",
		footer09: "2. Das Kopieren oder die Wiederverwendung jeglicher auf dieser Website",
		footer10: "befindlicher Benutzerdaten – außerhalb dieser Website – ist streng verboten.",
		footer11: "VEREINBARUNG",
		footer12: "Wenn Sie dieser Website als Benutzer beitreten, bedeutet dies, dass Sie diesen Haftungsausschluss",
		footer13: "gelesen haben und den oben aufgeführten „Wichtigen Regeln“ und dem „Haftungsausschluss“ zustimmen.",
		footer14: "Ethisches Geld",
		request: "Vorschlag",
		agree: "Zustimmen",
		cashbook: "Kassenbuch",
		logout: "Ausloggen",
		welcome: "Willkommen",
		DText_01: "Profildaten",
		DText_02: "Laden Sie Ihr Foto hoch",
		DText_03: "jpg/png max. 140x140 Pixel!",
		DText_04: "Änderungen Speichern",
		DText_05: "Vollständiger Name",
		DText_06: "Vollständiger Name...",
		DText_07: "E-Mail-Adresse",
		DText_08: "E-Mail-Adresse...",
		DText_09: "Benutzername",
		DText_10: "Benutzername...",
		DText_11: "Fehler! Bitte versuchen Sie es erneut.",
		DText_12: "Ihre Daten sind aktualisiert.",
		DText_13: "Geburtstag",
		DText_14: "Geschlecht",
		DText_15: "Länge...(_.__m/_ft__in)",
		DText_16: "Länge (_.__m/_ft__in)",
		DText_17: "Haare Färben",
		DText_18: "Farbe Linkes Auge",
		DText_19: "Farbe Rechtes Auge",
		DText_20: "▲ Nach oben ▲",
		DText_21: "Weiß",
		DText_22: "Ingwerrot",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Helles Kastanienbraun",
		DText_26: "Kupfer",
		DText_27: "Hellblond",
		DText_28: "Kastanienbraun",
		DText_29: "Silber",
		DText_30: "Mittelblond",
		DText_31: "Hellbraun",
		DText_32: "Titan",
		DText_33: "Dunkelblond",
		DText_34: "Mittelbraun",
		DText_35: "Grau",
		DText_36: "Goldblond",
		DText_37: "Dunkelbraun",
		DText_38: "Schwarz",
		DText_39: "Rotblond",
		DText_40: "Keine Haare",
		DText_41: "Bernstein",
		DText_42: "Blau",
		DText_43: "Braun",
		DText_44: "Grau",
		DText_45: "Grün",
		DText_46: "Hasel",
		DText_47: "Rot",
		DText_48: "Blau Grau",
		DText_49: "Blau Grün",
		DText_50: "Grün Grau",
		DText_51: "Grün Braun",
		DText_511: "Prothese",
		DText_52: "Besondere Merkmale",
		DText_53: "Besondere Merkmale...",
		DText_54: "Sie erhalten eine Münze pro Stunde!",
		DText_55: "Füllen Sie das gesamte Formular aus, um Münzen zu erhalten!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Männlich",
		female: "Weiblich",
		other: "Andere"
	},
	en: {
		footer00: "Help and frequently asked questions.",
		footer01: "IMPORTANT RULES",
		footer02: "A. Any user account that puts an image in his/her profile that isn't a picture",
		footer03: "of a recognizable face and is collecting coins will be removed.",
		footer04: "B. Misrepresenting yourself or making double accounts for yourself",
		footer05: "will result in that account to be removed once detected.",
		footer06: "DISCLAIMER",
		footer07: "1. Joining or testing the app does not mean that this user agrees or",
		footer08: "condones any political ideas the 1CoinH website might indicate.",
		footer09: "2. Copying and/or reusing any of the userdata that can be found",
		footer10: "on this website - outside this website - is strictly forbidden.",
		footer11: "AGREEMENT",
		footer12: "Joining this website as a user means you have read this disclaimer",
		footer13: "and agree to the 'Important Rules' and 'Disclaimer' above.",
		footer14: "Ethical Money",
		request: "Request",
		agree: "Agree",
		cashbook: "Cashbook",
		logout: "Log Out",
		welcome: "Welcome",
		DText_01: "Profile Data",
		DText_02: "Upload your photo",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Save Changes",
		DText_05: "Full name",
		DText_06: "Full name...",
		DText_07: "E-mail address",
		DText_08: "E-mail address...",
		DText_09: "Username",
		DText_10: "Username...",
		DText_11: "Error! Please try again.",
		DText_12: "Your data is updated.",
		DText_13: "Birthday",
		DText_14: "Gender",
		DText_15: "Height...(_.__m/_ft__in)",
		DText_16: "Height (_.__m/_ft__in)",
		DText_17: "Color Hair",
		DText_18: "Color Left Eye",
		DText_19: "Color Right Eye",
		DText_20: "▲ Up ▲",
		DText_21: "White",
		DText_22: "Ginger Red",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Light Chestnut",
		DText_26: "Copper",
		DText_27: "Light Blond",
		DText_28: "Chestnut Brown",
		DText_29: "Silver",
		DText_30: "Medium Blond",
		DText_31: "Light Brown",
		DText_32: "Titan",
		DText_33: "Dark Blond",
		DText_34: "Medium Brown",
		DText_35: "Gray",
		DText_36: "Gold Blond",
		DText_37: "Dark Brown",
		DText_38: "Black",
		DText_39: "Strawberry Blond",
		DText_40: "No Hair",
		DText_41: "Amber",
		DText_42: "Blue",
		DText_43: "Brown",
		DText_44: "Gray",
		DText_45: "Green",
		DText_46: "Hazel",
		DText_47: "Red",
		DText_48: "Blue Gray",
		DText_49: "Blue Green",
		DText_50: "Green Gray",
		DText_51: "Green Brown",
		DText_511: "Prosthesis",
		DText_52: "Special Features",
		DText_53: "Special Features...",
		DText_54: "You receive one coin per hour!",
		DText_55: "Fill entire form to receive coins!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Male",
		female: "Female",
		other: "Other"
	},
	es: {
		footer00: "Ayuda y preguntas frecuentes.",
		footer01: "REGLAS IMPORTANTES",
		footer02: "A. Cualquier cuenta de usuario que coloque una imagen en su perfil que no sea",
		footer03: "una foto de una cara reconocible y esté recolectando monedas será eliminada.",
		footer04: "B. Dar una identidad falsa o crear cuentas dobles tendrá como",
		footer05: "resultado que la cuenta sea eliminada una vez detectada.",
		footer06: "DESCARGO DE RESPONSABILIDAD",
		footer07: "1. Unirse o probar la aplicación no significa que este usuario esté de acuerdo",
		footer08: "o apruebe cualquier idea política que el sitio web 1CoinH pueda indicar.",
		footer09: "2. Queda terminantemente prohibido copiar o reutilizar cualquiera de los",
		footer10: "datos de usuario que se encuentren en este sitio web –fuera del mismo-.",
		footer11: "ACUERDO",
		footer12: "Unirse a este sitio web como usuario significa que ha leído este descargo de responsabilidad",
		footer13: "y acepta las 'Reglas importantes' y el 'Descargo de responsabilidad' anteriores.",
		footer14: "Dinero ético",
		request: "Pedido",
		agree: "Aceptar",
		cashbook: "Libro De Caja",
		logout: "Finalizar La Sesión",
		welcome: "Bienvenida",
		DText_01: "Datos Del Perfil",
		DText_02: "Sube tu foto",
		DText_03: "¡jpg/png máximo 140x140 píxeles!",
		DText_04: "Guardar Cambios",
		DText_05: "Nombre completoNombre completo...",
		DText_06: "Nombre completo...",
		DText_07: "Dirección de correo electrónico",
		DText_08: "Dirección de correo electrónico...",
		DText_09: "Nombre de usuario",
		DText_10: "Nombre de usuario...",
		DText_11: "¡Error! Inténtalo de nuevo.",
		DText_12: "Sus datos están actualizados.",
		DText_13: "Cumpleaños",
		DText_14: "Género",
		DText_15: "Altura...(_.__m/_ft__in)",
		DText_16: "Altura (_.__m/_ft__in)",
		DText_17: "Cabello De Color",
		DText_18: "Color Del Ojo Izquierdo",
		DText_19: "Color Del Ojo Derecho",
		DText_20: "▲ Arriba ▲",
		DText_21: "Blanco",
		DText_22: "Jengibre Rojo",
		DText_23: "Castaño",
		DText_24: "Rubio",
		DText_25: "Castaño Claro",
		DText_26: "Cobre",
		DText_27: "Rubio Claro",
		DText_28: "Marrón Castaño",
		DText_29: "Plata",
		DText_30: "Rubio Medio",
		DText_31: "Marrón Claro",
		DText_32: "Titán",
		DText_33: "Rubio Oscuro",
		DText_34: "Marrón Medio",
		DText_35: "Gris",
		DText_36: "Rubio Dorado",
		DText_37: "Marrón Oscuro",
		DText_38: "Negro",
		DText_39: "Rubio fresa",
		DText_40: "Sin Pelo",
		DText_41: "Ámbar",
		DText_42: "Azul",
		DText_43: "Marrón",
		DText_44: "Gris",
		DText_45: "Verde",
		DText_46: "Color Avellana",
		DText_47: "Rojo",
		DText_48: "Azul Grisáceo",
		DText_49: "Azul verde",
		DText_50: "Verde Gris",
		DText_51: "Verde Marrón",
		DText_511: "Prótesis",
		DText_52: "Características Especiales",
		DText_53: "Características Especiales...",
		DText_54: "¡Recibes una moneda por hora!",
		DText_55: "¡Rellena todo el formulario para recibir monedas!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Masculino",
		female: "Femenina",
		other: "Otra"
	},
	fr: {
		footer00: "Aide et questions fréquemment posées.",
		footer01: "RÈGLES IMPORTANTES",
		footer02: "A. Tout compte d'utilisateur qui met une image dans son profil qui n'est pas",
		footer03: "une photo d'un visage reconnaissable et qui collecte des pièces sera supprimé.",
		footer04: "B. Toute fausse déclaration ou création de doubles comptes pour",
		footer05: "vous-même entraînera la suppression de ce compte une fois détecté.",
		footer06: "CLAUSE DE NON-RESPONSABILITÉ",
		footer07: "1. Rejoindre ou tester l'application ne signifie pas que cet utilisateur accepte",
		footer08: "ou cautionne les idées politiques que le site Web 1CoinH pourrait indiquer.",
		footer09: "2. La copie ou la réutilisation des données utilisateur disponibles",
		footer10: "sur ce site Web - en dehors de ce site Web - est strictement interdite.",
		footer11: "ACCORD",
		footer12: "En rejoignant ce site Web en tant qu'utilisateur, vous signifiez que vous avez lu cette clause de non-",
		footer13: "responsabilité et que vous acceptez les « Règles importantes » et la « Clause de non-responsabilité » ci-dessus.",
		footer14: "L'argent éthique",
		request: "Demande",
		agree: "Accepter",
		cashbook: "Livre De Caisse",
		logout: "Déconnexion",
		welcome: "Bienvenue",
		DText_01: "Données De Profil",
		DText_02: "Téléchargez votre photo",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Enregistrer Les Modifications",
		DText_05: "Nom et prénom",
		DText_06: "Nom et prénom...",
		DText_07: "Adresse email",
		DText_08: "Adresse email...",
		DText_09: "Nom d'utilisateur",
		DText_10: "Nom d'utilisateur...",
		DText_11: "Erreur ! Veuillez réessayer.",
		DText_12: "Vos données sont mises à jour.",
		DText_13: "Anniversaire",
		DText_14: "Genre",
		DText_15: "Hauteur...(_.__m/_ft__in)",
		DText_16: "Hauteur (_.__m/_ft__in)",
		DText_17: "Couleur Des Cheveux",
		DText_18: "Couleur De l'Œil Gauche",
		DText_19: "Couleur De l'Œil Droit",
		DText_20: "▲ Haut ▲",
		DText_21: "Blanc",
		DText_22: "Rouge Gingembre",
		DText_23: "Auburn",
		DText_24: "Blond",
		DText_25: "Châtain Clair",
		DText_26: "Cuivre",
		DText_27: "Blond Clair",
		DText_28: "Marron Châtain",
		DText_29: "Argent",
		DText_30: "Blond Moyen",
		DText_31: "Brun Clair",
		DText_32: "Titan",
		DText_33: "Blond Foncé",
		DText_34: "Brun Moyen",
		DText_35: "Gris",
		DText_36: "Blond Doré",
		DText_37: "Brun Foncé",
		DText_38: "Noir",
		DText_39: "Blond Vénitien",
		DText_40: "Pas De Cheveux",
		DText_41: "Ambre",
		DText_42: "Bleu",
		DText_43: "Brun",
		DText_44: "Gris",
		DText_45: "Vert",
		DText_46: "Noisette",
		DText_47: "Rouge",
		DText_48: "Bleu Gris",
		DText_49: "Bleu Vert",
		DText_50: "Vert Gris",
		DText_51: "Vert Marron",
		DText_511: "Prothèse",
		DText_52: "Caractéristiques Spéciales",
		DText_53: "Caractéristiques Spéciales...",
		DText_54: "Vous recevez une pièce par heure !",
		DText_55: "Remplissez l'intégralité du formulaire pour recevoir des pièces !",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Mâle",
		female: "Femelle",
		other: "Autre"
	},
	gr: {
		footer00: "Βοήθεια και Συχνές Ερωτήσεις.",
		footer01: "ΣΗΜΑΝΤΙΚΟΙ ΚΑΝΟΝΕΣ",
		footer02: "Α. Οποιοσδήποτε λογαριασμός χρήστη τοποθετεί μια εικόνα στο προφίλ του/της που",
		footer03: "δεν είναι εικόνα αναγνωρίσιμου προσώπου και συλλέγει νομίσματα θα αφαιρείται.",
		footer04: "Β. Η παραπλανητική παρουσίαση του εαυτού σας ή η δημιουργία διπλών λογαριασμών για τον",
		footer05: "εαυτό σας θα έχει ως αποτέλεσμα την κατάργηση αυτού του λογαριασμού μόλις εντοπιστεί.",
		footer06: "ΑΡΝΗΣΗ",
		footer07: "1. Η συμμετοχή ή η δοκιμή της εφαρμογής δεν σημαίνει ότι αυτός ο χρήστης συμφωνεί ή",
		footer08: "αποδοκιμάζει τυχόν πολιτικές ιδέες που μπορεί να υποδείξει ο ιστότοπος 1CoinH.",
		footer09: "2. Απαγορεύεται αυστηρά η αντιγραφή ή η επαναχρησιμοποίηση οποιουδήποτε από τα",
		footer10: "δεδομένα χρήστη που βρίσκονται σε αυτόν τον ιστότοπο - εκτός αυτού του ιστότοπου.",
		footer11: "ΣΥΜΦΩΝΙΑ",
		footer12: "Η εγγραφή σε αυτόν τον ιστότοπο ως χρήστης σημαίνει ότι έχετε διαβάσει αυτήν την αποποίηση",
		footer13: "ευθυνών και συμφωνείτε με τους «Σημαντικούς κανόνες» και την «Αποποίηση ευθυνών» παραπάνω.",
		footer14: "Ηθικά χρήματα",
		request: "Αίτηση",
		agree: "Συμφωνώ",
		cashbook: "Βιβλίο ταμείου",
		logout: "Έξοδος",
		welcome: "Καλωσόρισμα",
		DText_01: "Δεδομένα προφίλ",
		DText_02: "Ανεβάστε τη φωτογραφία σας",
		DText_03: "jpg/png μέγιστο 140x140 pixel!",
		DText_04: "Αποθήκευση αλλαγών",
		DText_05: "Ονοματεπώνυμο",
		DText_06: "Ονοματεπώνυμο...",
		DText_07: "Διεύθυνση ηλεκτρονικού ταχυδρομείου",
		DText_08: "Διεύθυνση ηλεκτρονικού ταχυδρομείου...",
		DText_09: "Όνομα χρήστη",
		DText_10: "Όνομα χρήστη...",
		DText_11: "Σφάλμα! Δοκιμάστε ξανά.",
		DText_12: "Τα δεδομένα σας ενημερώθηκαν.",
		DText_13: "Γενέθλια",
		DText_14: "Γένος",
		DText_15: "Υψος...(_.__m/_ft__in)",
		DText_16: "Υψος (_.__m/_ft__in)",
		DText_17: "Χρώμα μαλλιών",
		DText_18: "Χρώμα αριστερό μάτι",
		DText_19: "Χρώμα Δεξί Μάτι",
		DText_20: "▲ Πάνω ▲",
		DText_21: "Λευκό",
		DText_22: "Τζίντζερ Κόκκινο",
		DText_23: "Πυρόξανθος",
		DText_24: "Ξανθός",
		DText_25: "Ανοιχτό κάστανο",
		DText_26: "Χαλκός",
		DText_27: "Ανοιχτό ξανθό",
		DText_28: "Καστανιά καφέ",
		DText_29: "Ασήμι",
		DText_30: "Μεσαίο ξανθό",
		DText_31: "Ανοιχτό καφέ",
		DText_32: "Τιτάν",
		DText_33: "Σκούρο Ξανθό",
		DText_34: "Μεσαίο καφέ",
		DText_35: "Γκρί",
		DText_36: "Χρυσό ξανθό",
		DText_37: "Σκούρο Καφέ",
		DText_38: "Μαύρος",
		DText_39: "Ξανθό κόκκινο",
		DText_40: "Χωρίς μαλλιά",
		DText_41: "Κεχριμπάρι",
		DText_42: "Μπλε",
		DText_43: "Καστανός",
		DText_44: "Γκρί",
		DText_45: "Πράσινος",
		DText_46: "Φουντουκιά",
		DText_47: "Κόκκινος",
		DText_48: "Μπλε Γκρι",
		DText_49: "Μπλε Πράσινο",
		DText_50: "Πράσινο Γκρι",
		DText_51: "Πράσινο καφέ",
		DText_511: "Προσθετική",
		DText_52: "Ειδικά Χαρακτηριστικά",
		DText_53: "Ειδικά Χαρακτηριστικά...",
		DText_54: "Λαμβάνετε ένα νόμισμα την ώρα!",
		DText_55: "Συμπληρώστε ολόκληρη τη φόρμα για να λάβετε νομίσματα!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Αρσενικός",
		female: "Θηλυκός",
		other: "Αλλος"
	},
	ha: {
		footer00: "Taimako da Tambayoyin da ake yawan yi.",
		footer01: "MUHIMMAN KA'IDOJI",
		footer02: "A. Duk wani asusun mai amfani da ya sanya hoto a cikin bayanansa wanda ba",
		footer03: "hoton fuskar da ba za a iya gane shi ba kuma yana tara tsabar kudi za a cire.",
		footer04: ". Batar da kanku ko yin asusu biyu don kanku",
		footer05: "zai haifar da cire wannan asusun da zarar an gano.",
		footer06: "RA'AYI",
		footer07: "1. Shiga ko gwada app ɗin baya nufin cewa wannan mai amfani ya yarda ko",
		footer08: "ya yarda da duk wani ra'ayin siyasa da gidan yanar gizon 1CoinH zai iya nunawa.",
		footer09: "2. Kwafi ko sake amfani da duk wani bayanan mai amfani da za a iya samu akan",
		footer10: "wannan gidan yanar gizon - a wajen wannan gidan yanar gizon - haramun ne.",
		footer11: "YARJEJI",
		footer12: "Shiga wannan gidan yanar gizon a matsayin mai amfani yana nufin kun karanta",
		footer13: "wannan ɓatanci kuma kun yarda da 'Muhimman Dokoki' da 'Kiyayewa' a sama.",
		footer14: "Kudi na Da'a",
		request: "Nema",
		agree: "Yarda",
		cashbook: "Littafin Kuɗi",
		logout: "Fita",
		welcome: "Barka Da Zuwa",
		DText_01: "Bayanan Bayani",
		DText_02: "Sanya hoton ku",
		DText_03: "jpg/png max 140x140 pixels!",
		DText_04: "Ajiye Canje-canje",
		DText_05: "Cikakken suna",
		DText_06: "Cikakken suna...",
		DText_07: "Adireshin i-mel",
		DText_08: "Adireshin i-mel...",
		DText_09: "Sunan mai amfani",
		DText_10: "Sunan mai amfani...",
		DText_11: "Kuskure! Da fatan za a sake gwadawa.",
		DText_12: "An sabunta bayanan ku.",
		DText_13: "Ranar haihuwa",
		DText_14: "Jinsi",
		DText_15: "Tsayi...(_.__m/_ft__in)",
		DText_16: "Tsayi (_.__m/_ft__in)",
		DText_17: "Launi Gashi",
		DText_18: "Idon Hagu Launi",
		DText_19: "Idon Dama Launi",
		DText_20: "▲ Sama ▲",
		DText_21: "Fari",
		DText_22: "Ginger Red",
		DText_23: "Auburn",
		DText_24: "Blondi",
		DText_25: "Hasken Kirji",
		DText_26: "Copper",
		DText_27: "Hasken Blon",
		DText_28: "Ruwan Kirji",
		DText_29: "Azurfa",
		DText_30: "Matsakaici Blond",
		DText_31: "Launi Mai Haske",
		DText_32: "Titan",
		DText_33: "Duhun Blon",
		DText_34: "Matsakaici Brown",
		DText_35: "Grey",
		DText_36: "Zinariya Blon",
		DText_37: "Dark Brown",
		DText_38: "Baki",
		DText_39: "Strawberry Blond",
		DText_40: "Babu Gashi",
		DText_41: "Amber",
		DText_42: "Blue",
		DText_43: "Brown",
		DText_44: "Grey",
		DText_45: "Kore",
		DText_46: "Hazel",
		DText_47: "Ja",
		DText_48: "Blue Grey",
		DText_49: "Blue Green",
		DText_50: "Green Grey",
		DText_51: "Koren Brown",
		DText_511: "Prosthesis",
		DText_52: "Siffofin Musamman",
		DText_53: "Siffofin Musamman...",
		DText_54: "Kuna karɓar tsabar kuɗi ɗaya a kowace awa!",
		DText_55: "Cika duka fom don karɓar tsabar kudi!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Namiji",
		female: "Mace",
		other: "Sauran"
	},
	hi: {
		footer00: "सहायता एवं अक्सर पूछे जाने वाले प्रश्न.",
		footer01: "महत्वपूर्ण नियम",
		footer02: "A. कोई भी उपयोगकर्ता खाता जो अपनी प्रोफ़ाइल में कोई ऐसी छवि डालता है जो किसी पहचाने",
		footer03: "जाने योग्य चेहरे की तस्वीर नहीं है और सिक्के एकत्र कर रहा है, उसे हटा दिया जाएगा।.",
		footer04: "B. अपने बारे में गलत जानकारी देने या अपने लिए दोहरे खाते",
		footer05: "बनाने पर, पता चलते ही उस खाते को हटा दिया जाएगा।.",
		footer06: "अस्वीकरण",
		footer07: "1. ऐप में शामिल होने या उसका परीक्षण करने का मतलब यह नहीं है कि यह उपयोगकर्ता 1CoinH",
		footer08: "वेबसाइट द्वारा बताए गए किसी भी राजनीतिक विचार से सहमत है या उसका समर्थन करता है।",
		footer09: "2. इस वेबसाइट पर उपलब्ध किसी भी उपयोगकर्ता डेटा की प्रतिलिपि बनाना या",
		footer10: "उसका पुनः उपयोग करना - इस वेबसाइट के बाहर - सख्त वर्जित है।",
		footer11: "समझौता",
		footer12: "एक उपयोगकर्ता के रूप में इस वेबसाइट से जुड़ने का मतलब है कि आपने इस अस्वीकरण",
		footer13: "को पढ़ लिया है और ऊपर दिए गए 'महत्वपूर्ण नियमों' और 'अस्वीकरण' से सहमत हैं।",
		footer14: "नैतिक धन",
		request: "अनुरोध",
		agree: "सहमत",
		cashbook: "रोकड़ बही",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		DText_01: "प्रोफ़ाइल डेटा",
		DText_02: "अपना फोटो अपलोड करें",
		DText_03: "jpg/png अधिकतम 140x140 पिक्सेल!",
		DText_04: "परिवर्तनों को सुरक्षित करें",
		DText_05: "पूरा नाम",
		DText_06: "पूरा नाम...",
		DText_07: "मेल पता",
		DText_08: "मेल पता...",
		DText_09: "उपयोगकर्ता नाम",
		DText_10: "उपयोगकर्ता नाम...",
		DText_11: "त्रुटि! कृपया पुनः प्रयास करें।",
		DText_12: "आपका डेटा अपडेट हो गया है.",
		DText_13: "जन्मदिन",
		DText_14: "लिंग",
		DText_15: "ऊंचाई...(_.__m/_ft__in)",
		DText_16: "ऊंचाई (_.__m/_ft__in)",
		DText_17: "रंगीन बाल",
		DText_18: "रंग बायीं आँख",
		DText_19: "रंग दाहिनी आँख",
		DText_20: "▲ ऊपर ▲",
		DText_21: "सफ़ेद",
		DText_22: "अदरक लाल",
		DText_23: "सुनहरा भूरा रंग",
		DText_24: "गोरा",
		DText_25: "हल्का चेस्टनट",
		DText_26: "ताँबा",
		DText_27: "हल्का गोरा",
		DText_28: "चेस्टनट ब्राउन",
		DText_29: "चाँदी",
		DText_30: "मध्यम गोरा",
		DText_31: "हल्का भूरा",
		DText_32: "टाइटन",
		DText_33: "काला गोरा",
		DText_34: "मध्यम भूरा",
		DText_35: "स्लेटी",
		DText_36: "गोल्ड ब्लॉन्ड",
		DText_37: "गहरे भूरे रंग",
		DText_38: "काला",
		DText_39: "स्ट्रॉबेरी ब्लॉन्ड",
		DText_40: "बाल रहित",
		DText_41: "अंबर",
		DText_42: "नीला",
		DText_43: "भूरा",
		DText_44: "स्लेटी",
		DText_45: "हरा",
		DText_46: "अखरोट",
		DText_47: "लाल",
		DText_48: "नीला ग्रे",
		DText_49: "नीले हरे",
		DText_50: "हरा ग्रे",
		DText_51: "हरा भूरा",
		DText_511: "जोड़",
		DText_52: "विशेष लक्षण",
		DText_53: "विशेष लक्षण...",
		DText_54: "आपको प्रति घंटे एक सिक्का प्राप्त होगा!",
		DText_55: "सिक्के प्राप्त करने के लिए पूरा फॉर्म भरें!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "पुरुष",
		female: "महिला",
		other: "अन्य"
	},
	he: {
		footer00: "עזרה ושאלות נפוצות.",
		footer01: "כללים חשובים",
		footer02: "א. כל חשבון משתמש שמכניס לפרופיל שלו/ה תמונה",
		footer03: "שאינה תמונה של פרצוף מזוהה ואוסף מטבעות יוסר.",
		footer04: "ב. מצג שווא של עצמך או יצירת חשבונות כפולים",
		footer05: "לעצמך יביאו להסרה של חשבון זה לאחר זיהוי.",
		footer06: "כתב ויתור",
		footer07: "1. הצטרפות או בדיקה של האפליקציה לא אומרת שמשתמש זה מסכים או",
		footer08: "מביע הסכמה לרעיונות פוליטיים שהאתר 1CoinH עשוי להצביע עליו.",
		footer09: "2. העתקה או שימוש חוזר בכל אחד מנתוני המשתמש",
		footer10: "שניתן למצוא באתר זה - מחוץ לאתר זה - אסורה בהחלט.",
		footer11: "הֶסכֵּם",
		footer12: "הצטרפות לאתר זה כמשתמש פירושה שקראת כתב",
		footer13: "ויתור זה והסכמת ל'כללים חשובים' ו'כתב ויתור' לעיל.",
		footer14: "כסף אתי",
		request: "בַּקָשָׁה",
		agree: "לְהַסכִּים",
		cashbook: "קופה",
		logout: "התנתק",
		welcome: "קַבָּלַת פָּנִים",
		DText_01: "נתוני פרופיל",
		DText_02: "העלה את התמונה שלך",
		DText_03: "jpg/png מקסימום 140x140 פיקסלים!",
		DText_04: "שמור שינויים",
		DText_05: "שם מלא",
		DText_06: "...שם מלא",
		DText_07: "כתובת דואר אלקטרוני",
		DText_08: "...כתובת דואר אלקטרוני",
		DText_09: "שם משתמש",
		DText_10: "...שם משתמש",
		DText_11: "שְׁגִיאָה! אנא נסה שוב.",
		DText_12: "הנתונים שלך מעודכנים.",
		DText_13: "יוֹם הוּלֶדֶת",
		DText_14: "מִין",
		DText_15: "(_.__m/_ft__in)...גוֹבַה",
		DText_16: "(_.__m/_ft__in) גוֹבַה",
		DText_17: "צבע שיער",
		DText_18: "צבע עין שמאל",
		DText_19: "צבע עין ימין",
		DText_20: "▲ למעלה ▲",
		DText_21: "לָבָן",
		DText_22: "ג'ינג'ר אדום",
		DText_23: "אובורן",
		DText_24: "בלונדיני",
		DText_25: "ערמון בהיר",
		DText_26: "נְחוֹשֶׁת",
		DText_27: "בלונד בהיר",
		DText_28: "חום ערמון",
		DText_29: "כֶּסֶף",
		DText_30: "בלונדינית בינונית",
		DText_31: "חום בהיר",
		DText_32: "עֲנָק",
		DText_33: "בלונדיני כהה",
		DText_34: "חום בינוני",
		DText_35: "אָפוֹר",
		DText_36: "זהב בלונדיני",
		DText_37: "חוּם כֵּהֶה",
		DText_38: "שָׁחוֹר",
		DText_39: "בלונד תות",
		DText_40: "ללא שיער",
		DText_41: "עַנבָּר",
		DText_42: "כְּחוֹל",
		DText_43: "חוּם",
		DText_44: "אָפוֹר",
		DText_45: "יָרוֹק",
		DText_46: "לוּז",
		DText_47: "אָדוֹם",
		DText_48: "כחול אפור",
		DText_49: "כחול ירוק",
		DText_50: "ירוק אפור",
		DText_51: "חום ירוק",
		DText_511: "תוֹתֶבֶת",
		DText_52: "תכונות מיוחדות",
		DText_53: "...תכונות מיוחדות",
		DText_54: "אתה מקבל מטבע אחד לשעה!",
		DText_55: "מלא את הטופס כולו כדי לקבל מטבעות!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "זָכָר",
		female: "נְקֵבָה",
		other: "אַחֵר"
	},
	hu: {
		footer00: "Segítség és gyakran ismételt kérdések.",
		footer01: "FONTOS SZABÁLYOK",
		footer02: "V. Minden olyan felhasználói fiókot, amely olyan képet helyez el a profiljába,",
		footer03: "amely nem egy felismerhető arc képe, és érméket gyűjt, eltávolítjuk.",
		footer04: "B. Ha félrevezeti magát, vagy kettős fiókot hoz létre",
		footer05: "magának, az észlelés után a fiók eltávolításra kerül.",
		footer06: "NYILATKOZAT",
		footer07: "1. Az alkalmazáshoz való csatlakozás vagy az alkalmazás tesztelése nem jelenti azt, hogy a felhasználó",
		footer08: "beleegyezik vagy elnéz minden olyan politikai elképzelést, amelyet az 1CoinH webhely jelezhet.",
		footer09: "2. A weboldalon található felhasználói adatok másolása vagy",
		footer10: "újrafelhasználása - ezen a weboldalon kívül - szigorúan tilos.",
		footer11: "MEGÁLLAPODÁS",
		footer12: "Ha felhasználóként csatlakozik ehhez a weboldalhoz, az azt jelenti, hogy elolvasta ezt a",
		footer13: "felelősségkizárást, és elfogadja a fenti „Fontos szabályokat” és „Felelősségi nyilatkozatot”.",
		footer14: "Etikus Pénz",
		request: "Kér",
		agree: "Egyetért",
		cashbook: "Pénztárkönyv",
		logout: "Jelentkezzen Ki",
		welcome: "Üdvözöljük",
		DText_01: "Profiladatok",
		DText_02: "Töltse fel a fényképét",
		DText_03: "jpg/png max 140x140 pixel!",
		DText_04: "Módosítások Mentése",
		DText_05: "Teljes név",
		DText_06: "Teljes név...",
		DText_07: "E-mail cím",
		DText_08: "E-mail cím...",
		DText_09: "Felhasználónév",
		DText_10: "Felhasználónév...",
		DText_11: "Hiba! Kérjük, próbálja újra.",
		DText_12: "Adatai frissülnek.",
		DText_13: "Születésnap",
		DText_14: "Nem",
		DText_15: "Magasság...(_.__m/_ft__in)",
		DText_16: "Magasság (_.__m/_ft__in)",
		DText_17: "Színes Haj",
		DText_18: "Szín bal szem",
		DText_19: "Szín jobb szem",
		DText_20: "▲ Fel ▲",
		DText_21: "Fehér",
		DText_22: "Ginger Red",
		DText_23: "Aranybarna",
		DText_24: "Szőke",
		DText_25: "Világos Gesztenye",
		DText_26: "Réz",
		DText_27: "Világos Szőke",
		DText_28: "Gesztenyebarna",
		DText_29: "Ezüst",
		DText_30: "Közepes Szőke",
		DText_31: "Világosbarna",
		DText_32: "Titán",
		DText_33: "Sötétszőke",
		DText_34: "Közepes Barna",
		DText_35: "Szürke",
		DText_36: "Aranyszőke",
		DText_37: "Sötétbarna",
		DText_38: "Fekete",
		DText_39: "Eperszőke",
		DText_40: "Nincs haj",
		DText_41: "Borostyán",
		DText_42: "Kék",
		DText_43: "Barna",
		DText_44: "Szürke",
		DText_45: "Zöld",
		DText_46: "Hazel",
		DText_47: "Piros",
		DText_48: "Kék Szürke",
		DText_49: "Kék Zöld",
		DText_50: "Zöld Szürke",
		DText_51: "Zöld Barna",
		DText_511: "Protézis",
		DText_52: "Különleges Jellemzők",
		DText_53: "Különleges Jellemzők...",
		DText_54: "Óránként egy érmét kapsz!",
		DText_55: "Töltsd ki a teljes űrlapot, hogy érméket kapj!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Férfi",
		female: "Női",
		other: "Más"
	},
	it: {
		footer00: "Aiuto e Domande Frequenti.",
		footer01: "REGOLE IMPORTANTI",
		footer02: "A. Qualsiasi account utente che inserisce nel proprio profilo un'immagine",
		footer03: "che non ritrae un volto riconoscibile e che colleziona monete verrà rimosso.",
		footer04: "B. Se si rivelasse falsa la propria identità o si creassero doppi",
		footer05: "account, l'account in questione verrebbe rimosso una volta scoperto.",
		footer06: "DISCLAIMER",
		footer07: "1. L'adesione all'app o il suo test non implica che l'utente accetti",
		footer08: "o tolleri le idee politiche che il sito web 1CoinH potrebbe indicare.",
		footer09: "2. È severamente vietato copiare o riutilizzare al di fuori",
		footer10: "di questo sito web i dati utente presenti su questo sito web.",
		footer11: "ACCORDO",
		footer12: "Registrandoti a questo sito web come utente, significa che hai letto questa informativa",
		footer13: "sulla privacy e accetti le 'Regole importanti' e l`'Informativa sulla privacy' di cui sopra.",
		footer14: "Denaro Etico",
		request: "Richiesta",
		agree: "Accordo",
		cashbook: "Libro Cassa",
		logout: "Esci",
		welcome: "Benvenuta",
		DText_01: "Dati Del Profilo",
		DText_02: "Carica la tua foto",
		DText_03: "jpg/png massimo 140x140 pixel!",
		DText_04: "Salva Le Modifiche",
		DText_05: "Nome e cognome",
		DText_06: "Nome e cognome...",
		DText_07: "Indirizzo e-mail",
		DText_08: "Indirizzo e-mail...",
		DText_09: "Nome utente",
		DText_10: "Nome utente...",
		DText_11: "Errore! Riprova.",
		DText_12: "I tuoi dati sono aggiornati.",
		DText_13: "Compleanno",
		DText_14: "Genere",
		DText_15: "Altezza...(_.__m/_ft__in)",
		DText_16: "Altezza (_.__m/_ft__in)",
		DText_17: "Colore Dei Capelli",
		DText_18: "Colore Dell'Occhio Sinistro",
		DText_19: "Colore Dell'Occhio Destro",
		DText_20: "▲ Su ▲",
		DText_21: "Bianco",
		DText_22: "Rosso Zenzero",
		DText_23: "Castano Dorato",
		DText_24: "Biondo",
		DText_25: "Castagna Chiara",
		DText_26: "Rame",
		DText_27: "Biondo Chiaro",
		DText_28: "Castagna Marrone",
		DText_29: "Argento",
		DText_30: "Biondo Medio",
		DText_31: "Marrone Chiaro",
		DText_32: "Titan",
		DText_33: "Biondo Scuro",
		DText_34: "Marrone Medio",
		DText_35: "Grigio",
		DText_36: "Biondo Oro",
		DText_37: "Marrone Scuro",
		DText_38: "Nero",
		DText_39: "Biondo fragola",
		DText_40: "Nessun Pelo",
		DText_41: "Ambra",
		DText_42: "Blu",
		DText_43: "Marrone",
		DText_44: "Grigio",
		DText_45: "Verde",
		DText_46: "Nocciola",
		DText_47: "Rosso",
		DText_48: "Grigio Blu",
		DText_49: "Blu Verde",
		DText_50: "Verde Grigio",
		DText_51: "Verde Marrone",
		DText_511: "Protesi",
		DText_52: "Caratteristiche Speciali",
		DText_53: "Caratteristiche Speciali...",
		DText_54: "Ricevi una moneta all'ora!",
		DText_55: "Compila l'intero modulo per ricevere le monete!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Maschio",
		female: "Femmina",
		other: "Altra"
	},
	ja: {
		footer00: "ヘルプとよくある質問.",
		footer01: "重要なルール",
		footer02: "A. 認識可能な顔写真ではない画像をプロフィールに掲載し、",
		footer03: "コインを収集しているユーザーアカウントは削除されます。",
		footer04: "B. 自分自身を偽ったり、自分自身のアカウントを二重に作成したりした場合、",
		footer05: "そのアカウントは検出され次第削除されます。",
		footer06: "免責事項",
		footer07: "1. アプリに参加したりテストしたりすることは、ユーザーが 1CoinH の Web",
		footer08: "サイトが示す政治的思想に同意または容認することを意味するものではありません。",
		footer09: "2. 本ウェブサイトに掲載されているユーザーデータを本ウェブサ",
		footer10: "イト外でコピーまたは再利用することは固く禁じられています。",
		footer11: "合意",
		footer12: "このウェブサイトにユーザーとして参加することは、この免責事項を読み、",
		footer13: "上記の「重要な規則」および「免責事項」に同意したことを意味します。",
		footer14: "倫理的なお金",
		request: "リクエスト",
		agree: "同意する",
		cashbook: "現金出納帳",
		logout: "ログアウト",
		welcome: "いらっしゃいませ",
		DText_01: "プロフィールデータ",
		DText_02: "写真をアップロード",
		DText_03: "jpg/png 最大 140x140 ピクセル!",
		DText_04: "変更を保存",
		DText_05: "フルネーム",
		DText_06: "フルネーム...",
		DText_07: "電子メールアドレス",
		DText_08: "電子メールアドレス...",
		DText_09: "ユーザー名",
		DText_10: "ユーザー名...",
		DText_11: "エラーです! もう一度お試しください。",
		DText_12: "データが更新されました。",
		DText_13: "誕生日",
		DText_14: "性別",
		DText_15: "身長...(_.__m/_ft__in)",
		DText_16: "身長 (_.__m/_ft__in)",
		DText_17: "ヘアカラー",
		DText_18: "左目カラー",
		DText_19: "右目の色",
		DText_20: "▲ 上へ ▲",
		DText_21: "白",
		DText_22: "ジンジャーレッド",
		DText_23: "オーバーン",
		DText_24: "ブロンド",
		DText_25: "ライトチェスナット",
		DText_26: "銅",
		DText_27: "ライトブロンド",
		DText_28: "栗色",
		DText_29: "銀",
		DText_30: "ミディアムブロンド",
		DText_31: "ライトブラウン",
		DText_32: "タイタン",
		DText_33: "ダークブロンド",
		DText_34: "ミディアムブラウン",
		DText_35: "グレー",
		DText_36: "ゴールドブロンド",
		DText_37: "ダークブラウン",
		DText_38: "黒",
		DText_39: "ストロベリーブロンド",
		DText_40: "毛がない",
		DText_41: "アンバー",
		DText_42: "青",
		DText_43: "茶色",
		DText_44: "グレー",
		DText_45: "緑",
		DText_46: "ヘーゼル",
		DText_47: "赤",
		DText_48: "ブルーグレー",
		DText_49: "青緑",
		DText_50: "グリーングレー",
		DText_51: "グリーンブラウン",
		DText_511: "義肢",
		DText_52: "特集",
		DText_53: "特集...",
		DText_54: "1時間ごとにコインを1枚受け取ります!",
		DText_55: "コインを受け取るにはフォーム全体に記入してください!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "男",
		female: "女性",
		other: "他の"
	},
	ki: {
		footer00: "Ubufasha nibibazo bikunze kubazwa.",
		footer01: "AMATEGEKO AKAMARO",
		footer02: "A. Konti yose yumukoresha ishyira ishusho mumwirondoro we itari",
		footer03: "ishusho yisura yamenyekanye kandi ikusanya ibiceri bizakurwaho.",
		footer04: "B. Kwiyerekana nabi cyangwa gukora konti ebyiri kubwawe",
		footer05: "bizavamo iyo konte gukurwaho bimaze kumenyekana.",
		footer06: "IKIBAZO",
		footer07: "1. Kwinjira cyangwa kugerageza porogaramu ntabwo bivuze ko uyu ukoresha yemeye cyangwa",
		footer08: "ashyigikiye ibitekerezo byose bya politiki urubuga rwa 1CoinH rushobora kwerekana.",
		footer09: "2. Gukoporora cyangwa gukoresha ikoreshwa ryumukoresha ushobora",
		footer10: "kuboneka kururu rubuga - hanze yuru rubuga - birabujijwe rwose.",
		footer11: "AMASEZERANO",
		footer12: "Kwinjira kururu rubuga nkumukoresha bivuze ko wasomye iki",
		footer13: "cyemezo kandi ukemera 'Amategeko yingenzi' na 'Disclaimer' hejuru.",
		footer14: "Amafaranga Yimyitwarire",
		request: "Gusaba",
		agree: "Emera",
		cashbook: "Igitabo Kwishyura",
		logout: "Sohoka",
		welcome: "Murakaza Neza",
		DText_01: "Umwirondoro",
		DText_02: "Kuramo ifoto yawe",
		DText_03: "jpg / png max 140x140 pigiseli!",
		DText_04: "Bika Impinduka",
		DText_05: "Izina ryuzuye",
		DText_06: "Izina ryuzuye...",
		DText_07: "Aderesi ya imeri",
		DText_08: "Aderesi ya imeri...",
		DText_09: "Izina ryukoresha",
		DText_10: "Izina ryukoresha...",
		DText_11: "Ikosa! Nyamuneka gerageza.",
		DText_12: "Amakuru yawe aravugururwa.",
		DText_13: "Isabukuru",
		DText_14: "Uburinganire",
		DText_15: "Uburebure...(_.__m/_ft__in)",
		DText_16: "Uburebure (_.__m/_ft__in)",
		DText_17: "Ibara Ry'Umusatsi",
		DText_18: "Ijisho Ry'Ibumoso",
		DText_19: "Ibara Ijisho Ryiburyo",
		DText_20: "▲ Hejuru ▲",
		DText_21: "Cyera",
		DText_22: "Ginger Umutuku",
		DText_23: "Auburn",
		DText_24: "Umuhondo",
		DText_25: "Chestnut Yoroheje",
		DText_26: "Umuringa",
		DText_27: "Umucyo",
		DText_28: "Chestnut Brown",
		DText_29: "Ifeza",
		DText_30: "Umuhondo Wo Hagati",
		DText_31: "Icyatsi Kibisi",
		DText_32: "Titan",
		DText_33: "Umwijima w'icuraburindi",
		DText_34: "Hagati",
		DText_35: "Icyatsi",
		DText_36: "Zahabu",
		DText_37: "Umwijima W'Icuraburindi",
		DText_38: "Umukara",
		DText_39: "Umutuku",
		DText_40: "Nta Musatsi",
		DText_41: "Amber",
		DText_42: "Ubururu",
		DText_43: "Umuhondo",
		DText_44: "Icyatsi2",
		DText_45: "Icyatsi3",
		DText_46: "Hazel",
		DText_47: "Umutuku2",
		DText_48: "Ubururu2",
		DText_49: "Icyatsi Kibisi",
		DText_50: "Icyatsi Kibisi2",
		DText_51: "Icyatsi kibisi",
		DText_511: "Prosthesis",
		DText_52: "Ibidasanzwe",
		DText_53: "Ibidasanzwe...",
		DText_54: "Wakira igiceri kimwe mu isaha!",
		DText_55: "Uzuza impapuro zose kugirango wakire ibiceri!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Umugabo",
		female: "Umugore",
		other: "Ibindi"
	},
	ko: {
		footer00: "도움말 및 자주 묻는 질문.",
		footer01: "중요 규칙",
		footer02: "A. 자신의 프로필에 알아볼 수 있는 얼굴이 아닌 사진을",
		footer03: "넣고 코인을 모으는 모든 사용자 계정은 삭제됩니다.",
		footer04: "B. 자신을 속이거나 이중 계정을 만드는",
		footer05: "경우, 해당 계정은 발견 시 삭제됩니다.",
		footer06: "부인 성명",
		footer07: "1. 앱에 가입하거나 테스트하는 것은 해당 사용자가 1CoinH 웹사이트에서 나",
		footer08: "타내는 정치적 아이디어에 동의하거나 묵인한다는 것을 의미하지 않습니다.",
		footer09: "2. 이 웹사이트에서 찾을 수 있는 사용자 데이터를 이 웹사이트",
		footer10: "외부에서 복사하거나 재사용하는 것은 엄격히 금지되어 있습니다.",
		footer11: "합의",
		footer12: "이 웹사이트에 사용자로 가입하는 것은 귀하가 본 면책 조항을 읽었으며",
		footer13: "위의 '중요 규칙' 및 '면책 조항'에 동의한다는 것을 의미합니다.",
		footer14: "윤리적 돈",
		request: "요구",
		agree: "동의하다",
		cashbook: "현금 출납장",
		logout: "로그아웃",
		welcome: "환영",
		DText_01: "프로필 데이터",
		DText_02: "사진을 업로드하세요",
		DText_03: "jpg/png 최대 140x140 픽셀!",
		DText_04: "변경 사항 저장",
		DText_05: "전체 이름",
		DText_06: "전체 이름...",
		DText_07: "이메일 주소",
		DText_08: "이메일 주소...",
		DText_09: "사용자 이름",
		DText_10: "사용자 이름...",
		DText_11: "오류! 다시 시도해 주세요.",
		DText_12: "데이터가 업데이트되었습니다.",
		DText_13: "생일",
		DText_14: "성별",
		DText_15: "키...(_.__m/_ft__in)",
		DText_16: "키 (_.__m/_ft__in)",
		DText_17: "머리카락 색깔",
		DText_18: "왼쪽 눈 색상",
		DText_19: "오른쪽 눈 색깔",
		DText_20: "▲ 위로 ▲",
		DText_21: "하얀색",
		DText_22: "진저 레드",
		DText_23: "오번",
		DText_24: "금발",
		DText_25: "라이트 체스넛",
		DText_26: "구리",
		DText_27: "라이트 블론드",
		DText_28: "밤색 갈색",
		DText_29: "은",
		DText_30: "중간 금발",
		DText_31: "라이트 브라운",
		DText_32: "타이탄",
		DText_33: "다크 블론드",
		DText_34: "중간 갈색",
		DText_35: "회색",
		DText_36: "골드 블론드",
		DText_37: "다크 브라운",
		DText_38: "검은색",
		DText_39: "딸기 블론드",
		DText_40: "머리카락 없음",
		DText_41: "호박색",
		DText_42: "파란색",
		DText_43: "갈색",
		DText_44: "회색",
		DText_45: "녹색",
		DText_46: "엷은 갈색",
		DText_47: "빨간색",
		DText_48: "블루 그레이",
		DText_49: "파란색 녹색",
		DText_50: "그린 그레이",
		DText_51: "그린 브라운",
		DText_511: "어두음 첨가",
		DText_52: "특별 기능",
		DText_53: "특별 기능...",
		DText_54: "1시간마다 코인 1개를 받습니다!",
		DText_55: "코인을 받으려면 전체 양식을 작성하세요!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "남성",
		female: "여성",
		other: "다른"
	},
	ne: {
		footer00: "Hulp en veelgestelde vragen.",
		footer01: "BELANGRIJKE REGELS",
		footer02: "A. Elk gebruikersaccount dat een afbeelding in zijn/haar profiel plaatst",
		footer03: "die geen herkenbaar gezicht toont en munten verzamelt, wordt verwijderd.",
		footer04: "B. Als je jezelf voordoet als iemand anders of als je dubbele accounts voor",
		footer05: "jezelf aanmaakt, wordt het account verwijderd zodra dit wordt ontdekt.",
		footer06: "DISCLAIMER",
		footer07: "1. Deelname aan of het testen van de app betekent geenszins dat deze gebruiker akkoord",
		footer08: "gaat met - of de politieke ideeën goedkeurt - die op de 1CoinH-website worden geuit.",
		footer09: "2. Het is ten strengste verboden om gebruikersgegevens die op deze website",
		footer10: "te vinden zijn, buiten deze website te kopiëren of te hergebruiken.",
		footer11: "OVEREENKOMST",
		footer12: "Wanneer je jezelf als gebruiker bij deze website aansluit, betekent dit dat je deze disclaimer",
		footer13: "hebt gelezen en akkoord gaat met de bovenstaande 'Belangrijke regels' en 'Disclaimer'.",
		footer14: "Ethisch Geld",
		request: "Verzoek",
		agree: "Akkoord",
		cashbook: "Kasboek",
		logout: "Log Uit",
		welcome: "Welkom",
		DText_01: "Profielgegevens",
		DText_02: "Upload jouw foto",
		DText_03: "jpg/png maximaal 140x140 pixels!",
		DText_04: "Wijzigingen Opslaan",
		DText_05: "Volledige naam",
		DText_06: "Volledige naam...",
		DText_07: "E-mailadres",
		DText_08: "E-mailadres...",
		DText_09: "Gebruikersnaam",
		DText_10: "Gebruikersnaam...",
		DText_11: "Fout! Probeer het opnieuw.",
		DText_12: "Jouw gegevens zijn bijgewerkt.",
		DText_13: "Geboortedag",
		DText_14: "Geslacht",
		DText_15: "Lengte...(_.__m/_ft__in)",
		DText_16: "Lengte (_.__m/_ft__in)",
		DText_17: "Kleur Haar",
		DText_18: "Kleur Linkeroog",
		DText_19: "Kleur Rechteroog",
		DText_20: "▲ Omhoog ▲",
		DText_21: "Wit",
		DText_22: "Gember Rood",
		DText_23: "Roodbruin",
		DText_24: "Blond",
		DText_25: "Licht Kastanje",
		DText_26: "Koper",
		DText_27: "Lichtblond",
		DText_28: "Kastanjebruin",
		DText_29: "Zilver",
		DText_30: "Medium Blond",
		DText_31: "Lichtbruin",
		DText_32: "Titan",
		DText_33: "Donkerblond",
		DText_34: "Middelbruin",
		DText_35: "Grijs",
		DText_36: "Goudblond",
		DText_37: "Donkerbruin",
		DText_38: "Zwart",
		DText_39: "Roodblond",
		DText_40: "Geen Haar",
		DText_41: "Amber",
		DText_42: "Blauw",
		DText_43: "Bruin",
		DText_44: "Grijs",
		DText_45: "Groen",
		DText_46: "Hazel",
		DText_47: "Rood",
		DText_48: "Blauw Grijs",
		DText_49: "Blauw Groen",
		DText_50: "Groen Grijs",
		DText_51: "Groen Bruin",
		DText_511: "Prothese",
		DText_52: "Speciale Kenmerken",
		DText_53: "Speciale Kenmerken...",
		DText_54: "Je ontvangt één munt per uur!",
		DText_55: "Vul het volledige formulier in om munten te ontvangen!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Mannelijk",
		female: "Vrouwelijk",
		other: "Anders"
	},
	po: {
		footer00: "Pomoc i często zadawane pytania.",
		footer01: "WAŻNE ZASADY",
		footer02: "A. Każde konto użytkownika, które umieści w swoim profilu zdjęcie nieprzedstawiające",
		footer03: "rozpoznawalnej twarzy i którego celem jest zbieranie monet, zostanie usunięte.",
		footer04: "B. Podawanie fałszywych informacji o sobie lub tworzenie podwójnych",
		footer05: "kont będzie skutkować usunięciem konta po jego wykryciu.",
		footer06: "ZASTRZEŻENIE",
		footer07: "1. Dołączenie do aplikacji lub jej testowanie nie oznacza, że dany użytkownik zgadza się lub toleruje",
		footer08: "jakiekolwiek idee polityczne, które mogą być sugerowane na stronie internetowej 1CoinH.",
		footer09: "2. Kopiowanie lub wykorzystywanie danych użytkownika, które można znaleźć na",
		footer10: "tej stronie internetowej - poza tą stroną internetową - jest surowo zabronione.",
		footer11: "POROZUMIENIE",
		footer12: "Dołączając do tej witryny internetowej jako użytkownik, zgadzasz się z treścią niniejszego",
		footer13: "zastrzeżenia i akceptujesz powyższe „Ważne zasady” oraz „Zastrzeżenie”.",
		footer14: "Etyczne Pieniądze",
		request: "Wniosek",
		agree: "Zgadzać się",
		cashbook: "Księga Kasowa",
		logout: "Wyloguj Się",
		welcome: "Powitanie",
		DText_01: "Dane Profilu",
		DText_02: "Prześlij swoje zdjęcie",
		DText_03: "jpg/png maks. 140x140 pikseli!",
		DText_04: "Zapisz Zmiany",
		DText_05: "Pełne imię i nazwisko",
		DText_06: "Pełne imię i nazwisko...",
		DText_07: "Adres e-mail",
		DText_08: "Adres e-mail...",
		DText_09: "Nazwa użytkownika",
		DText_10: "Nazwa użytkownika...",
		DText_11: "Błąd! Spróbuj ponownie.",
		DText_12: "Twoje dane zostały zaktualizowane.",
		DText_13: "Urodziny",
		DText_14: "Płeć",
		DText_15: "Wysokość...(_.__m/_ft__in)",
		DText_16: "Wysokość (_.__m/_ft__in)",
		DText_17: "Kolor Włosów",
		DText_18: "Kolor Lewego Oka",
		DText_19: "Kolor Prawego Oka",
		DText_20: "▲ W górę ▲",
		DText_21: "Biały",
		DText_22: "Imbir Czerwony",
		DText_23: "Kasztanowy",
		DText_24: "Blond",
		DText_25: "Jasny Kasztan",
		DText_26: "Miedź",
		DText_27: "Jasny Blond",
		DText_28: "Kasztanowy Brąz",
		DText_29: "Srebrny",
		DText_30: "Średni Blond",
		DText_31: "Jasnobrązowy",
		DText_32: "Tytan",
		DText_33: "Ciemny blond",
		DText_34: "Średniobrązowy",
		DText_35: "Szary",
		DText_36: "Złoty Blond",
		DText_37: "Ciemny Brąz",
		DText_38: "Czarny",
		DText_39: "Truskawkowy blond",
		DText_40: "Bez Włosów",
		DText_41: "Bursztyn",
		DText_42: "Niebieski",
		DText_43: "Brązowy",
		DText_44: "Szary",
		DText_45: "Zielony",
		DText_46: "Piwny",
		DText_47: "Czerwony",
		DText_48: "Niebiesko Szary",
		DText_49: "Niebieski Zielony",
		DText_50: "Zielony Szary",
		DText_51: "Zielono Brązowy",
		DText_511: "Proteza",
		DText_52: "Cechy Specjalne",
		DText_53: "Cechy Specjalne...",
		DText_54: "Otrzymujesz jedną monetę co godzinę!",
		DText_55: "Wypełnij cały formularz, aby otrzymać monety!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Mężczyzna",
		female: "Kobieta",
		other: "Inny"
	},
	pt: {
		footer00: "Ajuda e perguntas frequentes.",
		footer01: "REGRAS IMPORTANTES",
		footer02: "A. Qualquer conta de utilizador que coloque uma imagem no seu perfil que",
		footer03: "não seja de um rosto reconhecível e esteja a recolher moedas será removida.",
		footer04: "B. Deturpar-se ou criar contas duplas resultará",
		footer05: "na remoção dessa conta assim que for detetada.",
		footer06: "ISENÇÃO DE RESPONSABILIDADE",
		footer07: "1.º Aderir ou testar a aplicação não significa que este utilizador concorde",
		footer08: "ou tolere quaisquer ideias políticas que o site 1CoinH possa indicar.",
		footer09: "2.º É estritamente proibido copiar ou reutilizar quaisquer dados do",
		footer10: "utilizador que possam ser encontrados neste site - fora deste site.",
		footer11: "ACORDO",
		footer12: "Aderir a este site como utilizador significa que leu esta isenção de responsabilidade",
		footer13: "e concorda com as 'Regras importantes' e a 'Isenção de responsabilidade' acima.",
		footer14: "Dinheiro Ético",
		request: "Pedido",
		agree: "Concordar",
		cashbook: "Livro Caixa",
		logout: "Sair",
		welcome: "Boas-Vindas",
		DText_01: "Dados Do Perfil",
		DText_02: "Envie a sua foto",
		DText_03: "jpg/png máximo 140x140 pixels!",
		DText_04: "Guardar Alterações",
		DText_05: "Nome completo",
		DText_06: "Nome completo...",
		DText_07: "Endereço de e-mail",
		DText_08: "Endereço de e-mail...",
		DText_09: "Nome de utilizador",
		DText_10: "Nome de utilizador...",
		DText_11: "Erro! Por favor, tente novamente.",
		DText_12: "Os seus dados estão atualizados.",
		DText_13: "Data de nascimento",
		DText_14: "Género",
		DText_15: "Altura...(_.__m/_ft__in)",
		DText_16: "Altura (_.__m/_ft__in)",
		DText_17: "Cabelo Colorido",
		DText_18: "Cor Do Olho Esquerdo",
		DText_19: "Cor Do Olho Direito",
		DText_20: "▲ Para cima ▲",
		DText_21: "Branco",
		DText_22: "Imbir Czerwony",
		DText_23: "Castanho-aloirado",
		DText_24: "Loiro",
		DText_25: "Castanha Clara",
		DText_26: "Cobre",
		DText_27: "Loiro Claro",
		DText_28: "Castanho Castanho",
		DText_29: "Prata",
		DText_30: "Loiro Médio",
		DText_31: "Castanho Claro",
		DText_32: "Titã",
		DText_33: "Loiro Escuro",
		DText_34: "Castanho Médio",
		DText_35: "Cinzento",
		DText_36: "Loiro Dourado",
		DText_37: "Castanho Escuro",
		DText_38: "Preto",
		DText_39: "Loiro Morango",
		DText_40: "Sem Cabelo",
		DText_41: "Âmbar",
		DText_42: "Azul",
		DText_43: "Castanho",
		DText_44: "Cinzento",
		DText_45: "Verde",
		DText_46: "Avelã",
		DText_47: "Vermelho",
		DText_48: "Cinza Azul",
		DText_49: "Azul Verde",
		DText_50: "Verde Cinza",
		DText_51: "Verde Castanho",
		DText_511: "Prótese",
		DText_52: "Recursos Especiais",
		DText_53: "Recursos Especiais...",
		DText_54: "Recebe uma moeda por hora!",
		DText_55: "Preencha todo o formulário para receber moedas!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Macho",
		female: "Fêmea",
		other: "Outra"
	},
	ru: {
		footer00: "Помощь и часто задаваемые вопросы.",
		footer01: "ВАЖНЫЕ ПРАВИЛА",
		footer02: "A. Любая учетная запись пользователя, размещающая в своем профиле изображение,",
		footer03: "не являющееся фотографией узнаваемого лица, и собирающая монеты, будет удалена.",
		footer04: "B. Предоставление ложных сведений о себе или создание двойных учетных",
		footer05: "записей приведет к удалению учетной записи после ее обнаружения.",
		footer06: "ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ",
		footer07: "1. Присоединение к приложению или его тестирование не означает, что пользователь соглашается",
		footer08: "или одобряет какие-либо политические идеи, которые могут быть представлены на сайте 1CoinH.",
		footer09: "2. Копирование или повторное использование любых пользовательских данных,",
		footer10: "которые можно найти на этом сайте, за пределами этого сайта строго запрещено.",
		footer11: "СОГЛАШЕНИЕ",
		footer12: "Регистрация на этом сайте в качестве пользователя означает, что вы прочитали данное заявление об",
		footer13: "отказе от ответственности и соглашаетесь с «Важными правилами» и «Отказом от ответственности» выше.",
		footer14: "Этические деньги",
		request: "запрос",
		agree: "соглашаться",
		cashbook: "Кассовая книга",
		logout: "Выйти",
		welcome: "Добро пожаловать",
		DText_01: "Данные профиля",
		DText_02: "Загрузите свое фото",
		DText_03: "jpg/png макс 140x140 пикселей!",
		DText_04: "Сохранить изменения",
		DText_05: "Полное имя",
		DText_06: "Полное имя...",
		DText_07: "Адрес электронной почты",
		DText_08: "Адрес электронной почты...",
		DText_09: "Имя пользователя",
		DText_10: "Имя пользователя...",
		DText_11: "Ошибка! Попробуйте еще раз.",
		DText_12: "Ваши данные обновлены.",
		DText_13: "День рождения",
		DText_14: "Пол",
		DText_15: "Высота...(_.__m/_ft__in)",
		DText_16: "Высота (_.__m/_ft__in)",
		DText_17: "Цвет волос",
		DText_18: "Цвет левого глаза",
		DText_19: "Цвет правого глаза",
		DText_20: "▲ Вверх ▲",
		DText_21: "Белый",
		DText_22: "Имбирно-красный",
		DText_23: "Оберн",
		DText_24: "Блондинка",
		DText_25: "Светло-каштановый",
		DText_26: "Медь",
		DText_27: "Светло-русый",
		DText_28: "Каштановый Коричневый",
		DText_29: "Серебро",
		DText_30: "Средний блондин",
		DText_31: "Светло-коричневый",
		DText_32: "Титан",
		DText_33: "Темно-русый",
		DText_34: "Средне-коричневый",
		DText_35: "Серый",
		DText_36: "Золотой блондин",
		DText_37: "Темно-коричневый",
		DText_38: "Черный",
		DText_39: "Клубничный блонд",
		DText_40: "Нет волос",
		DText_41: "Янтарь",
		DText_42: "Синий",
		DText_43: "Коричневый",
		DText_44: "Серый",
		DText_45: "Зеленый",
		DText_46: "Хейзел",
		DText_47: "Красный",
		DText_48: "Серо-голубой",
		DText_49: "Синий Зеленый",
		DText_50: "Зелёный Серый",
		DText_51: "Зелёный Коричневый",
		DText_511: "Протез",
		DText_52: "Особые возможности",
		DText_53: "Особые возможности...",
		DText_54: "Вы получаете одну монету в час!",
		DText_55: "Заполните всю форму, чтобы получить монеты!",
		DText_56: "",
		DText_57: "",
		DText_58: "",
		DText_59: "",
		DText_60: "",
		male: "Мужской",
		female: "Женский",
		other: "Другой"
	}
}

let footer_00 = document.getElementById("footer00");
let footer_01 = document.getElementById("footer01");
let footer_02 = document.getElementById("footer02");
let footer_03 = document.getElementById("footer03");
let footer_04 = document.getElementById("footer04");
let footer_05 = document.getElementById("footer05");
let footer_06 = document.getElementById("footer06");
let footer_07 = document.getElementById("footer07");
let footer_08 = document.getElementById("footer08");
let footer_09 = document.getElementById("footer09");
let footer_10 = document.getElementById("footer10");
let footer_11 = document.getElementById("footer11");
let footer_12 = document.getElementById("footer12");
let footer_13 = document.getElementById("footer13");
let footer_14 = document.getElementById("footer14");
let human = document.getElementById("human");
let request = document.getElementById("request");
let agree = document.getElementById("agree");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let welcome = document.getElementById("welcome");
let div_align = document.getElementById("profile_align");
let text_01 = document.getElementById("text_01");
let text_02 = document.getElementById("text_02");
let text_03 = document.getElementById("text_03");
let text_04 = document.getElementById("text_04");
let text_05 = document.getElementById("text_05");
let text_06 = document.getElementById("text_06");
let text_07 = document.getElementById("text_07");
let text_08 = document.getElementById("text_08");
let text_09 = document.getElementById("text_09");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");
let text_13 = document.getElementById("text_13");
let text_14 = document.getElementById("text_14");
let text_15 = document.getElementById("text_15");
let text_16 = document.getElementById("text_16");
let text_17 = document.getElementById("text_17");
let text_18 = document.getElementById("text_18");
let text_19 = document.getElementById("text_19");
let text_20 = document.getElementById("text_20");
let text_21 = document.getElementById("text_21");
let text_22 = document.getElementById("text_22");
let text_23 = document.getElementById("text_23");
let text_24 = document.getElementById("text_24");
let text_25 = document.getElementById("text_25");
let text_26 = document.getElementById("text_26");
let text_27 = document.getElementById("text_27");
let text_28 = document.getElementById("text_28");
let text_29 = document.getElementById("text_29");
let text_30 = document.getElementById("text_30");
let text_31 = document.getElementById("text_31");
let text_32 = document.getElementById("text_32");
let text_33 = document.getElementById("text_33");
let text_34 = document.getElementById("text_34");
let text_35 = document.getElementById("text_35");
let text_36 = document.getElementById("text_36");
let text_37 = document.getElementById("text_37");
let text_38 = document.getElementById("text_38");
let text_39 = document.getElementById("text_39");
let text_40 = document.getElementById("text_40");
let text_41 = document.getElementById("text_41");
let text_42 = document.getElementById("text_42");
let text_43 = document.getElementById("text_43");
let text_44 = document.getElementById("text_44");
let text_45 = document.getElementById("text_45");
let text_46 = document.getElementById("text_46");
let text_47 = document.getElementById("text_47");
let text_48 = document.getElementById("text_48");
let text_49 = document.getElementById("text_49");
let text_50 = document.getElementById("text_50");
let text_51 = document.getElementById("text_51");
let text_511 = document.getElementById("text_511");
let specialfeatures = document.getElementById("specialfeatures");
let text_52 = document.getElementById("text_52");
let text_53 = document.getElementById("text_53");
let text_54 = document.getElementById("receiving");
let text_55 = document.getElementById("denied");
let text_56 = document.getElementById("text_56");
let text_57 = document.getElementById("text_57");
let text_58 = document.getElementById("text_58");
let text_59 = document.getElementById("text_59");
let text_60 = document.getElementById("text_60");
let text_41a = document.getElementById("text_41a");
let text_42a = document.getElementById("text_42a");
let text_43a = document.getElementById("text_43a");
let text_44a = document.getElementById("text_44a");
let text_45a = document.getElementById("text_45a");
let text_46a = document.getElementById("text_46a");
let text_47a = document.getElementById("text_47a");
let text_48a = document.getElementById("text_48a");
let text_49a = document.getElementById("text_49a");
let text_50a = document.getElementById("text_50a");
let text_51a = document.getElementById("text_51a");
let text_511a = document.getElementById("text_511a");
let male = document.getElementById("male");
let female = document.getElementById("female");
let oter = document.getElementById("other");


function setLanguage(language) {
	if(language == "ar"){
		footer_00.innerText = translations.ar.footer00;
		footer_01.innerText = translations.ar.footer01;
		footer_02.innerText = translations.ar.footer02;
		footer_03.innerText = translations.ar.footer03;
		footer_04.innerText = translations.ar.footer04;
		footer_05.innerText = translations.ar.footer05;
		footer_06.innerText = translations.ar.footer06;
		footer_07.innerText = translations.ar.footer07;
		footer_08.innerText = translations.ar.footer08;
		footer_09.innerText = translations.ar.footer09;
		footer_10.innerText = translations.ar.footer10;
		footer_11.innerText = translations.ar.footer11;
		footer_12.innerText = translations.ar.footer12;
		footer_13.innerText = translations.ar.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ar.footer14;
		request.innerText = translations.ar.request;
		agree.innerText = translations.ar.agree;
		cashbook.innerText = translations.ar.cashbook;
		logout.innerText = translations.ar.logout;
		if (welcome) {
			welcome.innerText = translations.ar.welcome;
		}
		text_01.innerText = translations.ar.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ar.DText_02+'</p>';
		text_03.innerText = translations.ar.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ar.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ar.DText_05;
		text_06.placeholder = translations.ar.DText_06;
		text_07.innerHTML = translations.ar.DText_07;
		text_08.placeholder = translations.ar.DText_08;
		text_09.innerHTML = translations.ar.DText_09;
		text_10.placeholder = translations.ar.DText_10;
		if (text_11) {
			text_11.innerText = translations.ar.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ar.DText_12;
		}
		text_13.innerText = translations.ar.DText_13;
		text_14.innerText = translations.ar.DText_14;
		text_15.placeholder = translations.ar.DText_15;
		text_16.innerText = translations.ar.DText_16;
		text_17.innerText = translations.ar.DText_17;
		text_18.innerText = translations.ar.DText_18;
		text_19.innerText = translations.ar.DText_19;
		text_20.innerText = translations.ar.DText_20;
		text_21.innerText = translations.ar.DText_21;
		text_22.innerText = translations.ar.DText_22;
		text_23.innerText = translations.ar.DText_23;
		text_24.innerText = translations.ar.DText_24;
		text_25.innerText = translations.ar.DText_25;
		text_26.innerText = translations.ar.DText_26;
		text_27.innerText = translations.ar.DText_27;
		text_28.innerText = translations.ar.DText_28;
		text_29.innerText = translations.ar.DText_29;
		text_30.innerText = translations.ar.DText_30;
		text_31.innerText = translations.ar.DText_31;
		text_32.innerText = translations.ar.DText_32;
		text_33.innerText = translations.ar.DText_33;
		text_34.innerText = translations.ar.DText_34;
		text_35.innerText = translations.ar.DText_35;
		text_36.innerText = translations.ar.DText_36;
		text_37.innerText = translations.ar.DText_37;
		text_38.innerText = translations.ar.DText_38;
		text_39.innerText = translations.ar.DText_39;
		text_40.innerText = translations.ar.DText_40;
		text_41.innerText = translations.ar.DText_41;
		text_42.innerText = translations.ar.DText_42;
		text_43.innerText = translations.ar.DText_43;
		text_44.innerText = translations.ar.DText_44;
		text_45.innerText = translations.ar.DText_45;
		text_46.innerText = translations.ar.DText_46;
		text_47.innerText = translations.ar.DText_47;
		text_48.innerText = translations.ar.DText_48;
		text_49.innerText = translations.ar.DText_49;
		text_50.innerText = translations.ar.DText_50;
		text_51.innerText = translations.ar.DText_51;
		text_511.innerText = translations.ar.DText_511;
		text_52.innerText = translations.ar.DText_52;
		specialfeatures.placeholder = translations.ar.DText_53;
		if (text_54) {
			text_54.innerText = translations.ar.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ar.DText_55;
		}
		text_56.innerText = translations.ar.DText_56;
		text_57.innerText = translations.ar.DText_57;
		text_58.innerText = translations.ar.DText_58;
		text_59.innerText = translations.ar.DText_59;
		text_60.innerText = translations.ar.DText_60;
		text_41a.innerText = translations.ar.DText_41;
		text_42a.innerText = translations.ar.DText_42;
		text_43a.innerText = translations.ar.DText_43;
		text_44a.innerText = translations.ar.DText_44;
		text_45a.innerText = translations.ar.DText_45;
		text_46a.innerText = translations.ar.DText_46;
		text_47a.innerText = translations.ar.DText_47;
		text_48a.innerText = translations.ar.DText_48;
		text_49a.innerText = translations.ar.DText_49;
		text_50a.innerText = translations.ar.DText_50;
		text_51a.innerText = translations.ar.DText_51;
		text_511a.innerText = translations.ar.DText_511;
		male.innerText = translations.ar.male;
		female.innerText = translations.ar.female;
		other.innerText = translations.ar.other;
	}else if(language == "be"){
		footer_00.innerText = translations.be.footer00;
		footer_01.innerText = translations.be.footer01;
		footer_02.innerText = translations.be.footer02;
		footer_03.innerText = translations.be.footer03;
		footer_04.innerText = translations.be.footer04;
		footer_05.innerText = translations.be.footer05;
		footer_06.innerText = translations.be.footer06;
		footer_07.innerText = translations.be.footer07;
		footer_08.innerText = translations.be.footer08;
		footer_09.innerText = translations.be.footer09;
		footer_10.innerText = translations.be.footer10;
		footer_11.innerText = translations.be.footer11;
		footer_12.innerText = translations.be.footer12;
		footer_13.innerText = translations.be.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.be.footer14;
		request.innerText = translations.be.request;
		agree.innerText = translations.be.agree;
		cashbook.innerText = translations.be.cashbook;
		logout.innerText = translations.be.logout;
		if (welcome) {
			welcome.innerText = translations.be.welcome;
		}
		text_01.innerText = translations.be.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.be.DText_02+'</p>';
		text_03.innerText = translations.be.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.be.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.be.DText_05;
		text_06.placeholder = translations.be.DText_06;
		text_07.innerHTML = translations.be.DText_07;
		text_08.placeholder = translations.be.DText_08;
		text_09.innerHTML = translations.be.DText_09;
		text_10.placeholder = translations.be.DText_10;
		if (text_11) {
			text_11.innerText = translations.be.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.be.DText_12;
		}
		text_13.innerText = translations.be.DText_13;
		text_14.innerText = translations.be.DText_14;
		text_15.placeholder = translations.be.DText_15;
		text_16.innerText = translations.be.DText_16;
		text_17.innerText = translations.be.DText_17;
		text_18.innerText = translations.be.DText_18;
		text_19.innerText = translations.be.DText_19;
		text_20.innerText = translations.be.DText_20;
		text_21.innerText = translations.be.DText_21;
		text_22.innerText = translations.be.DText_22;
		text_23.innerText = translations.be.DText_23;
		text_24.innerText = translations.be.DText_24;
		text_25.innerText = translations.be.DText_25;
		text_26.innerText = translations.be.DText_26;
		text_27.innerText = translations.be.DText_27;
		text_28.innerText = translations.be.DText_28;
		text_29.innerText = translations.be.DText_29;
		text_30.innerText = translations.be.DText_30;
		text_31.innerText = translations.be.DText_31;
		text_32.innerText = translations.be.DText_32;
		text_33.innerText = translations.be.DText_33;
		text_34.innerText = translations.be.DText_34;
		text_35.innerText = translations.be.DText_35;
		text_36.innerText = translations.be.DText_36;
		text_37.innerText = translations.be.DText_37;
		text_38.innerText = translations.be.DText_38;
		text_39.innerText = translations.be.DText_39;
		text_40.innerText = translations.be.DText_40;
		text_41.innerText = translations.be.DText_41;
		text_42.innerText = translations.be.DText_42;
		text_43.innerText = translations.be.DText_43;
		text_44.innerText = translations.be.DText_44;
		text_45.innerText = translations.be.DText_45;
		text_46.innerText = translations.be.DText_46;
		text_47.innerText = translations.be.DText_47;
		text_48.innerText = translations.be.DText_48;
		text_49.innerText = translations.be.DText_49;
		text_50.innerText = translations.be.DText_50;
		text_51.innerText = translations.be.DText_51;
		text_511.innerText = translations.be.DText_511;
		text_52.innerText = translations.be.DText_52;
		specialfeatures.placeholder = translations.be.DText_53;
		if (text_54) {
			text_54.innerText = translations.be.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.be.DText_55;
		}
		text_56.innerText = translations.be.DText_56;
		text_57.innerText = translations.be.DText_57;
		text_58.innerText = translations.be.DText_58;
		text_59.innerText = translations.be.DText_59;
		text_60.innerText = translations.be.DText_60;
		text_41a.innerText = translations.be.DText_41;
		text_42a.innerText = translations.be.DText_42;
		text_43a.innerText = translations.be.DText_43;
		text_44a.innerText = translations.be.DText_44;
		text_45a.innerText = translations.be.DText_45;
		text_46a.innerText = translations.be.DText_46;
		text_47a.innerText = translations.be.DText_47;
		text_48a.innerText = translations.be.DText_48;
		text_49a.innerText = translations.be.DText_49;
		text_50a.innerText = translations.be.DText_50;
		text_51a.innerText = translations.be.DText_51;
		text_511a.innerText = translations.be.DText_511;
		male.innerText = translations.be.male;
		female.innerText = translations.be.female;
		other.innerText = translations.be.other;
	}else if(language == "ch"){
		footer_00.innerText = translations.ch.footer00;
		footer_01.innerText = translations.ch.footer01;
		footer_02.innerText = translations.ch.footer02;
		footer_03.innerText = translations.ch.footer03;
		footer_04.innerText = translations.ch.footer04;
		footer_05.innerText = translations.ch.footer05;
		footer_06.innerText = translations.ch.footer06;
		footer_07.innerText = translations.ch.footer07;
		footer_08.innerText = translations.ch.footer08;
		footer_09.innerText = translations.ch.footer09;
		footer_10.innerText = translations.ch.footer10;
		footer_11.innerText = translations.ch.footer11;
		footer_12.innerText = translations.ch.footer12;
		footer_13.innerText = translations.ch.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ch.footer14;
		request.innerText = translations.ch.request;
		agree.innerText = translations.ch.agree;
		cashbook.innerText = translations.ch.cashbook;
		logout.innerText = translations.ch.logout;
		if (welcome) {
			welcome.innerText = translations.ch.welcome;
		}
		text_01.innerText = translations.ch.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ch.DText_02+'</p>';
		text_03.innerText = translations.ch.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ch.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ch.DText_05;
		text_06.placeholder = translations.ch.DText_06;
		text_07.innerHTML = translations.ch.DText_07;
		text_08.placeholder = translations.ch.DText_08;
		text_09.innerHTML = translations.ch.DText_09;
		text_10.placeholder = translations.ch.DText_10;
		if (text_11) {
			text_11.innerText = translations.ch.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ch.DText_12;
		}
		text_13.innerText = translations.ch.DText_13;
		text_14.innerText = translations.ch.DText_14;
		text_15.placeholder = translations.ch.DText_15;
		text_16.innerText = translations.ch.DText_16;
		text_17.innerText = translations.ch.DText_17;
		text_18.innerText = translations.ch.DText_18;
		text_19.innerText = translations.ch.DText_19;
		text_20.innerText = translations.ch.DText_20;
		text_21.innerText = translations.ch.DText_21;
		text_22.innerText = translations.ch.DText_22;
		text_23.innerText = translations.ch.DText_23;
		text_24.innerText = translations.ch.DText_24;
		text_25.innerText = translations.ch.DText_25;
		text_26.innerText = translations.ch.DText_26;
		text_27.innerText = translations.ch.DText_27;
		text_28.innerText = translations.ch.DText_28;
		text_29.innerText = translations.ch.DText_29;
		text_30.innerText = translations.ch.DText_30;
		text_31.innerText = translations.ch.DText_31;
		text_32.innerText = translations.ch.DText_32;
		text_33.innerText = translations.ch.DText_33;
		text_34.innerText = translations.ch.DText_34;
		text_35.innerText = translations.ch.DText_35;
		text_36.innerText = translations.ch.DText_36;
		text_37.innerText = translations.ch.DText_37;
		text_38.innerText = translations.ch.DText_38;
		text_39.innerText = translations.ch.DText_39;
		text_40.innerText = translations.ch.DText_40;
		text_41.innerText = translations.ch.DText_41;
		text_42.innerText = translations.ch.DText_42;
		text_43.innerText = translations.ch.DText_43;
		text_44.innerText = translations.ch.DText_44;
		text_45.innerText = translations.ch.DText_45;
		text_46.innerText = translations.ch.DText_46;
		text_47.innerText = translations.ch.DText_47;
		text_48.innerText = translations.ch.DText_48;
		text_49.innerText = translations.ch.DText_49;
		text_50.innerText = translations.ch.DText_50;
		text_51.innerText = translations.ch.DText_51;
		text_511.innerText = translations.ch.DText_511;
		text_52.innerText = translations.ch.DText_52;
		specialfeatures.placeholder = translations.ch.DText_53;
		if (text_54) {
			text_54.innerText = translations.ch.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ch.DText_55;
		}
		text_56.innerText = translations.ch.DText_56;
		text_57.innerText = translations.ch.DText_57;
		text_58.innerText = translations.ch.DText_58;
		text_59.innerText = translations.ch.DText_59;
		text_60.innerText = translations.ch.DText_60;
		text_41a.innerText = translations.ch.DText_41;
		text_42a.innerText = translations.ch.DText_42;
		text_43a.innerText = translations.ch.DText_43;
		text_44a.innerText = translations.ch.DText_44;
		text_45a.innerText = translations.ch.DText_45;
		text_46a.innerText = translations.ch.DText_46;
		text_47a.innerText = translations.ch.DText_47;
		text_48a.innerText = translations.ch.DText_48;
		text_49a.innerText = translations.ch.DText_49;
		text_50a.innerText = translations.ch.DText_50;
		text_51a.innerText = translations.ch.DText_51;
		text_511a.innerText = translations.ch.DText_511;
		male.innerText = translations.ch.male;
		female.innerText = translations.ch.female;
		other.innerText = translations.ch.other;
	}else if(language == "de"){
		footer_00.innerText = translations.de.footer00;
		footer_01.innerText = translations.de.footer01;
		footer_02.innerText = translations.de.footer02;
		footer_03.innerText = translations.de.footer03;
		footer_04.innerText = translations.de.footer04;
		footer_05.innerText = translations.de.footer05;
		footer_06.innerText = translations.de.footer06;
		footer_07.innerText = translations.de.footer07;
		footer_08.innerText = translations.de.footer08;
		footer_09.innerText = translations.de.footer09;
		footer_10.innerText = translations.de.footer10;
		footer_11.innerText = translations.de.footer11;
		footer_12.innerText = translations.de.footer12;
		footer_13.innerText = translations.de.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.de.footer14;
		request.innerText = translations.de.request;
		agree.innerText = translations.de.agree;
		cashbook.innerText = translations.de.cashbook;
		logout.innerText = translations.de.logout;
		if (welcome) {
			welcome.innerText = translations.de.welcome;
		}
		text_01.innerText = translations.de.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.de.DText_02+'</p>';
		text_03.innerText = translations.de.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.de.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.de.DText_05;
		text_06.placeholder = translations.de.DText_06;
		text_07.innerHTML = translations.de.DText_07;
		text_08.placeholder = translations.de.DText_08;
		text_09.innerHTML = translations.de.DText_09;
		text_10.placeholder = translations.de.DText_10;
		if (text_11) {
			text_11.innerText = translations.de.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.de.DText_12;
		}
		text_13.innerText = translations.de.DText_13;
		text_14.innerText = translations.de.DText_14;
		text_15.placeholder = translations.de.DText_15;
		text_16.innerText = translations.de.DText_16;
		text_17.innerText = translations.de.DText_17;
		text_18.innerText = translations.de.DText_18;
		text_19.innerText = translations.de.DText_19;
		text_20.innerText = translations.de.DText_20;
		text_21.innerText = translations.de.DText_21;
		text_22.innerText = translations.de.DText_22;
		text_23.innerText = translations.de.DText_23;
		text_24.innerText = translations.de.DText_24;
		text_25.innerText = translations.de.DText_25;
		text_26.innerText = translations.de.DText_26;
		text_27.innerText = translations.de.DText_27;
		text_28.innerText = translations.de.DText_28;
		text_29.innerText = translations.de.DText_29;
		text_30.innerText = translations.de.DText_30;
		text_31.innerText = translations.de.DText_31;
		text_32.innerText = translations.de.DText_32;
		text_33.innerText = translations.de.DText_33;
		text_34.innerText = translations.de.DText_34;
		text_35.innerText = translations.de.DText_35;
		text_36.innerText = translations.de.DText_36;
		text_37.innerText = translations.de.DText_37;
		text_38.innerText = translations.de.DText_38;
		text_39.innerText = translations.de.DText_39;
		text_40.innerText = translations.de.DText_40;
		text_41.innerText = translations.de.DText_41;
		text_42.innerText = translations.de.DText_42;
		text_43.innerText = translations.de.DText_43;
		text_44.innerText = translations.de.DText_44;
		text_45.innerText = translations.de.DText_45;
		text_46.innerText = translations.de.DText_46;
		text_47.innerText = translations.de.DText_47;
		text_48.innerText = translations.de.DText_48;
		text_49.innerText = translations.de.DText_49;
		text_50.innerText = translations.de.DText_50;
		text_51.innerText = translations.de.DText_51;
		text_511.innerText = translations.de.DText_511;
		text_52.innerText = translations.de.DText_52;
		specialfeatures.placeholder = translations.de.DText_53;
		if (text_54) {
			text_54.innerText = translations.de.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.de.DText_55;
		}
		text_56.innerText = translations.de.DText_56;
		text_57.innerText = translations.de.DText_57;
		text_58.innerText = translations.de.DText_58;
		text_59.innerText = translations.de.DText_59;
		text_60.innerText = translations.de.DText_60;
		text_41a.innerText = translations.de.DText_41;
		text_42a.innerText = translations.de.DText_42;
		text_43a.innerText = translations.de.DText_43;
		text_44a.innerText = translations.de.DText_44;
		text_45a.innerText = translations.de.DText_45;
		text_46a.innerText = translations.de.DText_46;
		text_47a.innerText = translations.de.DText_47;
		text_48a.innerText = translations.de.DText_48;
		text_49a.innerText = translations.de.DText_49;
		text_50a.innerText = translations.de.DText_50;
		text_51a.innerText = translations.de.DText_51;
		text_511a.innerText = translations.de.DText_511;
		male.innerText = translations.de.male;
		female.innerText = translations.de.female;
		other.innerText = translations.de.other;
	}else if(language == "en"){
		footer_00.innerText = translations.en.footer00;
		footer_01.innerText = translations.en.footer01;
		footer_02.innerText = translations.en.footer02;
		footer_03.innerText = translations.en.footer03;
		footer_04.innerText = translations.en.footer04;
		footer_05.innerText = translations.en.footer05;
		footer_06.innerText = translations.en.footer06;
		footer_07.innerText = translations.en.footer07;
		footer_08.innerText = translations.en.footer08;
		footer_09.innerText = translations.en.footer09;
		footer_10.innerText = translations.en.footer10;
		footer_11.innerText = translations.en.footer11;
		footer_12.innerText = translations.en.footer12;
		footer_13.innerText = translations.en.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.en.footer14;
		request.innerText = translations.en.request;
		agree.innerText = translations.en.agree;
		cashbook.innerText = translations.en.cashbook;
		logout.innerText = translations.en.logout;
		if (welcome) {
			welcome.innerText = translations.en.welcome;
		}
		text_01.innerText = translations.en.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.en.DText_02+'</p>';
		text_03.innerText = translations.en.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.en.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.en.DText_05;
		text_06.placeholder = translations.en.DText_06;
		text_07.innerHTML = translations.en.DText_07;
		text_08.placeholder = translations.en.DText_08;
		text_09.innerHTML = translations.en.DText_09;
		text_10.placeholder = translations.en.DText_10;
		if (text_11) {
			text_11.innerText = translations.en.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.en.DText_12;
		}
		text_13.innerText = translations.en.DText_13;
		text_14.innerText = translations.en.DText_14;
		text_15.placeholder = translations.en.DText_15;
		text_16.innerText = translations.en.DText_16;
		text_17.innerText = translations.en.DText_17;
		text_18.innerText = translations.en.DText_18;
		text_19.innerText = translations.en.DText_19;
		text_20.innerText = translations.en.DText_20;
		text_21.innerText = translations.en.DText_21;
		text_22.innerText = translations.en.DText_22;
		text_23.innerText = translations.en.DText_23;
		text_24.innerText = translations.en.DText_24;
		text_25.innerText = translations.en.DText_25;
		text_26.innerText = translations.en.DText_26;
		text_27.innerText = translations.en.DText_27;
		text_28.innerText = translations.en.DText_28;
		text_29.innerText = translations.en.DText_29;
		text_30.innerText = translations.en.DText_30;
		text_31.innerText = translations.en.DText_31;
		text_32.innerText = translations.en.DText_32;
		text_33.innerText = translations.en.DText_33;
		text_34.innerText = translations.en.DText_34;
		text_35.innerText = translations.en.DText_35;
		text_36.innerText = translations.en.DText_36;
		text_37.innerText = translations.en.DText_37;
		text_38.innerText = translations.en.DText_38;
		text_39.innerText = translations.en.DText_39;
		text_40.innerText = translations.en.DText_40;
		text_41.innerText = translations.en.DText_41;
		text_42.innerText = translations.en.DText_42;
		text_43.innerText = translations.en.DText_43;
		text_44.innerText = translations.en.DText_44;
		text_45.innerText = translations.en.DText_45;
		text_46.innerText = translations.en.DText_46;
		text_47.innerText = translations.en.DText_47;
		text_48.innerText = translations.en.DText_48;
		text_49.innerText = translations.en.DText_49;
		text_50.innerText = translations.en.DText_50;
		text_51.innerText = translations.en.DText_51;
		text_511.innerText = translations.en.DText_511;
		text_52.innerText = translations.en.DText_52;
		specialfeatures.placeholder = translations.en.DText_53;
		if (text_54) {
			text_54.innerText = translations.en.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.en.DText_55;
		}
		text_56.innerText = translations.en.DText_56;
		text_57.innerText = translations.en.DText_57;
		text_58.innerText = translations.en.DText_58;
		text_59.innerText = translations.en.DText_59;
		text_60.innerText = translations.en.DText_60;
		text_41a.innerText = translations.en.DText_41;
		text_42a.innerText = translations.en.DText_42;
		text_43a.innerText = translations.en.DText_43;
		text_44a.innerText = translations.en.DText_44;
		text_45a.innerText = translations.en.DText_45;
		text_46a.innerText = translations.en.DText_46;
		text_47a.innerText = translations.en.DText_47;
		text_48a.innerText = translations.en.DText_48;
		text_49a.innerText = translations.en.DText_49;
		text_50a.innerText = translations.en.DText_50;
		text_51a.innerText = translations.en.DText_51;
		text_511a.innerText = translations.en.DText_511;
		male.innerText = translations.en.male;
		female.innerText = translations.en.female;
		other.innerText = translations.en.other;
	}else if(language == "es"){
		footer_00.innerText = translations.es.footer00;
		footer_01.innerText = translations.es.footer01;
		footer_02.innerText = translations.es.footer02;
		footer_03.innerText = translations.es.footer03;
		footer_04.innerText = translations.es.footer04;
		footer_05.innerText = translations.es.footer05;
		footer_06.innerText = translations.es.footer06;
		footer_07.innerText = translations.es.footer07;
		footer_08.innerText = translations.es.footer08;
		footer_09.innerText = translations.es.footer09;
		footer_10.innerText = translations.es.footer10;
		footer_11.innerText = translations.es.footer11;
		footer_12.innerText = translations.es.footer12;
		footer_13.innerText = translations.es.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.es.footer14;
		request.innerText = translations.es.request;
		agree.innerText = translations.es.agree;
		cashbook.innerText = translations.es.cashbook;
		logout.innerText = translations.es.logout;
		if (welcome) {
			welcome.innerText = translations.es.welcome;
		}
		text_01.innerText = translations.es.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.es.DText_02+'</p>';
		text_03.innerText = translations.es.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.es.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.es.DText_05;
		text_06.placeholder = translations.es.DText_06;
		text_07.innerHTML = translations.es.DText_07;
		text_08.placeholder = translations.es.DText_08;
		text_09.innerHTML = translations.es.DText_09;
		text_10.placeholder = translations.es.DText_10;
		if (text_11) {
			text_11.innerText = translations.es.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.es.DText_12;
		}
		text_13.innerText = translations.es.DText_13;
		text_14.innerText = translations.es.DText_14;
		text_15.placeholder = translations.es.DText_15;
		text_16.innerText = translations.es.DText_16;
		text_17.innerText = translations.es.DText_17;
		text_18.innerText = translations.es.DText_18;
		text_19.innerText = translations.es.DText_19;
		text_20.innerText = translations.es.DText_20;
		text_21.innerText = translations.es.DText_21;
		text_22.innerText = translations.es.DText_22;
		text_23.innerText = translations.es.DText_23;
		text_24.innerText = translations.es.DText_24;
		text_25.innerText = translations.es.DText_25;
		text_26.innerText = translations.es.DText_26;
		text_27.innerText = translations.es.DText_27;
		text_28.innerText = translations.es.DText_28;
		text_29.innerText = translations.es.DText_29;
		text_30.innerText = translations.es.DText_30;
		text_31.innerText = translations.es.DText_31;
		text_32.innerText = translations.es.DText_32;
		text_33.innerText = translations.es.DText_33;
		text_34.innerText = translations.es.DText_34;
		text_35.innerText = translations.es.DText_35;
		text_36.innerText = translations.es.DText_36;
		text_37.innerText = translations.es.DText_37;
		text_38.innerText = translations.es.DText_38;
		text_39.innerText = translations.es.DText_39;
		text_40.innerText = translations.es.DText_40;
		text_41.innerText = translations.es.DText_41;
		text_42.innerText = translations.es.DText_42;
		text_43.innerText = translations.es.DText_43;
		text_44.innerText = translations.es.DText_44;
		text_45.innerText = translations.es.DText_45;
		text_46.innerText = translations.es.DText_46;
		text_47.innerText = translations.es.DText_47;
		text_48.innerText = translations.es.DText_48;
		text_49.innerText = translations.es.DText_49;
		text_50.innerText = translations.es.DText_50;
		text_51.innerText = translations.es.DText_51;
		text_511.innerText = translations.es.DText_511;
		text_52.innerText = translations.es.DText_52;
		specialfeatures.placeholder = translations.es.DText_53;
		if (text_54) {
			text_54.innerText = translations.es.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.es.DText_55;
		}
		text_56.innerText = translations.es.DText_56;
		text_57.innerText = translations.es.DText_57;
		text_58.innerText = translations.es.DText_58;
		text_59.innerText = translations.es.DText_59;
		text_60.innerText = translations.es.DText_60;
		text_41a.innerText = translations.es.DText_41;
		text_42a.innerText = translations.es.DText_42;
		text_43a.innerText = translations.es.DText_43;
		text_44a.innerText = translations.es.DText_44;
		text_45a.innerText = translations.es.DText_45;
		text_46a.innerText = translations.es.DText_46;
		text_47a.innerText = translations.es.DText_47;
		text_48a.innerText = translations.es.DText_48;
		text_49a.innerText = translations.es.DText_49;
		text_50a.innerText = translations.es.DText_50;
		text_51a.innerText = translations.es.DText_51;
		text_511a.innerText = translations.es.DText_511;
		male.innerText = translations.es.male;
		female.innerText = translations.es.female;
		other.innerText = translations.es.other;
	}else if(language == "fr"){
		footer_00.innerText = translations.fr.footer00;
		footer_01.innerText = translations.fr.footer01;
		footer_02.innerText = translations.fr.footer02;
		footer_03.innerText = translations.fr.footer03;
		footer_04.innerText = translations.fr.footer04;
		footer_05.innerText = translations.fr.footer05;
		footer_06.innerText = translations.fr.footer06;
		footer_07.innerText = translations.fr.footer07;
		footer_08.innerText = translations.fr.footer08;
		footer_09.innerText = translations.fr.footer09;
		footer_10.innerText = translations.fr.footer10;
		footer_11.innerText = translations.fr.footer11;
		footer_12.innerText = translations.fr.footer12;
		footer_13.innerText = translations.fr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.fr.footer14;
		request.innerText = translations.fr.request;
		agree.innerText = translations.fr.agree;
		cashbook.innerText = translations.fr.cashbook;
		logout.innerText = translations.fr.logout;
		if (welcome) {
			welcome.innerText = translations.fr.welcome;
		}
		text_01.innerText = translations.fr.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.fr.DText_02+'</p>';
		text_03.innerText = translations.fr.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.fr.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.fr.DText_05;
		text_06.placeholder = translations.fr.DText_06;
		text_07.innerHTML = translations.fr.DText_07;
		text_08.placeholder = translations.fr.DText_08;
		text_09.innerHTML = translations.fr.DText_09;
		text_10.placeholder = translations.fr.DText_10;
		if (text_11) {
			text_11.innerText = translations.fr.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.fr.DText_12;
		}
		text_13.innerText = translations.fr.DText_13;
		text_14.innerText = translations.fr.DText_14;
		text_15.placeholder = translations.fr.DText_15;
		text_16.innerText = translations.fr.DText_16;
		text_17.innerText = translations.fr.DText_17;
		text_18.innerText = translations.fr.DText_18;
		text_19.innerText = translations.fr.DText_19;
		text_20.innerText = translations.fr.DText_20;
		text_21.innerText = translations.fr.DText_21;
		text_22.innerText = translations.fr.DText_22;
		text_23.innerText = translations.fr.DText_23;
		text_24.innerText = translations.fr.DText_24;
		text_25.innerText = translations.fr.DText_25;
		text_26.innerText = translations.fr.DText_26;
		text_27.innerText = translations.fr.DText_27;
		text_28.innerText = translations.fr.DText_28;
		text_29.innerText = translations.fr.DText_29;
		text_30.innerText = translations.fr.DText_30;
		text_31.innerText = translations.fr.DText_31;
		text_32.innerText = translations.fr.DText_32;
		text_33.innerText = translations.fr.DText_33;
		text_34.innerText = translations.fr.DText_34;
		text_35.innerText = translations.fr.DText_35;
		text_36.innerText = translations.fr.DText_36;
		text_37.innerText = translations.fr.DText_37;
		text_38.innerText = translations.fr.DText_38;
		text_39.innerText = translations.fr.DText_39;
		text_40.innerText = translations.fr.DText_40;
		text_41.innerText = translations.fr.DText_41;
		text_42.innerText = translations.fr.DText_42;
		text_43.innerText = translations.fr.DText_43;
		text_44.innerText = translations.fr.DText_44;
		text_45.innerText = translations.fr.DText_45;
		text_46.innerText = translations.fr.DText_46;
		text_47.innerText = translations.fr.DText_47;
		text_48.innerText = translations.fr.DText_48;
		text_49.innerText = translations.fr.DText_49;
		text_50.innerText = translations.fr.DText_50;
		text_51.innerText = translations.fr.DText_51;
		text_511.innerText = translations.fr.DText_511;
		text_52.innerText = translations.fr.DText_52;
		specialfeatures.placeholder = translations.fr.DText_53;
		if (text_54) {
			text_54.innerText = translations.fr.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.fr.DText_55;
		}
		text_56.innerText = translations.fr.DText_56;
		text_57.innerText = translations.fr.DText_57;
		text_58.innerText = translations.fr.DText_58;
		text_59.innerText = translations.fr.DText_59;
		text_60.innerText = translations.fr.DText_60;
		text_41a.innerText = translations.fr.DText_41;
		text_42a.innerText = translations.fr.DText_42;
		text_43a.innerText = translations.fr.DText_43;
		text_44a.innerText = translations.fr.DText_44;
		text_45a.innerText = translations.fr.DText_45;
		text_46a.innerText = translations.fr.DText_46;
		text_47a.innerText = translations.fr.DText_47;
		text_48a.innerText = translations.fr.DText_48;
		text_49a.innerText = translations.fr.DText_49;
		text_50a.innerText = translations.fr.DText_50;
		text_51a.innerText = translations.fr.DText_51;
		text_511a.innerText = translations.fr.DText_511;
		male.innerText = translations.fr.male;
		female.innerText = translations.fr.female;
		other.innerText = translations.fr.other;
	}else if(language == "gr"){
		footer_00.innerText = translations.gr.footer00;
		footer_01.innerText = translations.gr.footer01;
		footer_02.innerText = translations.gr.footer02;
		footer_03.innerText = translations.gr.footer03;
		footer_04.innerText = translations.gr.footer04;
		footer_05.innerText = translations.gr.footer05;
		footer_06.innerText = translations.gr.footer06;
		footer_07.innerText = translations.gr.footer07;
		footer_08.innerText = translations.gr.footer08;
		footer_09.innerText = translations.gr.footer09;
		footer_10.innerText = translations.gr.footer10;
		footer_11.innerText = translations.gr.footer11;
		footer_12.innerText = translations.gr.footer12;
		footer_13.innerText = translations.gr.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.gr.footer14;
		request.innerText = translations.gr.request;
		agree.innerText = translations.gr.agree;
		cashbook.innerText = translations.gr.cashbook;
		logout.innerText = translations.gr.logout;
		if (welcome) {
			welcome.innerText = translations.gr.welcome;
		}
		text_01.innerText = translations.gr.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.gr.DText_02+'</p>';
		text_03.innerText = translations.gr.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.gr.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.gr.DText_05;
		text_06.placeholder = translations.gr.DText_06;
		text_07.innerHTML = translations.gr.DText_07;
		text_08.placeholder = translations.gr.DText_08;
		text_09.innerHTML = translations.gr.DText_09;
		text_10.placeholder = translations.gr.DText_10;
		if (text_11) {
			text_11.innerText = translations.gr.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.gr.DText_12;
		}
		text_13.innerText = translations.gr.DText_13;
		text_14.innerText = translations.gr.DText_14;
		text_15.placeholder = translations.gr.DText_15;
		text_16.innerText = translations.gr.DText_16;
		text_17.innerText = translations.gr.DText_17;
		text_18.innerText = translations.gr.DText_18;
		text_19.innerText = translations.gr.DText_19;
		text_20.innerText = translations.gr.DText_20;
		text_21.innerText = translations.gr.DText_21;
		text_22.innerText = translations.gr.DText_22;
		text_23.innerText = translations.gr.DText_23;
		text_24.innerText = translations.gr.DText_24;
		text_25.innerText = translations.gr.DText_25;
		text_26.innerText = translations.gr.DText_26;
		text_27.innerText = translations.gr.DText_27;
		text_28.innerText = translations.gr.DText_28;
		text_29.innerText = translations.gr.DText_29;
		text_30.innerText = translations.gr.DText_30;
		text_31.innerText = translations.gr.DText_31;
		text_32.innerText = translations.gr.DText_32;
		text_33.innerText = translations.gr.DText_33;
		text_34.innerText = translations.gr.DText_34;
		text_35.innerText = translations.gr.DText_35;
		text_36.innerText = translations.gr.DText_36;
		text_37.innerText = translations.gr.DText_37;
		text_38.innerText = translations.gr.DText_38;
		text_39.innerText = translations.gr.DText_39;
		text_40.innerText = translations.gr.DText_40;
		text_41.innerText = translations.gr.DText_41;
		text_42.innerText = translations.gr.DText_42;
		text_43.innerText = translations.gr.DText_43;
		text_44.innerText = translations.gr.DText_44;
		text_45.innerText = translations.gr.DText_45;
		text_46.innerText = translations.gr.DText_46;
		text_47.innerText = translations.gr.DText_47;
		text_48.innerText = translations.gr.DText_48;
		text_49.innerText = translations.gr.DText_49;
		text_50.innerText = translations.gr.DText_50;
		text_51.innerText = translations.gr.DText_51;
		text_511.innerText = translations.gr.DText_511;
		text_52.innerText = translations.gr.DText_52;
		specialfeatures.placeholder = translations.gr.DText_53;
		if (text_54) {
			text_54.innerText = translations.gr.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.gr.DText_55;
		}
		text_56.innerText = translations.gr.DText_56;
		text_57.innerText = translations.gr.DText_57;
		text_58.innerText = translations.gr.DText_58;
		text_59.innerText = translations.gr.DText_59;
		text_60.innerText = translations.gr.DText_60;
		text_41a.innerText = translations.gr.DText_41;
		text_42a.innerText = translations.gr.DText_42;
		text_43a.innerText = translations.gr.DText_43;
		text_44a.innerText = translations.gr.DText_44;
		text_45a.innerText = translations.gr.DText_45;
		text_46a.innerText = translations.gr.DText_46;
		text_47a.innerText = translations.gr.DText_47;
		text_48a.innerText = translations.gr.DText_48;
		text_49a.innerText = translations.gr.DText_49;
		text_50a.innerText = translations.gr.DText_50;
		text_51a.innerText = translations.gr.DText_51;
		text_511a.innerText = translations.gr.DText_511;
		male.innerText = translations.gr.male;
		female.innerText = translations.gr.female;
		other.innerText = translations.gr.other;
	}else if(language == "ha"){
		footer_00.innerText = translations.ha.footer00;
		footer_01.innerText = translations.ha.footer01;
		footer_02.innerText = translations.ha.footer02;
		footer_03.innerText = translations.ha.footer03;
		footer_04.innerText = translations.ha.footer04;
		footer_05.innerText = translations.ha.footer05;
		footer_06.innerText = translations.ha.footer06;
		footer_07.innerText = translations.ha.footer07;
		footer_08.innerText = translations.ha.footer08;
		footer_09.innerText = translations.ha.footer09;
		footer_10.innerText = translations.ha.footer10;
		footer_11.innerText = translations.ha.footer11;
		footer_12.innerText = translations.ha.footer12;
		footer_13.innerText = translations.ha.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ha.footer14;
		request.innerText = translations.ha.request;
		agree.innerText = translations.ha.agree;
		cashbook.innerText = translations.ha.cashbook;
		logout.innerText = translations.ha.logout;
		if (welcome) {
			welcome.innerText = translations.ha.welcome;
		}
		text_01.innerText = translations.ha.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ha.DText_02+'</p>';
		text_03.innerText = translations.ha.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ha.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ha.DText_05;
		text_06.placeholder = translations.ha.DText_06;
		text_07.innerHTML = translations.ha.DText_07;
		text_08.placeholder = translations.ha.DText_08;
		text_09.innerHTML = translations.ha.DText_09;
		text_10.placeholder = translations.ha.DText_10;
		if (text_11) {
			text_11.innerText = translations.ha.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ha.DText_12;
		}
		text_13.innerText = translations.ha.DText_13;
		text_14.innerText = translations.ha.DText_14;
		text_15.placeholder = translations.ha.DText_15;
		text_16.innerText = translations.ha.DText_16;
		text_17.innerText = translations.ha.DText_17;
		text_18.innerText = translations.ha.DText_18;
		text_19.innerText = translations.ha.DText_19;
		text_20.innerText = translations.ha.DText_20;
		text_21.innerText = translations.ha.DText_21;
		text_22.innerText = translations.ha.DText_22;
		text_23.innerText = translations.ha.DText_23;
		text_24.innerText = translations.ha.DText_24;
		text_25.innerText = translations.ha.DText_25;
		text_26.innerText = translations.ha.DText_26;
		text_27.innerText = translations.ha.DText_27;
		text_28.innerText = translations.ha.DText_28;
		text_29.innerText = translations.ha.DText_29;
		text_30.innerText = translations.ha.DText_30;
		text_31.innerText = translations.ha.DText_31;
		text_32.innerText = translations.ha.DText_32;
		text_33.innerText = translations.ha.DText_33;
		text_34.innerText = translations.ha.DText_34;
		text_35.innerText = translations.ha.DText_35;
		text_36.innerText = translations.ha.DText_36;
		text_37.innerText = translations.ha.DText_37;
		text_38.innerText = translations.ha.DText_38;
		text_39.innerText = translations.ha.DText_39;
		text_40.innerText = translations.ha.DText_40;
		text_41.innerText = translations.ha.DText_41;
		text_42.innerText = translations.ha.DText_42;
		text_43.innerText = translations.ha.DText_43;
		text_44.innerText = translations.ha.DText_44;
		text_45.innerText = translations.ha.DText_45;
		text_46.innerText = translations.ha.DText_46;
		text_47.innerText = translations.ha.DText_47;
		text_48.innerText = translations.ha.DText_48;
		text_49.innerText = translations.ha.DText_49;
		text_50.innerText = translations.ha.DText_50;
		text_51.innerText = translations.ha.DText_51;
		text_511.innerText = translations.ha.DText_511;
		text_52.innerText = translations.ha.DText_52;
		specialfeatures.placeholder = translations.ha.DText_53;
		if (text_54) {
			text_54.innerText = translations.ha.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ha.DText_55;
		}
		text_56.innerText = translations.ha.DText_56;
		text_57.innerText = translations.ha.DText_57;
		text_58.innerText = translations.ha.DText_58;
		text_59.innerText = translations.ha.DText_59;
		text_60.innerText = translations.ha.DText_60;
		text_41a.innerText = translations.ha.DText_41;
		text_42a.innerText = translations.ha.DText_42;
		text_43a.innerText = translations.ha.DText_43;
		text_44a.innerText = translations.ha.DText_44;
		text_45a.innerText = translations.ha.DText_45;
		text_46a.innerText = translations.ha.DText_46;
		text_47a.innerText = translations.ha.DText_47;
		text_48a.innerText = translations.ha.DText_48;
		text_49a.innerText = translations.ha.DText_49;
		text_50a.innerText = translations.ha.DText_50;
		text_51a.innerText = translations.ha.DText_51;
		text_511a.innerText = translations.ha.DText_511;
		male.innerText = translations.ha.male;
		female.innerText = translations.ha.female;
		other.innerText = translations.ha.other;
	}else if(language == "hi"){
		footer_00.innerText = translations.hi.footer00;
		footer_01.innerText = translations.hi.footer01;
		footer_02.innerText = translations.hi.footer02;
		footer_03.innerText = translations.hi.footer03;
		footer_04.innerText = translations.hi.footer04;
		footer_05.innerText = translations.hi.footer05;
		footer_06.innerText = translations.hi.footer06;
		footer_07.innerText = translations.hi.footer07;
		footer_08.innerText = translations.hi.footer08;
		footer_09.innerText = translations.hi.footer09;
		footer_10.innerText = translations.hi.footer10;
		footer_11.innerText = translations.hi.footer11;
		footer_12.innerText = translations.hi.footer12;
		footer_13.innerText = translations.hi.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hi.footer14;
		request.innerText = translations.hi.request;
		agree.innerText = translations.hi.agree;
		cashbook.innerText = translations.hi.cashbook;
		logout.innerText = translations.hi.logout;
		if (welcome) {
			welcome.innerText = translations.hi.welcome;
		}
		text_01.innerText = translations.hi.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.hi.DText_02+'</p>';
		text_03.innerText = translations.hi.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.hi.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.hi.DText_05;
		text_06.placeholder = translations.hi.DText_06;
		text_07.innerHTML = translations.hi.DText_07;
		text_08.placeholder = translations.hi.DText_08;
		text_09.innerHTML = translations.hi.DText_09;
		text_10.placeholder = translations.hi.DText_10;
		if (text_11) {
			text_11.innerText = translations.hi.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.hi.DText_12;
		}
		text_13.innerText = translations.hi.DText_13;
		text_14.innerText = translations.hi.DText_14;
		text_15.placeholder = translations.hi.DText_15;
		text_16.innerText = translations.hi.DText_16;
		text_17.innerText = translations.hi.DText_17;
		text_18.innerText = translations.hi.DText_18;
		text_19.innerText = translations.hi.DText_19;
		text_20.innerText = translations.hi.DText_20;
		text_21.innerText = translations.hi.DText_21;
		text_22.innerText = translations.hi.DText_22;
		text_23.innerText = translations.hi.DText_23;
		text_24.innerText = translations.hi.DText_24;
		text_25.innerText = translations.hi.DText_25;
		text_26.innerText = translations.hi.DText_26;
		text_27.innerText = translations.hi.DText_27;
		text_28.innerText = translations.hi.DText_28;
		text_29.innerText = translations.hi.DText_29;
		text_30.innerText = translations.hi.DText_30;
		text_31.innerText = translations.hi.DText_31;
		text_32.innerText = translations.hi.DText_32;
		text_33.innerText = translations.hi.DText_33;
		text_34.innerText = translations.hi.DText_34;
		text_35.innerText = translations.hi.DText_35;
		text_36.innerText = translations.hi.DText_36;
		text_37.innerText = translations.hi.DText_37;
		text_38.innerText = translations.hi.DText_38;
		text_39.innerText = translations.hi.DText_39;
		text_40.innerText = translations.hi.DText_40;
		text_41.innerText = translations.hi.DText_41;
		text_42.innerText = translations.hi.DText_42;
		text_43.innerText = translations.hi.DText_43;
		text_44.innerText = translations.hi.DText_44;
		text_45.innerText = translations.hi.DText_45;
		text_46.innerText = translations.hi.DText_46;
		text_47.innerText = translations.hi.DText_47;
		text_48.innerText = translations.hi.DText_48;
		text_49.innerText = translations.hi.DText_49;
		text_50.innerText = translations.hi.DText_50;
		text_51.innerText = translations.hi.DText_51;
		text_511.innerText = translations.hi.DText_511;
		text_52.innerText = translations.hi.DText_52;
		specialfeatures.placeholder = translations.hi.DText_53;
		if (text_54) {
			text_54.innerText = translations.hi.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.hi.DText_55;
		}
		text_56.innerText = translations.hi.DText_56;
		text_57.innerText = translations.hi.DText_57;
		text_58.innerText = translations.hi.DText_58;
		text_59.innerText = translations.hi.DText_59;
		text_60.innerText = translations.hi.DText_60;
		text_41a.innerText = translations.hi.DText_41;
		text_42a.innerText = translations.hi.DText_42;
		text_43a.innerText = translations.hi.DText_43;
		text_44a.innerText = translations.hi.DText_44;
		text_45a.innerText = translations.hi.DText_45;
		text_46a.innerText = translations.hi.DText_46;
		text_47a.innerText = translations.hi.DText_47;
		text_48a.innerText = translations.hi.DText_48;
		text_49a.innerText = translations.hi.DText_49;
		text_50a.innerText = translations.hi.DText_50;
		text_51a.innerText = translations.hi.DText_51;
		text_511a.innerText = translations.hi.DText_511;
		male.innerText = translations.hi.male;
		female.innerText = translations.hi.female;
		other.innerText = translations.hi.other;
	}else if(language == "he"){
		footer_00.innerText = translations.he.footer00;
		footer_01.innerText = translations.he.footer01;
		footer_02.innerText = translations.he.footer02;
		footer_03.innerText = translations.he.footer03;
		footer_04.innerText = translations.he.footer04;
		footer_05.innerText = translations.he.footer05;
		footer_06.innerText = translations.he.footer06;
		footer_07.innerText = translations.he.footer07;
		footer_08.innerText = translations.he.footer08;
		footer_09.innerText = translations.he.footer09;
		footer_10.innerText = translations.he.footer10;
		footer_11.innerText = translations.he.footer11;
		footer_12.innerText = translations.he.footer12;
		footer_13.innerText = translations.he.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.he.footer14;
		request.innerText = translations.he.request;
		agree.innerText = translations.he.agree;
		cashbook.innerText = translations.he.cashbook;
		logout.innerText = translations.he.logout;
		if (welcome) {
			welcome.innerText = translations.he.welcome;
		}
		text_01.innerText = translations.he.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.he.DText_02+'</p>';
		text_03.innerText = translations.he.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.he.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.he.DText_05;
		text_06.placeholder = translations.he.DText_06;
		text_07.innerHTML = translations.he.DText_07;
		text_08.placeholder = translations.he.DText_08;
		text_09.innerHTML = translations.he.DText_09;
		text_10.placeholder = translations.he.DText_10;
		if (text_11) {
			text_11.innerText = translations.he.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.he.DText_12;
		}
		text_13.innerText = translations.he.DText_13;
		text_14.innerText = translations.he.DText_14;
		text_15.placeholder = translations.he.DText_15;
		text_16.innerText = translations.he.DText_16;
		text_17.innerText = translations.he.DText_17;
		text_18.innerText = translations.he.DText_18;
		text_19.innerText = translations.he.DText_19;
		text_20.innerText = translations.he.DText_20;
		text_21.innerText = translations.he.DText_21;
		text_22.innerText = translations.he.DText_22;
		text_23.innerText = translations.he.DText_23;
		text_24.innerText = translations.he.DText_24;
		text_25.innerText = translations.he.DText_25;
		text_26.innerText = translations.he.DText_26;
		text_27.innerText = translations.he.DText_27;
		text_28.innerText = translations.he.DText_28;
		text_29.innerText = translations.he.DText_29;
		text_30.innerText = translations.he.DText_30;
		text_31.innerText = translations.he.DText_31;
		text_32.innerText = translations.he.DText_32;
		text_33.innerText = translations.he.DText_33;
		text_34.innerText = translations.he.DText_34;
		text_35.innerText = translations.he.DText_35;
		text_36.innerText = translations.he.DText_36;
		text_37.innerText = translations.he.DText_37;
		text_38.innerText = translations.he.DText_38;
		text_39.innerText = translations.he.DText_39;
		text_40.innerText = translations.he.DText_40;
		text_41.innerText = translations.he.DText_41;
		text_42.innerText = translations.he.DText_42;
		text_43.innerText = translations.he.DText_43;
		text_44.innerText = translations.he.DText_44;
		text_45.innerText = translations.he.DText_45;
		text_46.innerText = translations.he.DText_46;
		text_47.innerText = translations.he.DText_47;
		text_48.innerText = translations.he.DText_48;
		text_49.innerText = translations.he.DText_49;
		text_50.innerText = translations.he.DText_50;
		text_51.innerText = translations.he.DText_51;
		text_511.innerText = translations.he.DText_511;
		text_52.innerText = translations.he.DText_52;
		specialfeatures.placeholder = translations.he.DText_53;
		if (text_54) {
			text_54.innerText = translations.he.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.he.DText_55;
		}
		text_56.innerText = translations.he.DText_56;
		text_57.innerText = translations.he.DText_57;
		text_58.innerText = translations.he.DText_58;
		text_59.innerText = translations.he.DText_59;
		text_60.innerText = translations.he.DText_60;
		text_41a.innerText = translations.he.DText_41;
		text_42a.innerText = translations.he.DText_42;
		text_43a.innerText = translations.he.DText_43;
		text_44a.innerText = translations.he.DText_44;
		text_45a.innerText = translations.he.DText_45;
		text_46a.innerText = translations.he.DText_46;
		text_47a.innerText = translations.he.DText_47;
		text_48a.innerText = translations.he.DText_48;
		text_49a.innerText = translations.he.DText_49;
		text_50a.innerText = translations.he.DText_50;
		text_51a.innerText = translations.he.DText_51;
		text_511a.innerText = translations.he.DText_511;
		male.innerText = translations.he.male;
		female.innerText = translations.he.female;
		other.innerText = translations.he.other;
	}else if(language == "hu"){
		footer_00.innerText = translations.hu.footer00;
		footer_01.innerText = translations.hu.footer01;
		footer_02.innerText = translations.hu.footer02;
		footer_03.innerText = translations.hu.footer03;
		footer_04.innerText = translations.hu.footer04;
		footer_05.innerText = translations.hu.footer05;
		footer_06.innerText = translations.hu.footer06;
		footer_07.innerText = translations.hu.footer07;
		footer_08.innerText = translations.hu.footer08;
		footer_09.innerText = translations.hu.footer09;
		footer_10.innerText = translations.hu.footer10;
		footer_11.innerText = translations.hu.footer11;
		footer_12.innerText = translations.hu.footer12;
		footer_13.innerText = translations.hu.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.hu.footer14;
		request.innerText = translations.hu.request;
		agree.innerText = translations.hu.agree;
		cashbook.innerText = translations.hu.cashbook;
		logout.innerText = translations.hu.logout;
		if (welcome) {
			welcome.innerText = translations.hu.welcome;
		}
		text_01.innerText = translations.hu.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.hu.DText_02+'</p>';
		text_03.innerText = translations.hu.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.hu.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.hu.DText_05;
		text_06.placeholder = translations.hu.DText_06;
		text_07.innerHTML = translations.hu.DText_07;
		text_08.placeholder = translations.hu.DText_08;
		text_09.innerHTML = translations.hu.DText_09;
		text_10.placeholder = translations.hu.DText_10;
		if (text_11) {
			text_11.innerText = translations.hu.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.hu.DText_12;
		}
		text_13.innerText = translations.hu.DText_13;
		text_14.innerText = translations.hu.DText_14;
		text_15.placeholder = translations.hu.DText_15;
		text_16.innerText = translations.hu.DText_16;
		text_17.innerText = translations.hu.DText_17;
		text_18.innerText = translations.hu.DText_18;
		text_19.innerText = translations.hu.DText_19;
		text_20.innerText = translations.hu.DText_20;
		text_21.innerText = translations.hu.DText_21;
		text_22.innerText = translations.hu.DText_22;
		text_23.innerText = translations.hu.DText_23;
		text_24.innerText = translations.hu.DText_24;
		text_25.innerText = translations.hu.DText_25;
		text_26.innerText = translations.hu.DText_26;
		text_27.innerText = translations.hu.DText_27;
		text_28.innerText = translations.hu.DText_28;
		text_29.innerText = translations.hu.DText_29;
		text_30.innerText = translations.hu.DText_30;
		text_31.innerText = translations.hu.DText_31;
		text_32.innerText = translations.hu.DText_32;
		text_33.innerText = translations.hu.DText_33;
		text_34.innerText = translations.hu.DText_34;
		text_35.innerText = translations.hu.DText_35;
		text_36.innerText = translations.hu.DText_36;
		text_37.innerText = translations.hu.DText_37;
		text_38.innerText = translations.hu.DText_38;
		text_39.innerText = translations.hu.DText_39;
		text_40.innerText = translations.hu.DText_40;
		text_41.innerText = translations.hu.DText_41;
		text_42.innerText = translations.hu.DText_42;
		text_43.innerText = translations.hu.DText_43;
		text_44.innerText = translations.hu.DText_44;
		text_45.innerText = translations.hu.DText_45;
		text_46.innerText = translations.hu.DText_46;
		text_47.innerText = translations.hu.DText_47;
		text_48.innerText = translations.hu.DText_48;
		text_49.innerText = translations.hu.DText_49;
		text_50.innerText = translations.hu.DText_50;
		text_51.innerText = translations.hu.DText_51;
		text_511.innerText = translations.hu.DText_511;
		text_52.innerText = translations.hu.DText_52;
		specialfeatures.placeholder = translations.hu.DText_53;
		if (text_54) {
			text_54.innerText = translations.hu.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.hu.DText_55;
		}
		text_56.innerText = translations.hu.DText_56;
		text_57.innerText = translations.hu.DText_57;
		text_58.innerText = translations.hu.DText_58;
		text_59.innerText = translations.hu.DText_59;
		text_60.innerText = translations.hu.DText_60;
		text_41a.innerText = translations.hu.DText_41;
		text_42a.innerText = translations.hu.DText_42;
		text_43a.innerText = translations.hu.DText_43;
		text_44a.innerText = translations.hu.DText_44;
		text_45a.innerText = translations.hu.DText_45;
		text_46a.innerText = translations.hu.DText_46;
		text_47a.innerText = translations.hu.DText_47;
		text_48a.innerText = translations.hu.DText_48;
		text_49a.innerText = translations.hu.DText_49;
		text_50a.innerText = translations.hu.DText_50;
		text_51a.innerText = translations.hu.DText_51;
		text_511a.innerText = translations.hu.DText_511;
		male.innerText = translations.hu.male;
		female.innerText = translations.hu.female;
		other.innerText = translations.hu.other;
	}else if(language == "it"){
		footer_00.innerText = translations.it.footer00;
		footer_01.innerText = translations.it.footer01;
		footer_02.innerText = translations.it.footer02;
		footer_03.innerText = translations.it.footer03;
		footer_04.innerText = translations.it.footer04;
		footer_05.innerText = translations.it.footer05;
		footer_06.innerText = translations.it.footer06;
		footer_07.innerText = translations.it.footer07;
		footer_08.innerText = translations.it.footer08;
		footer_09.innerText = translations.it.footer09;
		footer_10.innerText = translations.it.footer10;
		footer_11.innerText = translations.it.footer11;
		footer_12.innerText = translations.it.footer12;
		footer_13.innerText = translations.it.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.it.footer14;
		request.innerText = translations.it.request;
		agree.innerText = translations.it.agree;
		cashbook.innerText = translations.it.cashbook;
		logout.innerText = translations.it.logout;
		if (welcome) {
			welcome.innerText = translations.it.welcome;
		}
		text_01.innerText = translations.it.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.it.DText_02+'</p>';
		text_03.innerText = translations.it.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.it.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.it.DText_05;
		text_06.placeholder = translations.it.DText_06;
		text_07.innerHTML = translations.it.DText_07;
		text_08.placeholder = translations.it.DText_08;
		text_09.innerHTML = translations.it.DText_09;
		text_10.placeholder = translations.it.DText_10;
		if (text_11) {
			text_11.innerText = translations.it.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.it.DText_12;
		}
		text_13.innerText = translations.it.DText_13;
		text_14.innerText = translations.it.DText_14;
		text_15.placeholder = translations.it.DText_15;
		text_16.innerText = translations.it.DText_16;
		text_17.innerText = translations.it.DText_17;
		text_18.innerText = translations.it.DText_18;
		text_19.innerText = translations.it.DText_19;
		text_20.innerText = translations.it.DText_20;
		text_21.innerText = translations.it.DText_21;
		text_22.innerText = translations.it.DText_22;
		text_23.innerText = translations.it.DText_23;
		text_24.innerText = translations.it.DText_24;
		text_25.innerText = translations.it.DText_25;
		text_26.innerText = translations.it.DText_26;
		text_27.innerText = translations.it.DText_27;
		text_28.innerText = translations.it.DText_28;
		text_29.innerText = translations.it.DText_29;
		text_30.innerText = translations.it.DText_30;
		text_31.innerText = translations.it.DText_31;
		text_32.innerText = translations.it.DText_32;
		text_33.innerText = translations.it.DText_33;
		text_34.innerText = translations.it.DText_34;
		text_35.innerText = translations.it.DText_35;
		text_36.innerText = translations.it.DText_36;
		text_37.innerText = translations.it.DText_37;
		text_38.innerText = translations.it.DText_38;
		text_39.innerText = translations.it.DText_39;
		text_40.innerText = translations.it.DText_40;
		text_41.innerText = translations.it.DText_41;
		text_42.innerText = translations.it.DText_42;
		text_43.innerText = translations.it.DText_43;
		text_44.innerText = translations.it.DText_44;
		text_45.innerText = translations.it.DText_45;
		text_46.innerText = translations.it.DText_46;
		text_47.innerText = translations.it.DText_47;
		text_48.innerText = translations.it.DText_48;
		text_49.innerText = translations.it.DText_49;
		text_50.innerText = translations.it.DText_50;
		text_51.innerText = translations.it.DText_51;
		text_511.innerText = translations.it.DText_511;
		text_52.innerText = translations.it.DText_52;
		specialfeatures.placeholder = translations.it.DText_53;
		if (text_54) {
			text_54.innerText = translations.it.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.it.DText_55;
		}
		text_56.innerText = translations.it.DText_56;
		text_57.innerText = translations.it.DText_57;
		text_58.innerText = translations.it.DText_58;
		text_59.innerText = translations.it.DText_59;
		text_60.innerText = translations.it.DText_60;
		text_41a.innerText = translations.it.DText_41;
		text_42a.innerText = translations.it.DText_42;
		text_43a.innerText = translations.it.DText_43;
		text_44a.innerText = translations.it.DText_44;
		text_45a.innerText = translations.it.DText_45;
		text_46a.innerText = translations.it.DText_46;
		text_47a.innerText = translations.it.DText_47;
		text_48a.innerText = translations.it.DText_48;
		text_49a.innerText = translations.it.DText_49;
		text_50a.innerText = translations.it.DText_50;
		text_51a.innerText = translations.it.DText_51;
		text_511a.innerText = translations.it.DText_511;
		male.innerText = translations.it.male;
		female.innerText = translations.it.female;
		other.innerText = translations.it.other;
	}else if(language == "ja"){
		footer_00.innerText = translations.ja.footer00;
		footer_01.innerText = translations.ja.footer01;
		footer_02.innerText = translations.ja.footer02;
		footer_03.innerText = translations.ja.footer03;
		footer_04.innerText = translations.ja.footer04;
		footer_05.innerText = translations.ja.footer05;
		footer_06.innerText = translations.ja.footer06;
		footer_07.innerText = translations.ja.footer07;
		footer_08.innerText = translations.ja.footer08;
		footer_09.innerText = translations.ja.footer09;
		footer_10.innerText = translations.ja.footer10;
		footer_11.innerText = translations.ja.footer11;
		footer_12.innerText = translations.ja.footer12;
		footer_13.innerText = translations.ja.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ja.footer14;
		request.innerText = translations.ja.request;
		agree.innerText = translations.ja.agree;
		cashbook.innerText = translations.ja.cashbook;
		logout.innerText = translations.ja.logout;
		if (welcome) {
			welcome.innerText = translations.ja.welcome;
		}
		text_01.innerText = translations.ja.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ja.DText_02+'</p>';
		text_03.innerText = translations.ja.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ja.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ja.DText_05;
		text_06.placeholder = translations.ja.DText_06;
		text_07.innerHTML = translations.ja.DText_07;
		text_08.placeholder = translations.ja.DText_08;
		text_09.innerHTML = translations.ja.DText_09;
		text_10.placeholder = translations.ja.DText_10;
		if (text_11) {
			text_11.innerText = translations.ja.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ja.DText_12;
		}
		text_13.innerText = translations.ja.DText_13;
		text_14.innerText = translations.ja.DText_14;
		text_15.placeholder = translations.ja.DText_15;
		text_16.innerText = translations.ja.DText_16;
		text_17.innerText = translations.ja.DText_17;
		text_18.innerText = translations.ja.DText_18;
		text_19.innerText = translations.ja.DText_19;
		text_20.innerText = translations.ja.DText_20;
		text_21.innerText = translations.ja.DText_21;
		text_22.innerText = translations.ja.DText_22;
		text_23.innerText = translations.ja.DText_23;
		text_24.innerText = translations.ja.DText_24;
		text_25.innerText = translations.ja.DText_25;
		text_26.innerText = translations.ja.DText_26;
		text_27.innerText = translations.ja.DText_27;
		text_28.innerText = translations.ja.DText_28;
		text_29.innerText = translations.ja.DText_29;
		text_30.innerText = translations.ja.DText_30;
		text_31.innerText = translations.ja.DText_31;
		text_32.innerText = translations.ja.DText_32;
		text_33.innerText = translations.ja.DText_33;
		text_34.innerText = translations.ja.DText_34;
		text_35.innerText = translations.ja.DText_35;
		text_36.innerText = translations.ja.DText_36;
		text_37.innerText = translations.ja.DText_37;
		text_38.innerText = translations.ja.DText_38;
		text_39.innerText = translations.ja.DText_39;
		text_40.innerText = translations.ja.DText_40;
		text_41.innerText = translations.ja.DText_41;
		text_42.innerText = translations.ja.DText_42;
		text_43.innerText = translations.ja.DText_43;
		text_44.innerText = translations.ja.DText_44;
		text_45.innerText = translations.ja.DText_45;
		text_46.innerText = translations.ja.DText_46;
		text_47.innerText = translations.ja.DText_47;
		text_48.innerText = translations.ja.DText_48;
		text_49.innerText = translations.ja.DText_49;
		text_50.innerText = translations.ja.DText_50;
		text_51.innerText = translations.ja.DText_51;
		text_511.innerText = translations.ja.DText_511;
		text_52.innerText = translations.ja.DText_52;
		specialfeatures.placeholder = translations.ja.DText_53;
		if (text_54) {
			text_54.innerText = translations.ja.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ja.DText_55;
		}
		text_56.innerText = translations.ja.DText_56;
		text_57.innerText = translations.ja.DText_57;
		text_58.innerText = translations.ja.DText_58;
		text_59.innerText = translations.ja.DText_59;
		text_60.innerText = translations.ja.DText_60;
		text_41a.innerText = translations.ja.DText_41;
		text_42a.innerText = translations.ja.DText_42;
		text_43a.innerText = translations.ja.DText_43;
		text_44a.innerText = translations.ja.DText_44;
		text_45a.innerText = translations.ja.DText_45;
		text_46a.innerText = translations.ja.DText_46;
		text_47a.innerText = translations.ja.DText_47;
		text_48a.innerText = translations.ja.DText_48;
		text_49a.innerText = translations.ja.DText_49;
		text_50a.innerText = translations.ja.DText_50;
		text_51a.innerText = translations.ja.DText_51;
		text_51a.innerText = translations.ja.DText_51;
		text_511a.innerText = translations.ja.DText_511;
		male.innerText = translations.ja.male;
		female.innerText = translations.ja.female;
		other.innerText = translations.ja.other;
	}else if(language == "ki"){
		footer_00.innerText = translations.ki.footer00;
		footer_01.innerText = translations.ki.footer01;
		footer_02.innerText = translations.ki.footer02;
		footer_03.innerText = translations.ki.footer03;
		footer_04.innerText = translations.ki.footer04;
		footer_05.innerText = translations.ki.footer05;
		footer_06.innerText = translations.ki.footer06;
		footer_07.innerText = translations.ki.footer07;
		footer_08.innerText = translations.ki.footer08;
		footer_09.innerText = translations.ki.footer09;
		footer_10.innerText = translations.ki.footer10;
		footer_11.innerText = translations.ki.footer11;
		footer_12.innerText = translations.ki.footer12;
		footer_13.innerText = translations.ki.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ki.footer14;
		request.innerText = translations.ki.request;
		agree.innerText = translations.ki.agree;
		cashbook.innerText = translations.ki.cashbook;
		logout.innerText = translations.ki.logout;
		if (welcome) {
			welcome.innerText = translations.ki.welcome;
		}
		text_01.innerText = translations.ki.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ki.DText_02+'</p>';
		text_03.innerText = translations.ki.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ki.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ki.DText_05;
		text_06.placeholder = translations.ki.DText_06;
		text_07.innerHTML = translations.ki.DText_07;
		text_08.placeholder = translations.ki.DText_08;
		text_09.innerHTML = translations.ki.DText_09;
		text_10.placeholder = translations.ki.DText_10;
		if (text_11) {
			text_11.innerText = translations.ki.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ki.DText_12;
		}
		text_13.innerText = translations.ki.DText_13;
		text_14.innerText = translations.ki.DText_14;
		text_15.placeholder = translations.ki.DText_15;
		text_16.innerText = translations.ki.DText_16;
		text_17.innerText = translations.ki.DText_17;
		text_18.innerText = translations.ki.DText_18;
		text_19.innerText = translations.ki.DText_19;
		text_20.innerText = translations.ki.DText_20;
		text_21.innerText = translations.ki.DText_21;
		text_22.innerText = translations.ki.DText_22;
		text_23.innerText = translations.ki.DText_23;
		text_24.innerText = translations.ki.DText_24;
		text_25.innerText = translations.ki.DText_25;
		text_26.innerText = translations.ki.DText_26;
		text_27.innerText = translations.ki.DText_27;
		text_28.innerText = translations.ki.DText_28;
		text_29.innerText = translations.ki.DText_29;
		text_30.innerText = translations.ki.DText_30;
		text_31.innerText = translations.ki.DText_31;
		text_32.innerText = translations.ki.DText_32;
		text_33.innerText = translations.ki.DText_33;
		text_34.innerText = translations.ki.DText_34;
		text_35.innerText = translations.ki.DText_35;
		text_36.innerText = translations.ki.DText_36;
		text_37.innerText = translations.ki.DText_37;
		text_38.innerText = translations.ki.DText_38;
		text_39.innerText = translations.ki.DText_39;
		text_40.innerText = translations.ki.DText_40;
		text_41.innerText = translations.ki.DText_41;
		text_42.innerText = translations.ki.DText_42;
		text_43.innerText = translations.ki.DText_43;
		text_44.innerText = translations.ki.DText_44;
		text_45.innerText = translations.ki.DText_45;
		text_46.innerText = translations.ki.DText_46;
		text_47.innerText = translations.ki.DText_47;
		text_48.innerText = translations.ki.DText_48;
		text_49.innerText = translations.ki.DText_49;
		text_50.innerText = translations.ki.DText_50;
		text_51.innerText = translations.ki.DText_51;
		text_511.innerText = translations.ki.DText_511;
		text_52.innerText = translations.ki.DText_52;
		specialfeatures.placeholder = translations.ki.DText_53;
		if (text_54) {
			text_54.innerText = translations.ki.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ki.DText_55;
		}
		text_56.innerText = translations.ki.DText_56;
		text_57.innerText = translations.ki.DText_57;
		text_58.innerText = translations.ki.DText_58;
		text_59.innerText = translations.ki.DText_59;
		text_60.innerText = translations.ki.DText_60;
		text_41a.innerText = translations.ki.DText_41;
		text_42a.innerText = translations.ki.DText_42;
		text_43a.innerText = translations.ki.DText_43;
		text_44a.innerText = translations.ki.DText_44;
		text_45a.innerText = translations.ki.DText_45;
		text_46a.innerText = translations.ki.DText_46;
		text_47a.innerText = translations.ki.DText_47;
		text_48a.innerText = translations.ki.DText_48;
		text_49a.innerText = translations.ki.DText_49;
		text_50a.innerText = translations.ki.DText_50;
		text_51a.innerText = translations.ki.DText_51;
		text_511a.innerText = translations.ki.DText_511;
		male.innerText = translations.ki.male;
		female.innerText = translations.ki.female;
		other.innerText = translations.ki.other;
	}else if(language == "ko"){
		footer_00.innerText = translations.ko.footer00;
		footer_01.innerText = translations.ko.footer01;
		footer_02.innerText = translations.ko.footer02;
		footer_03.innerText = translations.ko.footer03;
		footer_04.innerText = translations.ko.footer04;
		footer_05.innerText = translations.ko.footer05;
		footer_06.innerText = translations.ko.footer06;
		footer_07.innerText = translations.ko.footer07;
		footer_08.innerText = translations.ko.footer08;
		footer_09.innerText = translations.ko.footer09;
		footer_10.innerText = translations.ko.footer10;
		footer_11.innerText = translations.ko.footer11;
		footer_12.innerText = translations.ko.footer12;
		footer_13.innerText = translations.ko.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ko.footer14;
		request.innerText = translations.ko.request;
		agree.innerText = translations.ko.agree;
		cashbook.innerText = translations.ko.cashbook;
		logout.innerText = translations.ko.logout;
		if (welcome) {
			welcome.innerText = translations.ko.welcome;
		}
		text_01.innerText = translations.ko.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ko.DText_02+'</p>';
		text_03.innerText = translations.ko.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ko.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ko.DText_05;
		text_06.placeholder = translations.ko.DText_06;
		text_07.innerHTML = translations.ko.DText_07;
		text_08.placeholder = translations.ko.DText_08;
		text_09.innerHTML = translations.ko.DText_09;
		text_10.placeholder = translations.ko.DText_10;
		if (text_11) {
			text_11.innerText = translations.ko.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ko.DText_12;
		}
		text_13.innerText = translations.ko.DText_13;
		text_14.innerText = translations.ko.DText_14;
		text_15.placeholder = translations.ko.DText_15;
		text_16.innerText = translations.ko.DText_16;
		text_17.innerText = translations.ko.DText_17;
		text_18.innerText = translations.ko.DText_18;
		text_19.innerText = translations.ko.DText_19;
		text_20.innerText = translations.ko.DText_20;
		text_21.innerText = translations.ko.DText_21;
		text_22.innerText = translations.ko.DText_22;
		text_23.innerText = translations.ko.DText_23;
		text_24.innerText = translations.ko.DText_24;
		text_25.innerText = translations.ko.DText_25;
		text_26.innerText = translations.ko.DText_26;
		text_27.innerText = translations.ko.DText_27;
		text_28.innerText = translations.ko.DText_28;
		text_29.innerText = translations.ko.DText_29;
		text_30.innerText = translations.ko.DText_30;
		text_31.innerText = translations.ko.DText_31;
		text_32.innerText = translations.ko.DText_32;
		text_33.innerText = translations.ko.DText_33;
		text_34.innerText = translations.ko.DText_34;
		text_35.innerText = translations.ko.DText_35;
		text_36.innerText = translations.ko.DText_36;
		text_37.innerText = translations.ko.DText_37;
		text_38.innerText = translations.ko.DText_38;
		text_39.innerText = translations.ko.DText_39;
		text_40.innerText = translations.ko.DText_40;
		text_41.innerText = translations.ko.DText_41;
		text_42.innerText = translations.ko.DText_42;
		text_43.innerText = translations.ko.DText_43;
		text_44.innerText = translations.ko.DText_44;
		text_45.innerText = translations.ko.DText_45;
		text_46.innerText = translations.ko.DText_46;
		text_47.innerText = translations.ko.DText_47;
		text_48.innerText = translations.ko.DText_48;
		text_49.innerText = translations.ko.DText_49;
		text_50.innerText = translations.ko.DText_50;
		text_51.innerText = translations.ko.DText_51;
		text_511.innerText = translations.ko.DText_511;
		text_52.innerText = translations.ko.DText_52;
		specialfeatures.placeholder = translations.ko.DText_53;
		if (text_54) {
			text_54.innerText = translations.ko.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ko.DText_55;
		}
		text_56.innerText = translations.ko.DText_56;
		text_57.innerText = translations.ko.DText_57;
		text_58.innerText = translations.ko.DText_58;
		text_59.innerText = translations.ko.DText_59;
		text_60.innerText = translations.ko.DText_60;
		text_41a.innerText = translations.ko.DText_41;
		text_42a.innerText = translations.ko.DText_42;
		text_43a.innerText = translations.ko.DText_43;
		text_44a.innerText = translations.ko.DText_44;
		text_45a.innerText = translations.ko.DText_45;
		text_46a.innerText = translations.ko.DText_46;
		text_47a.innerText = translations.ko.DText_47;
		text_48a.innerText = translations.ko.DText_48;
		text_49a.innerText = translations.ko.DText_49;
		text_50a.innerText = translations.ko.DText_50;
		text_51a.innerText = translations.ko.DText_51;
		text_511a.innerText = translations.ko.DText_511;
		male.innerText = translations.ko.male;
		female.innerText = translations.ko.female;
		other.innerText = translations.ko.other;
	}else if(language == "ne"){
		footer_00.innerText = translations.ne.footer00;
		footer_01.innerText = translations.ne.footer01;
		footer_02.innerText = translations.ne.footer02;
		footer_03.innerText = translations.ne.footer03;
		footer_04.innerText = translations.ne.footer04;
		footer_05.innerText = translations.ne.footer05;
		footer_06.innerText = translations.ne.footer06;
		footer_07.innerText = translations.ne.footer07;
		footer_08.innerText = translations.ne.footer08;
		footer_09.innerText = translations.ne.footer09;
		footer_10.innerText = translations.ne.footer10;
		footer_11.innerText = translations.ne.footer11;
		footer_12.innerText = translations.ne.footer12;
		footer_13.innerText = translations.ne.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ne.footer14;
		request.innerText = translations.ne.request;
		agree.innerText = translations.ne.agree;
		cashbook.innerText = translations.ne.cashbook;
		logout.innerText = translations.ne.logout;
		if (welcome) {
			welcome.innerText = translations.ne.welcome;
		}
		text_01.innerText = translations.ne.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ne.DText_02+'</p>';
		text_03.innerText = translations.ne.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ne.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ne.DText_05;
		text_06.placeholder = translations.ne.DText_06;
		text_07.innerHTML = translations.ne.DText_07;
		text_08.placeholder = translations.ne.DText_08;
		text_09.innerHTML = translations.ne.DText_09;
		text_10.placeholder = translations.ne.DText_10;
		if (text_11) {
			text_11.innerText = translations.ne.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ne.DText_12;
		}
		text_13.innerText = translations.ne.DText_13;
		text_14.innerText = translations.ne.DText_14;
		text_15.placeholder = translations.ne.DText_15;
		text_16.innerText = translations.ne.DText_16;
		text_17.innerText = translations.ne.DText_17;
		text_18.innerText = translations.ne.DText_18;
		text_19.innerText = translations.ne.DText_19;
		text_20.innerText = translations.ne.DText_20;
		text_21.innerText = translations.ne.DText_21;
		text_22.innerText = translations.ne.DText_22;
		text_23.innerText = translations.ne.DText_23;
		text_24.innerText = translations.ne.DText_24;
		text_25.innerText = translations.ne.DText_25;
		text_26.innerText = translations.ne.DText_26;
		text_27.innerText = translations.ne.DText_27;
		text_28.innerText = translations.ne.DText_28;
		text_29.innerText = translations.ne.DText_29;
		text_30.innerText = translations.ne.DText_30;
		text_31.innerText = translations.ne.DText_31;
		text_32.innerText = translations.ne.DText_32;
		text_33.innerText = translations.ne.DText_33;
		text_34.innerText = translations.ne.DText_34;
		text_35.innerText = translations.ne.DText_35;
		text_36.innerText = translations.ne.DText_36;
		text_37.innerText = translations.ne.DText_37;
		text_38.innerText = translations.ne.DText_38;
		text_39.innerText = translations.ne.DText_39;
		text_40.innerText = translations.ne.DText_40;
		text_41.innerText = translations.ne.DText_41;
		text_42.innerText = translations.ne.DText_42;
		text_43.innerText = translations.ne.DText_43;
		text_44.innerText = translations.ne.DText_44;
		text_45.innerText = translations.ne.DText_45;
		text_46.innerText = translations.ne.DText_46;
		text_47.innerText = translations.ne.DText_47;
		text_48.innerText = translations.ne.DText_48;
		text_49.innerText = translations.ne.DText_49;
		text_50.innerText = translations.ne.DText_50;
		text_51.innerText = translations.ne.DText_51;
		text_511.innerText = translations.ne.DText_511;
		text_52.innerText = translations.ne.DText_52;
		specialfeatures.placeholder = translations.ne.DText_53;
		if (text_54) {
			text_54.innerText = translations.ne.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ne.DText_55;
		}
		text_56.innerText = translations.ne.DText_56;
		text_57.innerText = translations.ne.DText_57;
		text_58.innerText = translations.ne.DText_58;
		text_59.innerText = translations.ne.DText_59;
		text_60.innerText = translations.ne.DText_60;
		text_41a.innerText = translations.ne.DText_41;
		text_42a.innerText = translations.ne.DText_42;
		text_43a.innerText = translations.ne.DText_43;
		text_44a.innerText = translations.ne.DText_44;
		text_45a.innerText = translations.ne.DText_45;
		text_46a.innerText = translations.ne.DText_46;
		text_47a.innerText = translations.ne.DText_47;
		text_48a.innerText = translations.ne.DText_48;
		text_49a.innerText = translations.ne.DText_49;
		text_50a.innerText = translations.ne.DText_50;
		text_51a.innerText = translations.ne.DText_51;
		text_511a.innerText = translations.ne.DText_511;
		male.innerText = translations.ne.male;
		female.innerText = translations.ne.female;
		other.innerText = translations.ne.other;
	}else if(language == "po"){
		footer_00.innerText = translations.po.footer00;
		footer_01.innerText = translations.po.footer01;
		footer_02.innerText = translations.po.footer02;
		footer_03.innerText = translations.po.footer03;
		footer_04.innerText = translations.po.footer04;
		footer_05.innerText = translations.po.footer05;
		footer_06.innerText = translations.po.footer06;
		footer_07.innerText = translations.po.footer07;
		footer_08.innerText = translations.po.footer08;
		footer_09.innerText = translations.po.footer09;
		footer_10.innerText = translations.po.footer10;
		footer_11.innerText = translations.po.footer11;
		footer_12.innerText = translations.po.footer12;
		footer_13.innerText = translations.po.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.po.footer14;
		request.innerText = translations.po.request;
		agree.innerText = translations.po.agree;
		cashbook.innerText = translations.po.cashbook;
		logout.innerText = translations.po.logout;
		if (welcome) {
			welcome.innerText = translations.po.welcome;
		}
		text_01.innerText = translations.po.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.po.DText_02+'</p>';
		text_03.innerText = translations.po.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.po.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.po.DText_05;
		text_06.placeholder = translations.po.DText_06;
		text_07.innerHTML = translations.po.DText_07;
		text_08.placeholder = translations.po.DText_08;
		text_09.innerHTML = translations.po.DText_09;
		text_10.placeholder = translations.po.DText_10;
		if (text_11) {
			text_11.innerText = translations.po.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.po.DText_12;
		}
		text_13.innerText = translations.po.DText_13;
		text_14.innerText = translations.po.DText_14;
		text_15.placeholder = translations.po.DText_15;
		text_16.innerText = translations.po.DText_16;
		text_17.innerText = translations.po.DText_17;
		text_18.innerText = translations.po.DText_18;
		text_19.innerText = translations.po.DText_19;
		text_20.innerText = translations.po.DText_20;
		text_21.innerText = translations.po.DText_21;
		text_22.innerText = translations.po.DText_22;
		text_23.innerText = translations.po.DText_23;
		text_24.innerText = translations.po.DText_24;
		text_25.innerText = translations.po.DText_25;
		text_26.innerText = translations.po.DText_26;
		text_27.innerText = translations.po.DText_27;
		text_28.innerText = translations.po.DText_28;
		text_29.innerText = translations.po.DText_29;
		text_30.innerText = translations.po.DText_30;
		text_31.innerText = translations.po.DText_31;
		text_32.innerText = translations.po.DText_32;
		text_33.innerText = translations.po.DText_33;
		text_34.innerText = translations.po.DText_34;
		text_35.innerText = translations.po.DText_35;
		text_36.innerText = translations.po.DText_36;
		text_37.innerText = translations.po.DText_37;
		text_38.innerText = translations.po.DText_38;
		text_39.innerText = translations.po.DText_39;
		text_40.innerText = translations.po.DText_40;
		text_41.innerText = translations.po.DText_41;
		text_42.innerText = translations.po.DText_42;
		text_43.innerText = translations.po.DText_43;
		text_44.innerText = translations.po.DText_44;
		text_45.innerText = translations.po.DText_45;
		text_46.innerText = translations.po.DText_46;
		text_47.innerText = translations.po.DText_47;
		text_48.innerText = translations.po.DText_48;
		text_49.innerText = translations.po.DText_49;
		text_50.innerText = translations.po.DText_50;
		text_51.innerText = translations.po.DText_51;
		text_511.innerText = translations.po.DText_511;
		text_52.innerText = translations.po.DText_52;
		specialfeatures.placeholder = translations.po.DText_53;
		if (text_54) {
			text_54.innerText = translations.po.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.po.DText_55;
		}
		text_56.innerText = translations.po.DText_56;
		text_57.innerText = translations.po.DText_57;
		text_58.innerText = translations.po.DText_58;
		text_59.innerText = translations.po.DText_59;
		text_60.innerText = translations.po.DText_60;
		text_41a.innerText = translations.po.DText_41;
		text_42a.innerText = translations.po.DText_42;
		text_43a.innerText = translations.po.DText_43;
		text_44a.innerText = translations.po.DText_44;
		text_45a.innerText = translations.po.DText_45;
		text_46a.innerText = translations.po.DText_46;
		text_47a.innerText = translations.po.DText_47;
		text_48a.innerText = translations.po.DText_48;
		text_49a.innerText = translations.po.DText_49;
		text_50a.innerText = translations.po.DText_50;
		text_51a.innerText = translations.po.DText_51;
		text_511a.innerText = translations.po.DText_511;
		male.innerText = translations.po.male;
		female.innerText = translations.po.female;
		other.innerText = translations.po.other;
	}else if(language == "pt"){
		footer_00.innerText = translations.pt.footer00;
		footer_01.innerText = translations.pt.footer01;
		footer_02.innerText = translations.pt.footer02;
		footer_03.innerText = translations.pt.footer03;
		footer_04.innerText = translations.pt.footer04;
		footer_05.innerText = translations.pt.footer05;
		footer_06.innerText = translations.pt.footer06;
		footer_07.innerText = translations.pt.footer07;
		footer_08.innerText = translations.pt.footer08;
		footer_09.innerText = translations.pt.footer09;
		footer_10.innerText = translations.pt.footer10;
		footer_11.innerText = translations.pt.footer11;
		footer_12.innerText = translations.pt.footer12;
		footer_13.innerText = translations.pt.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.pt.footer14;
		request.innerText = translations.pt.request;
		agree.innerText = translations.pt.agree;
		cashbook.innerText = translations.pt.cashbook;
		logout.innerText = translations.pt.logout;
		if (welcome) {
			welcome.innerText = translations.pt.welcome;
		}
		text_01.innerText = translations.pt.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.pt.DText_02+'</p>';
		text_03.innerText = translations.pt.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.pt.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.pt.DText_05;
		text_06.placeholder = translations.pt.DText_06;
		text_07.innerHTML = translations.pt.DText_07;
		text_08.placeholder = translations.pt.DText_08;
		text_09.innerHTML = translations.pt.DText_09;
		text_10.placeholder = translations.pt.DText_10;
		if (text_11) {
			text_11.innerText = translations.pt.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.pt.DText_12;
		}
		text_13.innerText = translations.pt.DText_13;
		text_14.innerText = translations.pt.DText_14;
		text_15.placeholder = translations.pt.DText_15;
		text_16.innerText = translations.pt.DText_16;
		text_17.innerText = translations.pt.DText_17;
		text_18.innerText = translations.pt.DText_18;
		text_19.innerText = translations.pt.DText_19;
		text_20.innerText = translations.pt.DText_20;
		text_21.innerText = translations.pt.DText_21;
		text_22.innerText = translations.pt.DText_22;
		text_23.innerText = translations.pt.DText_23;
		text_24.innerText = translations.pt.DText_24;
		text_25.innerText = translations.pt.DText_25;
		text_26.innerText = translations.pt.DText_26;
		text_27.innerText = translations.pt.DText_27;
		text_28.innerText = translations.pt.DText_28;
		text_29.innerText = translations.pt.DText_29;
		text_30.innerText = translations.pt.DText_30;
		text_31.innerText = translations.pt.DText_31;
		text_32.innerText = translations.pt.DText_32;
		text_33.innerText = translations.pt.DText_33;
		text_34.innerText = translations.pt.DText_34;
		text_35.innerText = translations.pt.DText_35;
		text_36.innerText = translations.pt.DText_36;
		text_37.innerText = translations.pt.DText_37;
		text_38.innerText = translations.pt.DText_38;
		text_39.innerText = translations.pt.DText_39;
		text_40.innerText = translations.pt.DText_40;
		text_41.innerText = translations.pt.DText_41;
		text_42.innerText = translations.pt.DText_42;
		text_43.innerText = translations.pt.DText_43;
		text_44.innerText = translations.pt.DText_44;
		text_45.innerText = translations.pt.DText_45;
		text_46.innerText = translations.pt.DText_46;
		text_47.innerText = translations.pt.DText_47;
		text_48.innerText = translations.pt.DText_48;
		text_49.innerText = translations.pt.DText_49;
		text_50.innerText = translations.pt.DText_50;
		text_51.innerText = translations.pt.DText_51;
		text_511.innerText = translations.pt.DText_511;
		text_52.innerText = translations.pt.DText_52;
		specialfeatures.placeholder = translations.pt.DText_53;
		if (text_54) {
			text_54.innerText = translations.pt.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.pt.DText_55;
		}
		text_56.innerText = translations.pt.DText_56;
		text_57.innerText = translations.pt.DText_57;
		text_58.innerText = translations.pt.DText_58;
		text_59.innerText = translations.pt.DText_59;
		text_60.innerText = translations.pt.DText_60;
		text_41a.innerText = translations.pt.DText_41;
		text_42a.innerText = translations.pt.DText_42;
		text_43a.innerText = translations.pt.DText_43;
		text_44a.innerText = translations.pt.DText_44;
		text_45a.innerText = translations.pt.DText_45;
		text_46a.innerText = translations.pt.DText_46;
		text_47a.innerText = translations.pt.DText_47;
		text_48a.innerText = translations.pt.DText_48;
		text_49a.innerText = translations.pt.DText_49;
		text_50a.innerText = translations.pt.DText_50;
		text_51a.innerText = translations.pt.DText_51;
		text_511a.innerText = translations.pt.DText_511;
		male.innerText = translations.pt.male;
		female.innerText = translations.pt.female;
		other.innerText = translations.pt.other;
	}else if(language == "ru"){
		footer_00.innerText = translations.ru.footer00;
		footer_01.innerText = translations.ru.footer01;
		footer_02.innerText = translations.ru.footer02;
		footer_03.innerText = translations.ru.footer03;
		footer_04.innerText = translations.ru.footer04;
		footer_05.innerText = translations.ru.footer05;
		footer_06.innerText = translations.ru.footer06;
		footer_07.innerText = translations.ru.footer07;
		footer_08.innerText = translations.ru.footer08;
		footer_09.innerText = translations.ru.footer09;
		footer_10.innerText = translations.ru.footer10;
		footer_11.innerText = translations.ru.footer11;
		footer_12.innerText = translations.ru.footer12;
		footer_13.innerText = translations.ru.footer13;
		footer_14.innerHTML = "www.1CoinH.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+translations.ru.footer14;
		request.innerText = translations.ru.request;
		agree.innerText = translations.ru.agree;
		cashbook.innerText = translations.ru.cashbook;
		logout.innerText = translations.ru.logout;
		if (welcome) {
			welcome.innerText = translations.ru.welcome;
		}
		text_01.innerText = translations.ru.DText_01;
		text_02.innerHTML = '<p style="margin-left: 20px; margin-top: 70px; font-family: ralewayextrabold, sans-serif; font-size: 22pt;">'+translations.ru.DText_02+'</p>';
		text_03.innerText = translations.ru.DText_03;
		text_04.innerHTML = '<img id="save" src="img/Save_Icon_Disabled_70x70.png" alt="Save" />&nbsp;&nbsp;&nbsp;'+translations.ru.DText_04;
		div_align.style.textAlign = "left";
		text_05.innerHTML = translations.ru.DText_05;
		text_06.placeholder = translations.ru.DText_06;
		text_07.innerHTML = translations.ru.DText_07;
		text_08.placeholder = translations.ru.DText_08;
		text_09.innerHTML = translations.ru.DText_09;
		text_10.placeholder = translations.ru.DText_10;
		if (text_11) {
			text_11.innerText = translations.ru.DText_11;
		}
		if (text_12) {
			text_12.innerText = translations.ru.DText_12;
		}
		text_13.innerText = translations.ru.DText_13;
		text_14.innerText = translations.ru.DText_14;
		text_15.placeholder = translations.ru.DText_15;
		text_16.innerText = translations.ru.DText_16;
		text_17.innerText = translations.ru.DText_17;
		text_18.innerText = translations.ru.DText_18;
		text_19.innerText = translations.ru.DText_19;
		text_20.innerText = translations.ru.DText_20;
		text_21.innerText = translations.ru.DText_21;
		text_22.innerText = translations.ru.DText_22;
		text_23.innerText = translations.ru.DText_23;
		text_24.innerText = translations.ru.DText_24;
		text_25.innerText = translations.ru.DText_25;
		text_26.innerText = translations.ru.DText_26;
		text_27.innerText = translations.ru.DText_27;
		text_28.innerText = translations.ru.DText_28;
		text_29.innerText = translations.ru.DText_29;
		text_30.innerText = translations.ru.DText_30;
		text_31.innerText = translations.ru.DText_31;
		text_32.innerText = translations.ru.DText_32;
		text_33.innerText = translations.ru.DText_33;
		text_34.innerText = translations.ru.DText_34;
		text_35.innerText = translations.ru.DText_35;
		text_36.innerText = translations.ru.DText_36;
		text_37.innerText = translations.ru.DText_37;
		text_38.innerText = translations.ru.DText_38;
		text_39.innerText = translations.ru.DText_39;
		text_40.innerText = translations.ru.DText_40;
		text_41.innerText = translations.ru.DText_41;
		text_42.innerText = translations.ru.DText_42;
		text_43.innerText = translations.ru.DText_43;
		text_44.innerText = translations.ru.DText_44;
		text_45.innerText = translations.ru.DText_45;
		text_46.innerText = translations.ru.DText_46;
		text_47.innerText = translations.ru.DText_47;
		text_48.innerText = translations.ru.DText_48;
		text_49.innerText = translations.ru.DText_49;
		text_50.innerText = translations.ru.DText_50;
		text_51.innerText = translations.ru.DText_51;
		text_511.innerText = translations.ru.DText_511;
		text_52.innerText = translations.ru.DText_52;
		specialfeatures.placeholder = translations.ru.DText_53;
		if (text_54) {
			text_54.innerText = translations.ru.DText_54;
		}
		if (text_55) {
			text_55.innerText = translations.ru.DText_55;
		}
		text_56.innerText = translations.ru.DText_56;
		text_57.innerText = translations.ru.DText_57;
		text_58.innerText = translations.ru.DText_58;
		text_59.innerText = translations.ru.DText_59;
		text_60.innerText = translations.ru.DText_60;
		text_41a.innerText = translations.ru.DText_41;
		text_42a.innerText = translations.ru.DText_42;
		text_43a.innerText = translations.ru.DText_43;
		text_44a.innerText = translations.ru.DText_44;
		text_45a.innerText = translations.ru.DText_45;
		text_46a.innerText = translations.ru.DText_46;
		text_47a.innerText = translations.ru.DText_47;
		text_48a.innerText = translations.ru.DText_48;
		text_49a.innerText = translations.ru.DText_49;
		text_50a.innerText = translations.ru.DText_50;
		text_51a.innerText = translations.ru.DText_51;
		text_511a.innerText = translations.ru.DText_511;
		male.innerText = translations.ru.male;
		female.innerText = translations.ru.female;
		other.innerText = translations.ru.other;
	}
}


function load() {
	const lan = localStorage.getItem("site-language");
	if (human) {
		human.style.backgroundImage = "url(img/Profile_Highlight_70x70.png)";
	}
	request.style.color = '#C69E35';
	agree.style.color = '#C69E35';
	cashbook.style.color = '#C69E35';
	logout.style.color = '#C69E35';
	setLanguage(lan);
}


function enableSave() {
	save=document.getElementById("save");
	if (save) {
		save.src="img/Save_Icon_70x70.png";
	}
	text_04.disabled = false;
	text_04.style.color = "black";
	if (text_11) {
		text_11.innerText = "";
	}
	if (text_12) {
		text_12.innerText = "";
	}
}

// White
// Ginger Red
// Auburn
// Blond 
// Light Chestnut
// Copper
// Light Blond
// Chestnut Brown
// Silver
// Medium Blond
// Light Brown
// Titan
// Dark Blond
// Medium Brown
// Gray
// Gold Blond
// Dark Brown
// Black
// Strawberry Blond
// No Hair

// Amber
// Blue
// Brown
// Gray
// Green
// Hazel
// Red
// Blue Gray
// Blue Green
// Green Gray
// Prosthesis